void ppnenex02_particles(int i_a, observable_set & oset);

void ppnenex02_cuts(int i_a, observable_set & oset);
void ppnenex02_cuts_test(int i_a, observable_set & oset);

void ppnenex02_moments(observable_set & oset);

void ppnenex02_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppnenex02_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppnenex02_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppnenex02_optimize_minv_born(phasespace_set & psi);
int ppnenex02_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppnenex02_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppnenex02_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_born(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ax_psp_020_ddx_vevex(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_020_ddx_vevex(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_020_ddx_vevex(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_020_uux_vevex(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_020_uux_vevex(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_020_uux_vevex(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_gg_vevex(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_gg_vevex(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_gg_vevex(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_phasespacepoint_born(observable_set & oset);

void ppnenex02_phasespacepoint_collinear(observable_set & oset);

void ppnenex02_optimize_minv_real(phasespace_set & psi);
int ppnenex02_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppnenex02_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppnenex02_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_real(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ax_psp_120_gd_vevexd(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_120_gd_vevexd(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_120_gd_vevexd(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_120_gu_vevexu(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_120_gu_vevexu(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_120_gu_vevexu(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_120_gdx_vevexdx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_120_gdx_vevexdx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_120_gdx_vevexdx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_120_gux_vevexux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_120_gux_vevexux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_120_gux_vevexux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_120_ddx_vevexg(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_120_ddx_vevexg(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_120_ddx_vevexg(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_120_uux_vevexg(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_120_uux_vevexg(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_120_uux_vevexg(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_phasespacepoint_real(observable_set & oset);

void ppnenex02_phasespacepoint_realcollinear(observable_set & oset);

void ppnenex02_optimize_minv_doublereal(phasespace_set & psi);
int ppnenex02_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppnenex02_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppnenex02_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ax_psp_220_gg_vevexddx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_gg_vevexddx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_gg_vevexddx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_gg_vevexuux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_gg_vevexuux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_gg_vevexuux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_gd_vevexgd(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_gd_vevexgd(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_gd_vevexgd(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_gu_vevexgu(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_gu_vevexgu(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_gu_vevexgu(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_gdx_vevexgdx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_gdx_vevexgdx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_gdx_vevexgdx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_gux_vevexgux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_gux_vevexgux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_gux_vevexgux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dd_vevexdd(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dd_vevexdd(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dd_vevexdd(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_du_vevexdu(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_du_vevexdu(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_du_vevexdu(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_ds_vevexds(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_ds_vevexds(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_ds_vevexds(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dc_vevexdc(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dc_vevexdc(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dc_vevexdc(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_ddx_vevexgg(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_ddx_vevexgg(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_ddx_vevexgg(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_ddx_vevexddx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_ddx_vevexddx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_ddx_vevexddx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_ddx_vevexuux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_ddx_vevexuux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_ddx_vevexuux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_ddx_vevexssx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_ddx_vevexssx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_ddx_vevexssx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_ddx_vevexccx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_ddx_vevexccx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_ddx_vevexccx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dux_vevexdux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dux_vevexdux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dux_vevexdux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dsx_vevexdsx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dsx_vevexdsx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dsx_vevexdsx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dcx_vevexdcx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dcx_vevexdcx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dcx_vevexdcx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uu_vevexuu(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uu_vevexuu(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uu_vevexuu(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uc_vevexuc(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uc_vevexuc(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uc_vevexuc(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_udx_vevexudx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_udx_vevexudx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_udx_vevexudx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uux_vevexgg(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uux_vevexgg(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uux_vevexgg(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uux_vevexddx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uux_vevexddx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uux_vevexddx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uux_vevexuux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uux_vevexuux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uux_vevexuux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uux_vevexssx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uux_vevexssx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uux_vevexssx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uux_vevexccx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uux_vevexccx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uux_vevexccx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_usx_vevexusx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_usx_vevexusx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_usx_vevexusx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_ucx_vevexucx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_ucx_vevexucx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_ucx_vevexucx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dxdx_vevexdxdx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dxdx_vevexdxdx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dxdx_vevexdxdx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dxux_vevexdxux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dxux_vevexdxux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dxux_vevexdxux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dxsx_vevexdxsx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dxsx_vevexdxsx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dxsx_vevexdxsx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_dxcx_vevexdxcx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_dxcx_vevexdxcx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_dxcx_vevexdxcx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uxux_vevexuxux(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uxux_vevexuxux(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uxux_vevexuxux(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_ax_psp_220_uxcx_vevexuxcx(int no_ps, phasespace_set & psi);
void ppnenex02_ac_psp_220_uxcx_vevexuxcx(int no_ps, int channel, phasespace_set & psi);
void ppnenex02_ag_psp_220_uxcx_vevexuxcx(int no_ps, int zero, phasespace_set & psi);
void ppnenex02_phasespacepoint_doublereal(observable_set & oset);

