void ppwx01_particles(int i_a, observable_set & oset);

void ppwx01_cuts(int i_a, observable_set & oset);
void ppwx01_cuts_test(int i_a, observable_set & oset);

void ppwx01_moments(observable_set & oset);

void ppwx01_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppwx01_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppwx01_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppwx01_optimize_minv_born(phasespace_set & psi);
int ppwx01_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppwx01_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppwx01_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_born(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ax_psp_010_udx_wp(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_010_udx_wp(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_010_udx_wp(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_010_usx_wp(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_010_usx_wp(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_010_usx_wp(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_010_ubx_wp(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_010_ubx_wp(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_010_ubx_wp(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_010_cdx_wp(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_010_cdx_wp(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_010_cdx_wp(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_010_csx_wp(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_010_csx_wp(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_010_csx_wp(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_010_cbx_wp(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_010_cbx_wp(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_010_cbx_wp(int no_ps, int zero, phasespace_set & psi);
void ppwx01_phasespacepoint_born(observable_set & oset);

void ppwx01_phasespacepoint_collinear(observable_set & oset);

void ppwx01_optimize_minv_real(phasespace_set & psi);
int ppwx01_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppwx01_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppwx01_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_real(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ax_psp_110_gu_wpd(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gu_wpd(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gu_wpd(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gu_wps(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gu_wps(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gu_wps(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gu_wpb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gu_wpb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gu_wpb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gc_wpd(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gc_wpd(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gc_wpd(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gc_wps(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gc_wps(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gc_wps(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gc_wpb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gc_wpb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gc_wpb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gdx_wpux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gdx_wpux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gdx_wpux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gdx_wpcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gdx_wpcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gdx_wpcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gsx_wpux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gsx_wpux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gsx_wpux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gsx_wpcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gsx_wpcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gsx_wpcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gbx_wpux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gbx_wpux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gbx_wpux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_gbx_wpcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_gbx_wpcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_gbx_wpcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_udx_wpg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_udx_wpg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_udx_wpg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_usx_wpg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_usx_wpg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_usx_wpg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_ubx_wpg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_ubx_wpg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_ubx_wpg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_cdx_wpg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_cdx_wpg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_cdx_wpg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_csx_wpg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_csx_wpg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_csx_wpg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_110_cbx_wpg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_110_cbx_wpg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_110_cbx_wpg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_phasespacepoint_real(observable_set & oset);

void ppwx01_phasespacepoint_realcollinear(observable_set & oset);

void ppwx01_optimize_minv_doublereal(phasespace_set & psi);
int ppwx01_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppwx01_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppwx01_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ax_psp_210_gg_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gg_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gg_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gg_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gg_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gg_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gg_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gg_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gg_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gg_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gg_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gg_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gg_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gg_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gg_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gg_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gg_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gg_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gu_wpgd(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gu_wpgd(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gu_wpgd(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gu_wpgs(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gu_wpgs(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gu_wpgs(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gu_wpgb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gu_wpgb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gu_wpgb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gc_wpgd(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gc_wpgd(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gc_wpgd(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gc_wpgs(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gc_wpgs(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gc_wpgs(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gc_wpgb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gc_wpgb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gc_wpgb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gdx_wpgux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gdx_wpgux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gdx_wpgux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gdx_wpgcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gdx_wpgcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gdx_wpgcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gsx_wpgux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gsx_wpgux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gsx_wpgux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gsx_wpgcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gsx_wpgcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gsx_wpgcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gbx_wpgux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gbx_wpgux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gbx_wpgux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_gbx_wpgcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_gbx_wpgcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_gbx_wpgcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_du_wpdd(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_du_wpdd(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_du_wpdd(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_du_wpds(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_du_wpds(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_du_wpds(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_du_wpdb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_du_wpdb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_du_wpdb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dc_wpdd(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dc_wpdd(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dc_wpdd(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dc_wpds(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dc_wpds(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dc_wpds(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dc_wpdb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dc_wpdb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dc_wpdb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ddx_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ddx_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ddx_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ddx_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ddx_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ddx_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ddx_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ddx_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ddx_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ddx_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ddx_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ddx_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ddx_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ddx_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ddx_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ddx_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ddx_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ddx_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dsx_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dsx_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dsx_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dsx_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dsx_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dsx_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dbx_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dbx_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dbx_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dbx_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dbx_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dbx_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uu_wpdu(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uu_wpdu(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uu_wpdu(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uu_wpus(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uu_wpus(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uu_wpus(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uu_wpub(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uu_wpub(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uu_wpub(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_us_wpds(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_us_wpds(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_us_wpds(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_us_wpss(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_us_wpss(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_us_wpss(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_us_wpsb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_us_wpsb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_us_wpsb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uc_wpdu(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uc_wpdu(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uc_wpdu(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uc_wpdc(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uc_wpdc(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uc_wpdc(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uc_wpus(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uc_wpus(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uc_wpus(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uc_wpub(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uc_wpub(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uc_wpub(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uc_wpsc(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uc_wpsc(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uc_wpsc(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uc_wpcb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uc_wpcb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uc_wpcb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ub_wpdb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ub_wpdb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ub_wpdb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ub_wpsb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ub_wpsb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ub_wpsb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ub_wpbb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ub_wpbb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ub_wpbb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpgg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpgg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpgg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpddx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpddx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpddx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpuux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpuux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpuux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpucx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpucx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpucx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpsdx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpsdx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpsdx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpssx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpssx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpssx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpccx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpccx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpccx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpbdx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpbdx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpbdx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_udx_wpbbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_udx_wpbbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_udx_wpbbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uux_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uux_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uux_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uux_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uux_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uux_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uux_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uux_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uux_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uux_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uux_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uux_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uux_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uux_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uux_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uux_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uux_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uux_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpgg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpgg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpgg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpddx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpddx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpddx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpdsx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpdsx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpdsx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpuux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpuux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpuux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpucx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpucx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpucx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpssx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpssx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpssx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpccx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpccx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpccx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpbsx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpbsx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpbsx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_usx_wpbbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_usx_wpbbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_usx_wpbbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ucx_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ucx_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ucx_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ucx_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ucx_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ucx_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ucx_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ucx_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ucx_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpgg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpgg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpgg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpddx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpddx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpddx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpdbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpdbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpdbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpuux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpuux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpuux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpucx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpucx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpucx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpssx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpssx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpssx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpsbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpsbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpsbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpccx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpccx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpccx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ubx_wpbbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ubx_wpbbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ubx_wpbbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sc_wpds(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sc_wpds(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sc_wpds(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sc_wpss(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sc_wpss(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sc_wpss(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sc_wpsb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sc_wpsb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sc_wpsb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sdx_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sdx_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sdx_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sdx_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sdx_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sdx_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ssx_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ssx_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ssx_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ssx_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ssx_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ssx_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ssx_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ssx_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ssx_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ssx_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ssx_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ssx_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ssx_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ssx_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ssx_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ssx_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ssx_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ssx_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sbx_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sbx_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sbx_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sbx_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sbx_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sbx_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cc_wpdc(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cc_wpdc(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cc_wpdc(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cc_wpsc(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cc_wpsc(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cc_wpsc(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cc_wpcb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cc_wpcb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cc_wpcb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cb_wpdb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cb_wpdb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cb_wpdb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cb_wpsb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cb_wpsb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cb_wpsb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cb_wpbb(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cb_wpbb(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cb_wpbb(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpgg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpgg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpgg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpddx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpddx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpddx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpuux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpuux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpuux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpsdx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpsdx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpsdx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpssx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpssx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpssx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpcux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpcux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpcux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpccx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpccx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpccx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpbdx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpbdx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpbdx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cdx_wpbbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cdx_wpbbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cdx_wpbbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cux_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cux_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cux_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cux_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cux_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cux_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cux_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cux_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cux_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpgg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpgg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpgg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpddx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpddx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpddx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpdsx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpdsx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpdsx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpuux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpuux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpuux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpssx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpssx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpssx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpcux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpcux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpcux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpccx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpccx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpccx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpbsx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpbsx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpbsx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_csx_wpbbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_csx_wpbbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_csx_wpbbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ccx_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ccx_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ccx_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ccx_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ccx_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ccx_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ccx_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ccx_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ccx_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ccx_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ccx_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ccx_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ccx_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ccx_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ccx_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_ccx_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_ccx_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_ccx_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpgg(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpgg(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpgg(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpddx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpddx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpddx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpdbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpdbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpdbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpuux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpuux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpuux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpssx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpssx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpssx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpsbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpsbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpsbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpcux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpcux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpcux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpccx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpccx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpccx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cbx_wpbbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cbx_wpbbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cbx_wpbbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bdx_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bdx_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bdx_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bdx_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bdx_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bdx_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bsx_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bsx_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bsx_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bsx_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bsx_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bsx_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bbx_wpdux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bbx_wpdux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bbx_wpdux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bbx_wpdcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bbx_wpdcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bbx_wpdcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bbx_wpsux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bbx_wpsux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bbx_wpsux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bbx_wpscx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bbx_wpscx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bbx_wpscx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bbx_wpbux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bbx_wpbux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bbx_wpbux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bbx_wpbcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bbx_wpbcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bbx_wpbcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxdx_wpdxux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxdx_wpdxux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxdx_wpdxux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxdx_wpdxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxdx_wpdxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxdx_wpdxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxux_wpuxux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxux_wpuxux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxux_wpuxux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxux_wpuxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxux_wpuxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxux_wpuxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxsx_wpdxux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxsx_wpdxux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxsx_wpdxux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxsx_wpdxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxsx_wpdxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxsx_wpdxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxsx_wpuxsx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxsx_wpuxsx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxsx_wpuxsx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxsx_wpsxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxsx_wpsxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxsx_wpsxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxcx_wpuxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxcx_wpuxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxcx_wpuxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxcx_wpcxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxcx_wpcxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxcx_wpcxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxbx_wpdxux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxbx_wpdxux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxbx_wpdxux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxbx_wpdxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxbx_wpdxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxbx_wpdxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxbx_wpuxbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxbx_wpuxbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxbx_wpuxbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_dxbx_wpcxbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_dxbx_wpcxbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_dxbx_wpcxbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uxsx_wpuxux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uxsx_wpuxux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uxsx_wpuxux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uxsx_wpuxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uxsx_wpuxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uxsx_wpuxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uxbx_wpuxux(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uxbx_wpuxux(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uxbx_wpuxux(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_uxbx_wpuxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_uxbx_wpuxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_uxbx_wpuxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxsx_wpuxsx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxsx_wpuxsx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxsx_wpuxsx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxsx_wpsxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxsx_wpsxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxsx_wpsxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxcx_wpuxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxcx_wpuxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxcx_wpuxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxcx_wpcxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxcx_wpcxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxcx_wpcxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxbx_wpuxsx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxbx_wpuxsx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxbx_wpuxsx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxbx_wpuxbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxbx_wpuxbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxbx_wpuxbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxbx_wpsxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxbx_wpsxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxbx_wpsxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_sxbx_wpcxbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_sxbx_wpcxbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_sxbx_wpcxbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cxbx_wpuxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cxbx_wpuxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cxbx_wpuxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_cxbx_wpcxcx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_cxbx_wpcxcx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_cxbx_wpcxcx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bxbx_wpuxbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bxbx_wpuxbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bxbx_wpuxbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_ax_psp_210_bxbx_wpcxbx(int no_ps, phasespace_set & psi);
void ppwx01_ac_psp_210_bxbx_wpcxbx(int no_ps, int channel, phasespace_set & psi);
void ppwx01_ag_psp_210_bxbx_wpcxbx(int no_ps, int zero, phasespace_set & psi);
void ppwx01_phasespacepoint_doublereal(observable_set & oset);

