#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexmxnm04/header/ppeexmxnm04.phasespace.h"
void ppeexmxnm04_ax_psp_240_udx_emepmupvmuux(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexmxnm04_ax_psp_240_udx_emepmupvmuux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(21);
  psi_needed_v_smin[no_ps].resize(21);
  int needed_v_smin_0[] = {   0,    1,    2,    4,    5,    6,    7,    8,    9,   10,   11,   12,   14,   15,   16,   17,   18,   19,   20,   21,   22,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  60
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 60);
  int needed_v_smin_1[] = {   0,   10,   20,   38}; //   4
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 4);
  int needed_v_smin_2[] = {   0,   10,   20,   38}; //   4
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 4);
  int needed_v_smin_3[] = {   0,    1,    2,    3,    4,    5,   10,   11,   12,   13,   14,   15}; //  12
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 12);
  int needed_v_smin_4[] = {   1,    2,   11,   12,   21,   22,   39,   40}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   1,    2,   11,   12,   21,   22,   39,   40}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   3,    4,    5,    6,    7,    8,    9,   13,   14,   15,   16,   17,   18,   19,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  52
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 52);
  int needed_v_smin_7[] = {   3,   13,   23,   41}; //   4
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 4);
  int needed_v_smin_8[] = {   3,   13,   23,   41}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   4,    5,   14,   15,   24,   25,   42,   43,   56,   57,   62,   63}; //  12
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 12);
  int needed_v_smin_10[] = {   6,    7,   26,   27,   30,   31,   46,   47,   50,   51}; //  10
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 10);
  int needed_v_smin_11[] = {   6,    7,   46,   47,   50,   51}; //   6
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 6);
  int needed_v_smin_12[] = {   8,    9,   16,   17,   34,   35,   44,   45,   48,   49}; //  10
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 10);
  int needed_v_smin_13[] = {   8,    9,   44,   45,   48,   49}; //   6
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 6);
  int needed_v_smin_14[] = {  16,   17,   34,   35}; //   4
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 4);
  int needed_v_smin_15[] = {  18,   19,   30,   31,   32,   33,   36,   37}; //   8
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 8);
  int needed_v_smin_16[] = {  18,   19,   36,   37,   32,   33}; //   6
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 6);
  int needed_v_smin_17[] = {  20,   21,   22,   23,   24,   25,   38,   39,   40,   41,   42,   43,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   28,   29}; //  26
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 26);
  int needed_v_smin_18[] = {  26,   27}; //   2
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 2);
  int needed_v_smin_19[] = {  28,   29,   52,   53,   54,   55}; //   6
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 6);
  int needed_v_smin_20[] = {  58,   59,   60,   61}; //   4
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 4);

  psi_v_smax[no_ps].resize(35);
  psi_needed_v_smax[no_ps].resize(35);
  int needed_v_smax_0[] = {   0,    1,    2,    8,    9,   10,   11,   12,   16,   17,   18,   19,   20,   21,   22,   46,   47,   50,   51,   60,   61,   62,   63}; //  23
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 23);
  int needed_v_smax_1[] = {   0,   10,   20}; //   3
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 3);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,   10,   11,   12,   13,   14,   15,   20,   21,   22,   23,   24,   25}; //  18
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 18);
  int needed_v_smax_3[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   44,   45,   46,   47,   48,   49,   50,   51}; //  24
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 24);
  int needed_v_smax_4[] = {   1,    2,   11,   12,   21,   22}; //   6
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 6);
  int needed_v_smax_5[] = {   3,    4,    5,    6,    7,   13,   14,   15,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   44,   45,   48,   49,   54,   55,   56,   57}; //  31
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 31);
  int needed_v_smax_6[] = {   3,   13,   23}; //   3
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 3);
  int needed_v_smax_7[] = {   4,    5,   14,   15,   24,   25,   28,   29,   32,   33,   34,   35,   36,   37,   44,   45,   48,   49,   56,   57}; //  20
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 20);
  int needed_v_smax_8[] = {   6,    7,   26,   27,   30,   31}; //   6
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 6);
  int needed_v_smax_9[] = {   6,    7,   26,   27,   30,   31}; //   6
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 6);
  int needed_v_smax_10[] = {   8,    9,   16,   17}; //   4
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 4);
  int needed_v_smax_11[] = {   8,    9}; //   2
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 2);
  int needed_v_smax_12[] = {  16,   17,   18,   19}; //   4
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 4);
  int needed_v_smax_13[] = {  16,   17,   18,   19}; //   4
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 4);
  int needed_v_smax_14[] = {  18,   19}; //   2
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 2);
  int needed_v_smax_15[] = {  20,   21,   22,   23,   24,   25}; //   6
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 6);
  int needed_v_smax_16[] = {  30,   31}; //   2
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 2);
  int needed_v_smax_17[] = {  32,   33,   36,   37}; //   4
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 4);
  int needed_v_smax_18[] = {  34,   35,   44,   45,   48,   49}; //   6
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 6);
  int needed_v_smax_19[] = {  34,   35,   36,   37,   32,   33,   58,   59,   60,   61}; //  10
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 10);
  int needed_v_smax_20[] = {  38,   39,   40,   41,   42,   43,   52,   53,   58,   59}; //  10
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 10);
  int needed_v_smax_21[] = {  38,   39,   40,   58,   59}; //   5
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 5);
  int needed_v_smax_22[] = {  38}; //   1
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 1);
  int needed_v_smax_23[] = {  38,   39,   40,   41,   42,   43,   56,   57,   62,   63}; //  10
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 10);
  int needed_v_smax_24[] = {  39,   40}; //   2
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 2);
  int needed_v_smax_25[] = {  41,   42,   43,   52,   53}; //   5
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 5);
  int needed_v_smax_26[] = {  41}; //   1
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 1);
  int needed_v_smax_27[] = {  42,   43,   52,   53,   54,   55}; //   6
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 6);
  int needed_v_smax_28[] = {  46,   47,   50,   51,   62,   63}; //   6
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 6);
  int needed_v_smax_29[] = {  46,   47,   50,   51}; //   4
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 4);
  int needed_v_smax_30[] = {  54,   55}; //   2
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 2);
  int needed_v_smax_31[] = {  56,   57,   62,   63,   28,   29}; //   6
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 6);
  int needed_v_smax_32[] = {  58,   59,   60,   61}; //   4
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 4);
  int needed_v_smax_33[] = {  60,   61}; //   2
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 2);
  int needed_v_smax_34[] = {  26,   27,   28,   29,   52,   53,   54,   55}; //   8
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 8);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(49);
  psi_needed_g_p[no_ps].resize(49);
  int needed_g_p_0[] = {   0,    2,    9,   10,   12,   17,   19,   20,   22,   47,   51,   61,   63}; //  13
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 13);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,   10,   20}; //   3
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 3);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,   10,   20}; //   3
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 3);
  psi_container_IS_name.push_back("propagator_24_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    2,    3,    4,    5}; //   6
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 6);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    8,   11,   16,   18,   21,   46,   50,   60,   62}; //  10
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 10);
  psi_container_IS_name.push_back("propagator_0_smin0_smax0");
  int needed_g_p_5[] = {   1,    2,   11,   12,   21,   22}; //   6
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 6);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_6[] = {   1,    2,   11,   12,   21,   22}; //   6
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 6);
  psi_container_IS_name.push_back("propagator_24_smin5_smax2");
  int needed_g_p_7[] = {   3,    4,    5,    6,    7,   13,   14,   15,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   44,   45,   48,   49,   54,   55,   56,   57}; //  31
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 31);
  psi_container_IS_name.push_back("propagator_24_smin6_smax5");
  int needed_g_p_8[] = {   3,   13,   23}; //   3
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 3);
  psi_container_IS_name.push_back("propagator_0_smin7_smax6");
  int needed_g_p_9[] = {   3,   13,   23}; //   3
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 3);
  psi_container_IS_name.push_back("propagator_24_smin8_smax2");
  int needed_g_p_10[] = {   4,   14,   24,   28,   32,   34,   36,   44,   48,   56}; //  10
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 10);
  psi_container_IS_name.push_back("propagator_0_smin0_smax7");
  int needed_g_p_11[] = {   4,    5,   14,   15,   24,   25}; //   6
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 6);
  psi_container_IS_name.push_back("propagator_24_smin9_smax2");
  int needed_g_p_12[] = {   5,   15,   25,   29,   33,   35,   37,   45,   49,   57}; //  10
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax7");
  int needed_g_p_13[] = {   6,    7,   26,   27,   30,   31}; //   6
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 6);
  psi_container_IS_name.push_back("propagator_0_smin10_smax8");
  int needed_g_p_14[] = {   6,   26,   30}; //   3
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 3);
  psi_container_IS_name.push_back("propagator_0_smin0_smax9");
  int needed_g_p_15[] = {   6,    7}; //   2
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 2);
  psi_container_IS_name.push_back("propagator_0_smin11_smax3");
  int needed_g_p_16[] = {   7,   27,   31}; //   3
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 3);
  psi_container_IS_name.push_back("propagator_23_smin0_smax9");
  int needed_g_p_17[] = {   8,    9,   16,   17}; //   4
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax10");
  int needed_g_p_18[] = {   8,    9}; //   2
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 2);
  psi_container_IS_name.push_back("propagator_24_smin6_smax11");
  int needed_g_p_19[] = {   8,    9}; //   2
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 2);
  psi_container_IS_name.push_back("propagator_0_smin13_smax3");
  int needed_g_p_20[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 2);
  psi_container_IS_name.push_back("propagator_0_smin14_smax12");
  int needed_g_p_21[] = {  16,   17,   18,   19}; //   4
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 4);
  psi_container_IS_name.push_back("propagator_24_smin6_smax13");
  int needed_g_p_22[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax14");
  int needed_g_p_23[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax12");
  int needed_g_p_24[] = {  20,   21,   22,   23,   24,   25}; //   6
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 6);
  psi_container_IS_name.push_back("propagator_0_smin17_smax15");
  int needed_g_p_25[] = {  30,   31}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax16");
  int needed_g_p_26[] = {  32,   33,   36,   37}; //   4
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 4);
  psi_container_IS_name.push_back("propagator_0_smin15_smax17");
  int needed_g_p_27[] = {  34,   35,   44,   45}; //   4
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax18");
  int needed_g_p_28[] = {  34,   35}; //   2
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 2);
  psi_container_IS_name.push_back("propagator_0_smin14_smax19");
  int needed_g_p_29[] = {  36,   37}; //   2
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax19");
  int needed_g_p_30[] = {  38,   39,   40,   41,   42,   43,   52,   53,   58,   59}; //  10
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 10);
  psi_container_IS_name.push_back("propagator_0_smin17_smax20");
  int needed_g_p_31[] = {  38,   40,   59}; //   3
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 3);
  psi_container_IS_name.push_back("propagator_23_smin0_smax21");
  int needed_g_p_32[] = {  38}; //   1
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 1);
  psi_container_IS_name.push_back("propagator_0_smin1_smax22");
  int needed_g_p_33[] = {  38}; //   1
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 1);
  psi_container_IS_name.push_back("propagator_24_smin2_smax23");
  int needed_g_p_34[] = {  39,   58}; //   2
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 2);
  psi_container_IS_name.push_back("propagator_0_smin0_smax21");
  int needed_g_p_35[] = {  39,   40}; //   2
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 2);
  psi_container_IS_name.push_back("propagator_0_smin4_smax24");
  int needed_g_p_36[] = {  39,   40}; //   2
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 2);
  psi_container_IS_name.push_back("propagator_24_smin5_smax23");
  int needed_g_p_37[] = {  41,   42,   43,   52,   53}; //   5
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 5);
  psi_container_IS_name.push_back("propagator_24_smin6_smax25");
  int needed_g_p_38[] = {  41}; //   1
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax26");
  int needed_g_p_39[] = {  41}; //   1
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 1);
  psi_container_IS_name.push_back("propagator_24_smin8_smax23");
  int needed_g_p_40[] = {  42,   52,   54}; //   3
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 3);
  psi_container_IS_name.push_back("propagator_0_smin0_smax27");
  int needed_g_p_41[] = {  42,   43}; //   2
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 2);
  psi_container_IS_name.push_back("propagator_24_smin9_smax23");
  int needed_g_p_42[] = {  43,   53,   55}; //   3
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 3);
  psi_container_IS_name.push_back("propagator_23_smin0_smax27");
  int needed_g_p_43[] = {  46,   47,   50,   51,   62,   63}; //   6
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 6);
  psi_container_IS_name.push_back("propagator_24_smin6_smax28");
  int needed_g_p_44[] = {  46,   47}; //   2
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 2);
  psi_container_IS_name.push_back("propagator_0_smin10_smax29");
  int needed_g_p_45[] = {  54,   55}; //   2
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax30");
  int needed_g_p_46[] = {  56,   57,   62,   63}; //   4
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax31");
  int needed_g_p_47[] = {  58,   59,   60,   61}; //   4
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 4);
  psi_container_IS_name.push_back("propagator_24_smin6_smax32");
  int needed_g_p_48[] = {  60,   61}; //   2
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax33");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(11);
  psi_needed_g_f[no_ps].resize(11);
  int needed_g_f_0[] = {  10,   11,   12,   13,   14,   15}; //   6
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin3_smax3");
  int needed_g_f_1[] = {  26,   27}; //   2
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax34");
  int needed_g_f_2[] = {  28,   29}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax31");
  int needed_g_f_3[] = {  28,   29,   52,   53,   54,   55}; //   6
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax34");
  int needed_g_f_4[] = {  32,   33}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax19");
  int needed_g_f_5[] = {  44,   45,   48,   49}; //   4
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax3");
  int needed_g_f_6[] = {  46,   47,   50,   51}; //   4
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax3");
  int needed_g_f_7[] = {  48,   49}; //   2
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax18");
  int needed_g_f_8[] = {  50,   51}; //   2
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax29");
  int needed_g_f_9[] = {  56,   57,   62,   63}; //   4
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin9_smax23");
  int needed_g_f_10[] = {  58,   59,   60,   61}; //   4
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax19");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(21);
  psi_needed_g_t[no_ps].resize(21);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   44,   45,   46,   47,   48,   49,   50,   51}; //  24
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_1[] = {  10,   11,   12,   13,   14,   15}; //   6
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_2[] = {  16,   17,   18,   19,   58,   59,   60,   61}; //   8
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__48_204");
  int needed_g_t_3[] = {  20,   21,   22,   23,   24,   25,   56,   57,   62,   63}; //  10
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_4[] = {  26,   27,   28,   29,   52,   53,   54,   55}; //   8
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_240");
  int needed_g_t_5[] = {  26,   27}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__176_64");
  int needed_g_t_6[] = {  28,   29,   54,   55}; //   4
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_7[] = {  28,   29}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__64_128");
  int needed_g_t_8[] = {  30,   31}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__76_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__76_176");
  int needed_g_t_9[] = {  32,   33,   34,   35,   36,   37}; //   6
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_10[] = {  32,   33}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__76_128");
  int needed_g_t_11[] = {  38,   39,   40,   41,   42,   43}; //   6
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_12[] = {  44,   45,   48,   49}; //   4
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__48_140");
  int needed_g_t_13[] = {  46,   47,   50,   51}; //   4
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__12_176");
  int needed_g_t_14[] = {  48,   49}; //   2
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_50__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_50__128_12");
  int needed_g_t_15[] = {  50,   51}; //   2
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_14__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_14__128_48");
  int needed_g_t_16[] = {  52,   53}; //   2
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__192_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__192_48");
  int needed_g_t_17[] = {  56,   57}; //   2
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__48_12");
  int needed_g_t_18[] = {  58,   59}; //   2
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__192_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__192_12");
  int needed_g_t_19[] = {  60,   61}; //   2
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__12_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__12_192");
  int needed_g_t_20[] = {  62,   63}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__12_48");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(18);
  psi_needed_g_d[no_ps].resize(18);
  int needed_g_d_0[] = {   0,    1,    2,    3,    4,    5}; //   6
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 6);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_1[] = {   0,   10,   20,   38}; //   4
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_2[] = {   0,   10,   20,   38}; //   4
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_3[] = {   0,    1,    2,    4,    5,    6,    7,    8,    9,   10,   11,   12,   14,   15,   16,   17,   18,   19,   20,   21,   22,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  60
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 60);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_4[] = {   1,    2,   11,   12,   21,   22,   39,   40}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_5[] = {   1,    2,   11,   12,   21,   22,   39,   40}; //   8
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_6[] = {   3,   13,   23,   41}; //   4
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_7[] = {   3,   13,   23,   41}; //   4
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 4);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_8[] = {   3,    4,    5,    6,    7,    8,    9,   13,   14,   15,   16,   17,   18,   19,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  52
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 52);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_9[] = {   4,    5,   14,   15,   24,   25,   42,   43}; //   8
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__12_48");
  psi_container_IS_name.push_back("phi_of_decay_60__12_48");
  int needed_g_d_10[] = {   6,    7}; //   2
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_11[] = {   6,    7,   26,   27,   30,   31,   46,   47}; //   8
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 8);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_12[] = {   8,    9}; //   2
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_13[] = {   8,    9,   16,   17,   34,   35,   44,   45}; //   8
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 8);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_14[] = {  16,   17,   34,   35}; //   4
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__64_140");
  psi_container_IS_name.push_back("phi_of_decay_204__64_140");
  int needed_g_d_15[] = {  18,   19,   36,   37}; //   4
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__128_76");
  psi_container_IS_name.push_back("phi_of_decay_204__128_76");
  int needed_g_d_16[] = {  18,   19,   30,   31,   32,   33,   36,   37}; //   8
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 8);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_17[] = {  20,   21,   22,   23,   24,   25,   38,   39,   40,   41,   42,   43,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  24
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 24);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");

  psi_c_p[no_ps].resize(64);
  psi_c_f[no_ps].resize(64);
  psi_c_t[no_ps].resize(64);
  psi_c_d[no_ps].resize(64);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 4);

  int c_p_1[] = {  4,   5,   6,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  0}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  0,   4,   5,   3}; //   4
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 4);

  int c_p_2[] = {  0,   5,   6,   3}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  0}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  0,   4,   5,   3}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  7,   8,   9,   3}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  0}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  0,   6,   7,   8}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  7,  10,  11,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  0}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  0,   9,   3,   8}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = {  7,  12,  11,   3}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  0}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  0,   9,   3,   8}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  7,  13,  14,  15}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = { 10,   3,  11,   8}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  7,  13,  16,  15}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  0}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = { 10,   3,  11,   8}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  4,  17,  18,  19}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = { 12,   8,  13,   3}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  0,  17,  18,  19}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = { 12,   8,  13,   3}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {  0}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  0,   1}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {  0}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  0,   1}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = {  4,   5,   3}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  0,   5,   6}; //   3
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 3);
  int c_f_12[] = {  0}; //   1
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 1);
  int c_t_12[] = {  0,   1}; //   2
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 2);
  int c_d_12[] = {  4,   5,   3}; //   3
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 3);

  int c_p_13[] = {  7,   8,   9}; //   3
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 3);
  int c_f_13[] = {  0}; //   1
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 1);
  int c_t_13[] = {  0,   1}; //   2
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 2);
  int c_d_13[] = {  6,   7,   8}; //   3
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 3);

  int c_p_14[] = {  7,  10,  11}; //   3
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 3);
  int c_f_14[] = {  0}; //   1
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 1);
  int c_t_14[] = {  0,   1}; //   2
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 2);
  int c_d_14[] = {  9,   3,   8}; //   3
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 3);

  int c_p_15[] = {  7,  12,  11}; //   3
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 3);
  int c_f_15[] = {  0}; //   1
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 1);
  int c_t_15[] = {  0,   1}; //   2
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 2);
  int c_d_15[] = {  9,   3,   8}; //   3
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 3);

  int c_p_16[] = {  4,  17,  20,  21}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  2}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = {  8,  14,  13,   3}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  0,  17,  20,  21}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  2}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = {  8,  14,  13,   3}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  4,  22,  23,  21}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  2}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = {  8,  15,  16,   3}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  0,  22,  23,  21}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  2}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = {  8,  15,  16,   3}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  0,   1,   2,  24}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {  3}; //   1
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 1);
  int c_d_20[] = { 17,   1,   2,   3}; //   4
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 4);

  int c_p_21[] = {  4,   5,   6,  24}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {  3}; //   1
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 1);
  int c_d_21[] = { 17,   4,   5,   3}; //   4
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 4);

  int c_p_22[] = {  0,   5,   6,  24}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {  3}; //   1
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 1);
  int c_d_22[] = { 17,   4,   5,   3}; //   4
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 4);

  int c_p_23[] = {  7,   8,   9,  24}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {  3}; //   1
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 1);
  int c_d_23[] = { 17,   6,   7,   8}; //   4
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 4);

  int c_p_24[] = {  7,  10,  11,  24}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  3}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = { 17,   9,   3,   8}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = {  7,  12,  11,  24}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  3}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = { 17,   9,   3,   8}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = {  7,  13,  14}; //   3
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 3);
  int c_f_26[] = {  1}; //   1
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 1);
  int c_t_26[] = {  4,   5}; //   2
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 2);
  int c_d_26[] = {  3,  11,   8}; //   3
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 3);

  int c_p_27[] = {  7,  13,  16}; //   3
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 3);
  int c_f_27[] = {  1}; //   1
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 1);
  int c_t_27[] = {  4,   5}; //   2
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 2);
  int c_d_27[] = {  3,  11,   8}; //   3
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 3);

  int c_p_28[] = {  7,  10}; //   2
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 2);
  int c_f_28[] = {  2,   3}; //   2
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 2);
  int c_t_28[] = {  4,   6,   7}; //   3
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 3);
  int c_d_28[] = {  3,   8}; //   2
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 2);

  int c_p_29[] = {  7,  12}; //   2
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 2);
  int c_f_29[] = {  2,   3}; //   2
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 2);
  int c_t_29[] = {  4,   6,   7}; //   3
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 3);
  int c_d_29[] = {  3,   8}; //   2
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 2);

  int c_p_30[] = {  7,  13,  14,  25}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  8}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = { 16,   3,  11,   8}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = {  7,  13,  16,  25}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  8}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = { 16,   3,  11,   8}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = {  7,  10,  26}; //   3
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 3);
  int c_f_32[] = {  4}; //   1
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 1);
  int c_t_32[] = {  9,  10}; //   2
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 2);
  int c_d_32[] = { 16,   3,   8}; //   3
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 3);

  int c_p_33[] = {  7,  12,  26}; //   3
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 3);
  int c_f_33[] = {  4}; //   1
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 1);
  int c_t_33[] = {  9,  10}; //   2
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 2);
  int c_d_33[] = { 16,   3,   8}; //   3
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 3);

  int c_p_34[] = {  7,  10,  27,  28}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {  9}; //   1
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 1);
  int c_d_34[] = { 14,  13,   3,   8}; //   4
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 4);

  int c_p_35[] = {  7,  12,  27,  28}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {  9}; //   1
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 1);
  int c_d_35[] = { 14,  13,   3,   8}; //   4
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 4);

  int c_p_36[] = {  7,  10,  26,  29}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {  9}; //   1
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 1);
  int c_d_36[] = { 15,  16,   3,   8}; //   4
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 4);

  int c_p_37[] = {  7,  12,  26,  29}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {  9}; //   1
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 1);
  int c_d_37[] = { 15,  16,   3,   8}; //   4
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 4);

  int c_p_38[] = { 30,  31,  32,  33}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = { 11}; //   1
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 1);
  int c_d_38[] = {  1,   2,   3,  17}; //   4
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 4);

  int c_p_39[] = { 30,  34,  35,  36}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = { 11}; //   1
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 1);
  int c_d_39[] = {  4,   5,   3,  17}; //   4
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 4);

  int c_p_40[] = { 30,  31,  35,  36}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = { 11}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = {  4,   5,   3,  17}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = { 30,  37,  38,  39}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = { 11}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = {  6,   7,   8,  17}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = { 30,  37,  40,  41}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = { 11}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = {  9,   3,   8,  17}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = { 30,  37,  42,  41}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = { 11}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = {  9,   3,   8,  17}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  7,  10,  27}; //   3
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 3);
  int c_f_44[] = {  5}; //   1
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 1);
  int c_t_44[] = {  0,  12}; //   2
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 2);
  int c_d_44[] = { 13,   3,   8}; //   3
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 3);

  int c_p_45[] = {  7,  12,  27}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  5}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = {  0,  12}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = { 13,   3,   8}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = {  4,  43,  44}; //   3
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 3);
  int c_f_46[] = {  6}; //   1
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 1);
  int c_t_46[] = {  0,  13}; //   2
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 2);
  int c_d_46[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 3);

  int c_p_47[] = {  0,  43,  44}; //   3
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 3);
  int c_f_47[] = {  6}; //   1
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 1);
  int c_t_47[] = {  0,  13}; //   2
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 2);
  int c_d_47[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 3);

  int c_p_48[] = {  7,  10}; //   2
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 2);
  int c_f_48[] = {  7,   5}; //   2
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 2);
  int c_t_48[] = {  0,  12,  14}; //   3
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 3);
  int c_d_48[] = {  3,   8}; //   2
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 2);

  int c_p_49[] = {  7,  12}; //   2
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 2);
  int c_f_49[] = {  7,   5}; //   2
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 2);
  int c_t_49[] = {  0,  12,  14}; //   3
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 3);
  int c_d_49[] = {  3,   8}; //   2
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 2);

  int c_p_50[] = {  4,  43}; //   2
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 2);
  int c_f_50[] = {  8,   6}; //   2
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 2);
  int c_t_50[] = {  0,  13,  15}; //   3
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 3);
  int c_d_50[] = {  8,   3}; //   2
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 2);

  int c_p_51[] = {  0,  43}; //   2
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 2);
  int c_f_51[] = {  8,   6}; //   2
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 2);
  int c_t_51[] = {  0,  13,  15}; //   3
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 3);
  int c_d_51[] = {  8,   3}; //   2
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 2);

  int c_p_52[] = { 30,  37,  40}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  3}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  4,  16}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  3,   8,  17}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = { 30,  37,  42}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  3}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  4,  16}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  3,   8,  17}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  7,  45,  40}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  3}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  4,   6}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  3,  17,   8}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  7,  45,  42}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  3}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  4,   6}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  3,  17,   8}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  7,  10,  46}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  9}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  3,  17}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = { 17,   3,   8}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  7,  12,  46}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  9}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  3,  17}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = { 17,   3,   8}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = { 30,  34,  47}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = { 10}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  2,  18}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = {  8,   3,  17}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = { 30,  31,  47}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = { 10}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  2,  18}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = {  8,   3,  17}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = {  4,  48,  47}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = { 10}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  2,  19}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  8,  17,   3}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  0,  48,  47}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = { 10}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  2,  19}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = {  8,  17,   3}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = {  4,  43,  46}; //   3
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 3);
  int c_f_62[] = {  9}; //   1
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 1);
  int c_t_62[] = {  3,  20}; //   2
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 2);
  int c_d_62[] = { 17,   8,   3}; //   3
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 3);

  int c_p_63[] = {  0,  43,  46}; //   3
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 3);
  int c_f_63[] = {  9}; //   1
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 1);
  int c_t_63[] = {  3,  20}; //   2
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 2);
  int c_d_63[] = { 17,   8,   3}; //   3
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
