#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnenex04/header/ppeexnenex04.phasespace.h"
void ppeexnenex04_ac_psp_240_dxcx_emepvevexuxsx(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppeexnenex04_ac_psp_240_dxcx_emepvevexuxsx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  double g_IS_temp;
  int ran = 1;
  for (int i_p = 0; i_p < psi_c_p[no_ps][channel].size(); i_p++){
    if (psi_c_p[no_ps][channel][i_p] ==   0){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][36];
      psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][216], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 0]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   1){
      psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][164]);
      psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][88], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 1]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 164, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   2){
      psi_v_smin[no_ps][  2] = psi_smin_opt[no_ps][24];
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][164], psi_sqrtsmin_opt[no_ps][228]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 2]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   3){
      psi_v_smin[no_ps][  2] = psi_smin_opt[no_ps][24];
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][36], psi_sqrtsmin_opt[no_ps][228]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 3]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   4){
      psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][88]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][164], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 4]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  88, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   5){
      psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][88]);
      psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][36], psi_sqrtsmin_opt[no_ps][164]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 5]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  88, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  5], ran + i_p);
    }
  }
  ran += psi_c_p[no_ps][channel].size();

  for (int i_f = 0; i_f < psi_c_f[no_ps][channel].size(); i_f++){
    if (psi_c_f[no_ps][channel][i_f] ==   0){
      psi_v_smin[no_ps][  4] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][164], 2), psi_smin_opt[no_ps][228]);
      psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][24], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 0]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps, 228, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  6], ran + i_f);
    }
    else if (psi_c_f[no_ps][channel][i_f] ==   1){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], psi_sqrtsmin_opt[no_ps][60]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 1]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps, 192, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  7], ran + i_f);
    }
    else if (psi_c_f[no_ps][channel][i_f] ==   2){
      psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][36] + psi_xbsqrts[no_ps][192], 2), psi_smin_opt[no_ps][228]);
      psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][24], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 2]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps, 228, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  6], ran + i_f);
    }
    else if (psi_c_f[no_ps][channel][i_f] ==   3){
      psi_v_smin[no_ps][  7] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][88], 2), psi_smin_opt[no_ps][216]);
      psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][36], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 3]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps, 216, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  8], ran + i_f);
    }
  }
  ran += psi_c_f[no_ps][channel].size();

  for (int i_t = 0; i_t < psi_c_t[no_ps][channel].size(); i_t++){
    if      (psi_c_t[no_ps][channel][i_t] ==   0){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 0]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 1]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 252,   1,   2,  24, 228, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   1){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 2]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 3]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 228,   2,  25, 164,  64, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   2){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 4]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 5]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 228,   2,  25,  36, 192, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   3){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 6]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 7]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel(no_ps,   0, 192,  25,  38,  64, 128, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   4){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 8]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 9]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 252,   1,   2,  88, 164, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   5){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 10]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 11]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 252,   2,   1,  36, 216, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   6){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 12]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 13]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 216,   1,  38,  88, 128, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
  }
  ran += 2 * psi_c_t[no_ps][channel].size();

  for (int i_d = 0; i_d < psi_c_d[no_ps][channel].size(); i_d++){
    if      (psi_c_d[no_ps][channel][i_d] ==   0){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 0]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 1]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  24,   8,  16, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   1){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 2]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 3]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 164, 128,  36, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   2){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 4]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 5]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  36,   4,  32, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   3){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 6]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 7]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  88,  64,  24, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
  }
  ran += 2 * psi_c_d[no_ps][channel].size();

  /*
  if      (channel ==    0){ac_channel_2v13yv(r, 1, 2, 8, 16, 64, 128, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==    1){ac_channel_2v112v(r, 1, 2, 8, 16, 64, 128, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  else if (channel ==    2){ac_channel_3yv3yv(r, 1, 2, 64, 8, 16, 128, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==    3){ac_channel_3yv12v(r, 1, 2, 64, 8, 16, 128, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  */

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
