#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexmx04/header/ppemexmx04.phasespace.h"
void ppemexmx04_ax_psp_240_ddx_emmumepmupuux(int no_ps, phasespace_set & psi){
  static Logger logger("ppemexmx04_ax_psp_240_ddx_emmumepmupuux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(28);
  psi_needed_v_smin[no_ps].resize(28);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  108,  109,  110,  111,  112,  113,  114,  115,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 112);
  int needed_v_smin_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,   64,   65,   66,   67,   88,   89,   90,   91}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,   64,   65,   66,   67,   88,   89,   90,   91}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   0,    1,    2,    3,    8,    9,   10,   11,   16,   17,   18,   19,   24,   25,   26,   27}; //  16
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 16);
  int needed_v_smin_4[] = {   4,    5,    6,    7,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31}; //  16
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 16);
  int needed_v_smin_5[] = {   8,    9,   10,   11,   12,   13,   14,   15,   68,   69,   70,   71,  100,  101,  102,  103}; //  16
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 16);
  int needed_v_smin_6[] = {   8,    9,   10,   11,   12,   13,   14,   15,   68,   69,   70,   71,  100,  101,  102,  103}; //  16
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 16);
  int needed_v_smin_7[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   92,   93,   94,   95,   96,   97,   98,   99,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 112);
  int needed_v_smin_8[] = {  16,   17,   18,   19,   20,   21,   22,   23,   80,   81,   82,   83,  104,  105,  106,  107}; //  16
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 16);
  int needed_v_smin_9[] = {  16,   17,   18,   19,   20,   21,   22,   23,   80,   81,   82,   83,  104,  105,  106,  107}; //  16
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 16);
  int needed_v_smin_10[] = {  24,   25,   26,   27,   28,   29,   30,   31,   84,   85,   86,   87,  116,  117,  118,  119}; //  16
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 16);
  int needed_v_smin_11[] = {  24,   25,   26,   27,   28,   29,   30,   31,   84,   85,   86,   87,  116,  117,  118,  119}; //  16
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 16);
  int needed_v_smin_12[] = {  32,   33,   34,   35,   52,   53,   54,   55,   60,   61,   62,   63,  112,  113,  114,  115}; //  16
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 16);
  int needed_v_smin_13[] = {  32,   33,   34,   35}; //   4
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 4);
  int needed_v_smin_14[] = {  36,   37,   38,   39,   48,   49,   50,   51,   56,   57,   58,   59,  108,  109,  110,  111}; //  16
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 16);
  int needed_v_smin_15[] = {  36,   37,   38,   39}; //   4
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 4);
  int needed_v_smin_16[] = {  40,   41,   42,   43,   48,   49,   50,   51,   76,   77,   78,   79,   96,   97,   98,   99}; //  16
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 16);
  int needed_v_smin_17[] = {  40,   41,   42,   43}; //   4
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 4);
  int needed_v_smin_18[] = {  44,   45,   46,   47,   52,   53,   54,   55,   72,   73,   74,   75,   92,   93,   94,   95}; //  16
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 16);
  int needed_v_smin_19[] = {  44,   45,   46,   47}; //   4
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 4);
  int needed_v_smin_20[] = {  56,   57,   58,   59,  108,  109,  110,  111}; //   8
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 8);
  int needed_v_smin_21[] = {  60,   61,   62,   63,  112,  113,  114,  115}; //   8
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 8);
  int needed_v_smin_22[] = {  64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,  100,  101,  102,  103,  104,  105,  106,  107,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; //  56
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 56);
  int needed_v_smin_23[] = {  72,   73,   74,   75,   92,   93,   94,   95}; //   8
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 8);
  int needed_v_smin_24[] = {  76,   77,   78,   79,   96,   97,   98,   99}; //   8
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 8);
  int needed_v_smin_25[] = { 120,  121,  122,  123,  124,  125,  126,  127}; //   8
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 8);
  int needed_v_smin_26[] = { 128,  129,  130,  131,  140,  141,  142,  143}; //   8
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 8);
  int needed_v_smin_27[] = { 132,  133,  134,  135,  136,  137,  138,  139}; //   8
  psi_needed_v_smin[no_ps][ 27] = get_vector_from_array_int(needed_v_smin_27, 8);

  psi_v_smax[no_ps].resize(45);
  psi_needed_v_smax[no_ps].resize(45);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   32,   33,   34,   35,   36,   37,   38,   39,   48,   49,   50,   51,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   92,   93,   94,   95,   96,   97,   98,   99,  124,  125,  126,  127,  128,  129,  130,  131}; //  60
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 60);
  int needed_v_smax_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,   64,   65,   66,   67}; //  12
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 12);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87}; //  48
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 48);
  int needed_v_smax_3[] = {   0,    1,    2,    3,    8,    9,   10,   11,   16,   17,   18,   19,   24,   25,   26,   27,   36,   37,   38,   39,   44,   45,   46,   47}; //  24
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 24);
  int needed_v_smax_4[] = {   4,    5,    6,    7,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   40,   41,   42,   43}; //  24
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 24);
  int needed_v_smax_5[] = {   8,    9,   10,   11,   12,   13,   14,   15,   68,   69,   70,   71}; //  12
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 12);
  int needed_v_smax_6[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   40,   41,   42,   43,   44,   45,   46,   47,   52,   53,   54,   55,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,  108,  109,  110,  111,  112,  113,  114,  115,  136,  137,  138,  139,  140,  141,  142,  143}; //  60
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 60);
  int needed_v_smax_7[] = {  16,   17,   18,   19,   20,   21,   22,   23,   80,   81,   82,   83}; //  12
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 12);
  int needed_v_smax_8[] = {  24,   25,   26,   27,   28,   29,   30,   31,   84,   85,   86,   87}; //  12
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 12);
  int needed_v_smax_9[] = {  32,   33,   34,   35,   60,   61,   62,   63}; //   8
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 8);
  int needed_v_smax_10[] = {  32,   33,   34,   35}; //   4
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 4);
  int needed_v_smax_11[] = {  36,   37,   38,   39,   56,   57,   58,   59}; //   8
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 8);
  int needed_v_smax_12[] = {  36,   37,   38,   39}; //   4
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 4);
  int needed_v_smax_13[] = {  40,   41,   42,   43,   76,   77,   78,   79}; //   8
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 8);
  int needed_v_smax_14[] = {  40,   41,   42,   43}; //   4
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 4);
  int needed_v_smax_15[] = {  44,   45,   46,   47,   72,   73,   74,   75}; //   8
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 8);
  int needed_v_smax_16[] = {  44,   45,   46,   47}; //   4
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 4);
  int needed_v_smax_17[] = {  48,   49,   50,   51,   92,   93,   94,   95,   96,   97,   98,   99,  128,  129,  130,  131}; //  16
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 16);
  int needed_v_smax_18[] = {  48,   49,   50,   51,  108,  109,  110,  111}; //   8
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 8);
  int needed_v_smax_19[] = {  48,   49,   50,   51}; //   4
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 4);
  int needed_v_smax_20[] = {  52,   53,   54,   55,  108,  109,  110,  111,  112,  113,  114,  115,  140,  141,  142,  143}; //  16
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 16);
  int needed_v_smax_21[] = {  52,   53,   54,   55,   92,   93,   94,   95}; //   8
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 8);
  int needed_v_smax_22[] = {  52,   53,   54,   55}; //   4
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 4);
  int needed_v_smax_23[] = {  56,   57,   58,   59,   60,   61,   62,   63}; //   8
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 8);
  int needed_v_smax_24[] = {  56,   57,   58,   59,   60,   61,   62,   63}; //   8
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 8);
  int needed_v_smax_25[] = {  64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87}; //  16
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 16);
  int needed_v_smax_26[] = {  72,   73,   74,   75,   76,   77,   78,   79}; //   8
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 8);
  int needed_v_smax_27[] = {  72,   73,   74,   75,   76,   77,   78,   79}; //   8
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 8);
  int needed_v_smax_28[] = {  88,   89,   90,   91,  100,  101,  102,  103,  104,  105,  106,  107,  116,  117,  118,  119,  120,  121,  122,  123,  132,  133,  134,  135}; //  24
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 24);
  int needed_v_smax_29[] = {  88,   89,   90,   91,  100,  101,  102,  103,  120,  121,  122,  123}; //  12
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 12);
  int needed_v_smax_30[] = {  88,   89,   90,   91}; //   4
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 4);
  int needed_v_smax_31[] = {  88,   89,   90,   91,  100,  101,  102,  103,  104,  105,  106,  107,  116,  117,  118,  119,  128,  129,  130,  131,  140,  141,  142,  143}; //  24
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 24);
  int needed_v_smax_32[] = {  92,   93,   94,   95,   96,   97,   98,   99,  132,  133,  134,  135,  136,  137,  138,  139}; //  16
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 16);
  int needed_v_smax_33[] = {  96,   97,   98,   99}; //   4
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 4);
  int needed_v_smax_34[] = { 100,  101,  102,  103}; //   4
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 4);
  int needed_v_smax_35[] = { 104,  105,  106,  107,  116,  117,  118,  119,  132,  133,  134,  135}; //  12
  psi_needed_v_smax[no_ps][ 35] = get_vector_from_array_int(needed_v_smax_35, 12);
  int needed_v_smax_36[] = { 104,  105,  106,  107}; //   4
  psi_needed_v_smax[no_ps][ 36] = get_vector_from_array_int(needed_v_smax_36, 4);
  int needed_v_smax_37[] = { 108,  109,  110,  111,  112,  113,  114,  115,  120,  121,  122,  123,  124,  125,  126,  127}; //  16
  psi_needed_v_smax[no_ps][ 37] = get_vector_from_array_int(needed_v_smax_37, 16);
  int needed_v_smax_38[] = { 112,  113,  114,  115}; //   4
  psi_needed_v_smax[no_ps][ 38] = get_vector_from_array_int(needed_v_smax_38, 4);
  int needed_v_smax_39[] = { 116,  117,  118,  119}; //   4
  psi_needed_v_smax[no_ps][ 39] = get_vector_from_array_int(needed_v_smax_39, 4);
  int needed_v_smax_40[] = { 120,  121,  122,  123,  124,  125,  126,  127}; //   8
  psi_needed_v_smax[no_ps][ 40] = get_vector_from_array_int(needed_v_smax_40, 8);
  int needed_v_smax_41[] = { 124,  125,  126,  127}; //   4
  psi_needed_v_smax[no_ps][ 41] = get_vector_from_array_int(needed_v_smax_41, 4);
  int needed_v_smax_42[] = { 128,  129,  130,  131,  140,  141,  142,  143}; //   8
  psi_needed_v_smax[no_ps][ 42] = get_vector_from_array_int(needed_v_smax_42, 8);
  int needed_v_smax_43[] = { 132,  133,  134,  135,  136,  137,  138,  139}; //   8
  psi_needed_v_smax[no_ps][ 43] = get_vector_from_array_int(needed_v_smax_43, 8);
  int needed_v_smax_44[] = { 136,  137,  138,  139}; //   4
  psi_needed_v_smax[no_ps][ 44] = get_vector_from_array_int(needed_v_smax_44, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(81);
  psi_needed_g_p[no_ps].resize(81);
  int needed_g_p_0[] = {   0,    1,    4,    5,    8,    9,   12,   13,   32,   33,   36,   37,   48,   49,   56,   57,   60,   61,   64,   65,   68,   69,   92,   93,   96,   97,  124,  125,  128,  129}; //  30
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 30);
  psi_container_IS_name.push_back("propagator_0_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,   64,   65,   66,   67}; //  12
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 12);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,    4,    6,   64,   66}; //   6
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 6);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    2,    3,    8,    9,   10,   11,   16,   17,   18,   19,   24,   25,   26,   27}; //  16
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 16);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    3,    5,    7,   65,   67}; //   6
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 6);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_5[] = {   2,    3,    6,    7,   10,   11,   14,   15,   34,   35,   38,   39,   50,   51,   58,   59,   62,   63,   66,   67,   70,   71,   94,   95,   98,   99,  126,  127,  130,  131}; //  30
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 30);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_6[] = {   4,    5,    6,    7,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31}; //  16
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 16);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_7[] = {   8,    9,   10,   11,   12,   13,   14,   15,   68,   69,   70,   71}; //  12
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 12);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_8[] = {   8,   10,   12,   14,   68,   70}; //   6
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 6);
  psi_container_IS_name.push_back("propagator_0_smin6_smax2");
  int needed_g_p_9[] = {   9,   11,   13,   15,   69,   71}; //   6
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 6);
  psi_container_IS_name.push_back("propagator_23_smin6_smax2");
  int needed_g_p_10[] = {  16,   17,   20,   21,   24,   25,   28,   29,   40,   41,   44,   45,   52,   53,   72,   73,   76,   77,   80,   81,   84,   85,  108,  109,  112,  113,  136,  137,  140,  141}; //  30
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 30);
  psi_container_IS_name.push_back("propagator_0_smin7_smax6");
  int needed_g_p_11[] = {  16,   17,   18,   19,   20,   21,   22,   23,   80,   81,   82,   83}; //  12
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 12);
  psi_container_IS_name.push_back("propagator_0_smin8_smax7");
  int needed_g_p_12[] = {  16,   18,   20,   22,   80,   82}; //   6
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 6);
  psi_container_IS_name.push_back("propagator_0_smin9_smax2");
  int needed_g_p_13[] = {  17,   19,   21,   23,   81,   83}; //   6
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 6);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_14[] = {  18,   19,   22,   23,   26,   27,   30,   31,   42,   43,   46,   47,   54,   55,   74,   75,   78,   79,   82,   83,   86,   87,  110,  111,  114,  115,  138,  139,  142,  143}; //  30
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 30);
  psi_container_IS_name.push_back("propagator_23_smin7_smax6");
  int needed_g_p_15[] = {  24,   25,   26,   27,   28,   29,   30,   31,   84,   85,   86,   87}; //  12
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 12);
  psi_container_IS_name.push_back("propagator_0_smin10_smax8");
  int needed_g_p_16[] = {  24,   26,   28,   30,   84,   86}; //   6
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 6);
  psi_container_IS_name.push_back("propagator_0_smin11_smax2");
  int needed_g_p_17[] = {  25,   27,   29,   31,   85,   87}; //   6
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 6);
  psi_container_IS_name.push_back("propagator_23_smin11_smax2");
  int needed_g_p_18[] = {  32,   33,   34,   35,   60,   61,   62,   63}; //   8
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 8);
  psi_container_IS_name.push_back("propagator_0_smin12_smax9");
  int needed_g_p_19[] = {  32,   34}; //   2
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax10");
  int needed_g_p_20[] = {  32,   33,   34,   35}; //   4
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 4);
  psi_container_IS_name.push_back("propagator_0_smin13_smax4");
  int needed_g_p_21[] = {  33,   35}; //   2
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 2);
  psi_container_IS_name.push_back("propagator_23_smin7_smax10");
  int needed_g_p_22[] = {  36,   37,   38,   39,   56,   57,   58,   59}; //   8
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 8);
  psi_container_IS_name.push_back("propagator_0_smin14_smax11");
  int needed_g_p_23[] = {  36,   38}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax12");
  int needed_g_p_24[] = {  36,   37,   38,   39}; //   4
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 4);
  psi_container_IS_name.push_back("propagator_0_smin15_smax3");
  int needed_g_p_25[] = {  37,   39}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_23_smin7_smax12");
  int needed_g_p_26[] = {  40,   41,   42,   43,   76,   77,   78,   79}; //   8
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 8);
  psi_container_IS_name.push_back("propagator_0_smin16_smax13");
  int needed_g_p_27[] = {  40,   42}; //   2
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 2);
  psi_container_IS_name.push_back("propagator_0_smin0_smax14");
  int needed_g_p_28[] = {  40,   41,   42,   43}; //   4
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax4");
  int needed_g_p_29[] = {  41,   43}; //   2
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax14");
  int needed_g_p_30[] = {  44,   45,   46,   47,   72,   73,   74,   75}; //   8
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 8);
  psi_container_IS_name.push_back("propagator_0_smin18_smax15");
  int needed_g_p_31[] = {  44,   46}; //   2
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 2);
  psi_container_IS_name.push_back("propagator_0_smin0_smax16");
  int needed_g_p_32[] = {  44,   45,   46,   47}; //   4
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 4);
  psi_container_IS_name.push_back("propagator_0_smin19_smax3");
  int needed_g_p_33[] = {  45,   47}; //   2
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_34[] = {  48,   50,   92,   94,   96,   98,  128,  130}; //   8
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 8);
  psi_container_IS_name.push_back("propagator_0_smin7_smax17");
  int needed_g_p_35[] = {  48,   49,   50,   51,  108,  109,  110,  111}; //   8
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 8);
  psi_container_IS_name.push_back("propagator_0_smin14_smax18");
  int needed_g_p_36[] = {  48,   49,   50,   51}; //   4
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax19");
  int needed_g_p_37[] = {  49,   51,   93,   95,   97,   99,  129,  131}; //   8
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 8);
  psi_container_IS_name.push_back("propagator_23_smin7_smax17");
  int needed_g_p_38[] = {  52,   54,  108,  110,  112,  114,  140,  142}; //   8
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 8);
  psi_container_IS_name.push_back("propagator_0_smin0_smax20");
  int needed_g_p_39[] = {  52,   53,   54,   55,   92,   93,   94,   95}; //   8
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 8);
  psi_container_IS_name.push_back("propagator_0_smin18_smax21");
  int needed_g_p_40[] = {  52,   53,   54,   55}; //   4
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax22");
  int needed_g_p_41[] = {  53,   55,  109,  111,  113,  115,  141,  143}; //   8
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 8);
  psi_container_IS_name.push_back("propagator_23_smin0_smax20");
  int needed_g_p_42[] = {  56,   57,   58,   59}; //   4
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 4);
  psi_container_IS_name.push_back("propagator_0_smin20_smax23");
  int needed_g_p_43[] = {  56,   58,   60,   62}; //   4
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 4);
  psi_container_IS_name.push_back("propagator_0_smin7_smax24");
  int needed_g_p_44[] = {  57,   59,   61,   63}; //   4
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 4);
  psi_container_IS_name.push_back("propagator_23_smin7_smax24");
  int needed_g_p_45[] = {  60,   61,   62,   63}; //   4
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 4);
  psi_container_IS_name.push_back("propagator_0_smin21_smax23");
  int needed_g_p_46[] = {  64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87}; //  16
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 16);
  psi_container_IS_name.push_back("propagator_0_smin22_smax25");
  int needed_g_p_47[] = {  72,   73,   74,   75}; //   4
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 4);
  psi_container_IS_name.push_back("propagator_0_smin23_smax26");
  int needed_g_p_48[] = {  72,   74,   76,   78}; //   4
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 4);
  psi_container_IS_name.push_back("propagator_0_smin0_smax27");
  int needed_g_p_49[] = {  73,   75,   77,   79}; //   4
  psi_needed_g_p[no_ps][49] = get_vector_from_array_int(needed_g_p_49, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax27");
  int needed_g_p_50[] = {  76,   77,   78,   79}; //   4
  psi_needed_g_p[no_ps][50] = get_vector_from_array_int(needed_g_p_50, 4);
  psi_container_IS_name.push_back("propagator_0_smin24_smax26");
  int needed_g_p_51[] = {  88,   89,   90,   91,  100,  101,  102,  103,  104,  105,  106,  107,  116,  117,  118,  119,  120,  121,  122,  123,  132,  133,  134,  135}; //  24
  psi_needed_g_p[no_ps][51] = get_vector_from_array_int(needed_g_p_51, 24);
  psi_container_IS_name.push_back("propagator_0_smin22_smax28");
  int needed_g_p_52[] = {  88,   89,  100,  101,  120,  121}; //   6
  psi_needed_g_p[no_ps][52] = get_vector_from_array_int(needed_g_p_52, 6);
  psi_container_IS_name.push_back("propagator_0_smin0_smax29");
  int needed_g_p_53[] = {  88,   89,   90,   91}; //   4
  psi_needed_g_p[no_ps][53] = get_vector_from_array_int(needed_g_p_53, 4);
  psi_container_IS_name.push_back("propagator_0_smin1_smax30");
  int needed_g_p_54[] = {  88,   90}; //   2
  psi_needed_g_p[no_ps][54] = get_vector_from_array_int(needed_g_p_54, 2);
  psi_container_IS_name.push_back("propagator_0_smin2_smax31");
  int needed_g_p_55[] = {  89,   91}; //   2
  psi_needed_g_p[no_ps][55] = get_vector_from_array_int(needed_g_p_55, 2);
  psi_container_IS_name.push_back("propagator_23_smin2_smax31");
  int needed_g_p_56[] = {  90,   91,  102,  103,  122,  123}; //   6
  psi_needed_g_p[no_ps][56] = get_vector_from_array_int(needed_g_p_56, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax29");
  int needed_g_p_57[] = {  92,   93,   94,   95}; //   4
  psi_needed_g_p[no_ps][57] = get_vector_from_array_int(needed_g_p_57, 4);
  psi_container_IS_name.push_back("propagator_0_smin23_smax32");
  int needed_g_p_58[] = {  96,   97,   98,   99}; //   4
  psi_needed_g_p[no_ps][58] = get_vector_from_array_int(needed_g_p_58, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax33");
  int needed_g_p_59[] = {  96,   97,   98,   99}; //   4
  psi_needed_g_p[no_ps][59] = get_vector_from_array_int(needed_g_p_59, 4);
  psi_container_IS_name.push_back("propagator_0_smin24_smax32");
  int needed_g_p_60[] = { 100,  101,  102,  103}; //   4
  psi_needed_g_p[no_ps][60] = get_vector_from_array_int(needed_g_p_60, 4);
  psi_container_IS_name.push_back("propagator_0_smin5_smax34");
  int needed_g_p_61[] = { 100,  102}; //   2
  psi_needed_g_p[no_ps][61] = get_vector_from_array_int(needed_g_p_61, 2);
  psi_container_IS_name.push_back("propagator_0_smin6_smax31");
  int needed_g_p_62[] = { 101,  103}; //   2
  psi_needed_g_p[no_ps][62] = get_vector_from_array_int(needed_g_p_62, 2);
  psi_container_IS_name.push_back("propagator_23_smin6_smax31");
  int needed_g_p_63[] = { 104,  105,  116,  117,  132,  133}; //   6
  psi_needed_g_p[no_ps][63] = get_vector_from_array_int(needed_g_p_63, 6);
  psi_container_IS_name.push_back("propagator_0_smin7_smax35");
  int needed_g_p_64[] = { 104,  105,  106,  107}; //   4
  psi_needed_g_p[no_ps][64] = get_vector_from_array_int(needed_g_p_64, 4);
  psi_container_IS_name.push_back("propagator_0_smin8_smax36");
  int needed_g_p_65[] = { 104,  106}; //   2
  psi_needed_g_p[no_ps][65] = get_vector_from_array_int(needed_g_p_65, 2);
  psi_container_IS_name.push_back("propagator_0_smin9_smax31");
  int needed_g_p_66[] = { 105,  107}; //   2
  psi_needed_g_p[no_ps][66] = get_vector_from_array_int(needed_g_p_66, 2);
  psi_container_IS_name.push_back("propagator_23_smin9_smax31");
  int needed_g_p_67[] = { 106,  107,  118,  119,  134,  135}; //   6
  psi_needed_g_p[no_ps][67] = get_vector_from_array_int(needed_g_p_67, 6);
  psi_container_IS_name.push_back("propagator_23_smin7_smax35");
  int needed_g_p_68[] = { 108,  109,  110,  111}; //   4
  psi_needed_g_p[no_ps][68] = get_vector_from_array_int(needed_g_p_68, 4);
  psi_container_IS_name.push_back("propagator_0_smin20_smax37");
  int needed_g_p_69[] = { 112,  113,  114,  115}; //   4
  psi_needed_g_p[no_ps][69] = get_vector_from_array_int(needed_g_p_69, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax38");
  int needed_g_p_70[] = { 112,  113,  114,  115}; //   4
  psi_needed_g_p[no_ps][70] = get_vector_from_array_int(needed_g_p_70, 4);
  psi_container_IS_name.push_back("propagator_0_smin21_smax37");
  int needed_g_p_71[] = { 116,  117,  118,  119}; //   4
  psi_needed_g_p[no_ps][71] = get_vector_from_array_int(needed_g_p_71, 4);
  psi_container_IS_name.push_back("propagator_0_smin10_smax39");
  int needed_g_p_72[] = { 116,  118}; //   2
  psi_needed_g_p[no_ps][72] = get_vector_from_array_int(needed_g_p_72, 2);
  psi_container_IS_name.push_back("propagator_0_smin11_smax31");
  int needed_g_p_73[] = { 117,  119}; //   2
  psi_needed_g_p[no_ps][73] = get_vector_from_array_int(needed_g_p_73, 2);
  psi_container_IS_name.push_back("propagator_23_smin11_smax31");
  int needed_g_p_74[] = { 120,  122,  124,  126}; //   4
  psi_needed_g_p[no_ps][74] = get_vector_from_array_int(needed_g_p_74, 4);
  psi_container_IS_name.push_back("propagator_0_smin7_smax40");
  int needed_g_p_75[] = { 121,  123,  125,  127}; //   4
  psi_needed_g_p[no_ps][75] = get_vector_from_array_int(needed_g_p_75, 4);
  psi_container_IS_name.push_back("propagator_23_smin7_smax40");
  int needed_g_p_76[] = { 124,  125,  126,  127}; //   4
  psi_needed_g_p[no_ps][76] = get_vector_from_array_int(needed_g_p_76, 4);
  psi_container_IS_name.push_back("propagator_0_smin22_smax41");
  int needed_g_p_77[] = { 128,  129,  130,  131,  140,  141,  142,  143}; //   8
  psi_needed_g_p[no_ps][77] = get_vector_from_array_int(needed_g_p_77, 8);
  psi_container_IS_name.push_back("propagator_0_smin22_smax42");
  int needed_g_p_78[] = { 132,  134,  136,  138}; //   4
  psi_needed_g_p[no_ps][78] = get_vector_from_array_int(needed_g_p_78, 4);
  psi_container_IS_name.push_back("propagator_0_smin0_smax43");
  int needed_g_p_79[] = { 133,  135,  137,  139}; //   4
  psi_needed_g_p[no_ps][79] = get_vector_from_array_int(needed_g_p_79, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax43");
  int needed_g_p_80[] = { 136,  137,  138,  139}; //   4
  psi_needed_g_p[no_ps][80] = get_vector_from_array_int(needed_g_p_80, 4);
  psi_container_IS_name.push_back("propagator_0_smin22_smax44");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(3);
  psi_needed_g_f[no_ps].resize(3);
  int needed_g_f_0[] = { 120,  121,  122,  123,  124,  125,  126,  127}; //   8
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax37");
  int needed_g_f_1[] = { 128,  129,  130,  131,  140,  141,  142,  143}; //   8
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin26_smax31");
  int needed_g_f_2[] = { 132,  133,  134,  135,  136,  137,  138,  139}; //   8
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin27_smax32");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(12);
  psi_needed_g_t[no_ps].resize(12);
  int needed_g_t_0[] = {  56,   57,   58,   59,   60,   61,   62,   63,  120,  121,  122,  123,  124,  125,  126,  127}; //  16
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 16);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__20_232");
  int needed_g_t_1[] = {  64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87,  128,  129,  130,  131,  140,  141,  142,  143}; //  24
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_2[] = {  72,   73,   74,   75,   76,   77,   78,   79,  132,  133,  134,  135,  136,  137,  138,  139}; //  16
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 16);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__40_212");
  int needed_g_t_3[] = {  88,   89,   90,   91,  100,  101,  102,  103,  104,  105,  106,  107,  116,  117,  118,  119}; //  16
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 16);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_4[] = {  92,   93,   94,   95,   96,   97,   98,   99}; //   8
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__40_212");
  int needed_g_t_5[] = { 108,  109,  110,  111,  112,  113,  114,  115}; //   8
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__20_232");
  int needed_g_t_6[] = { 120,  121,  122,  123}; //   4
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__192_40");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__192_40");
  int needed_g_t_7[] = { 124,  125,  126,  127}; //   4
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__40_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__40_192");
  int needed_g_t_8[] = { 128,  129,  130,  131}; //   4
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__40_20");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__40_20");
  int needed_g_t_9[] = { 132,  133,  134,  135}; //   4
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__192_20");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__192_20");
  int needed_g_t_10[] = { 136,  137,  138,  139}; //   4
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__20_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__20_192");
  int needed_g_t_11[] = { 140,  141,  142,  143}; //   4
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__20_40");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__20_40");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(29);
  psi_needed_g_d[no_ps].resize(29);
  int needed_g_d_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   16,   17,   18,   19,   24,   25,   26,   27,   36,   37,   38,   39,   44,   45,   46,   47}; //  24
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 24);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_1[] = {   0,    1,    2,    3,    8,    9,   10,   11,   16,   17,   18,   19,   24,   25,   26,   27}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,   64,   65,   66,   67,   88,   89,   90,   91}; //  16
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_3[] = {   0,    1,    2,    3,    4,    5,    6,    7,   64,   65,   66,   67,   88,   89,   90,   91}; //  16
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__16_40");
  psi_container_IS_name.push_back("phi_of_decay_56__16_40");
  int needed_g_d_4[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  108,  109,  110,  111,  112,  113,  114,  115,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 112);
  psi_container_IS_name.push_back("costheta_of_decay_40__8_32");
  psi_container_IS_name.push_back("phi_of_decay_40__8_32");
  int needed_g_d_5[] = {   4,    5,    6,    7,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   40,   41,   42,   43}; //  24
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 24);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_6[] = {   4,    5,    6,    7,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31}; //  16
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 16);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_7[] = {   8,    9,   10,   11,   12,   13,   14,   15,   68,   69,   70,   71,  100,  101,  102,  103}; //  16
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_8[] = {   8,    9,   10,   11,   12,   13,   14,   15,   68,   69,   70,   71,  100,  101,  102,  103}; //  16
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 16);
  psi_container_IS_name.push_back("costheta_of_decay_44__4_40");
  psi_container_IS_name.push_back("phi_of_decay_44__4_40");
  int needed_g_d_9[] = {  16,   17,   18,   19,   20,   21,   22,   23,   80,   81,   82,   83,  104,  105,  106,  107}; //  16
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_10[] = {  16,   17,   18,   19,   20,   21,   22,   23,   80,   81,   82,   83,  104,  105,  106,  107}; //  16
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__32_20");
  psi_container_IS_name.push_back("phi_of_decay_52__32_20");
  int needed_g_d_11[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   92,   93,   94,   95,   96,   97,   98,   99,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 112);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");
  int needed_g_d_12[] = {  24,   25,   26,   27,   28,   29,   30,   31,   84,   85,   86,   87,  116,  117,  118,  119}; //  16
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_13[] = {  24,   25,   26,   27,   28,   29,   30,   31,   84,   85,   86,   87,  116,  117,  118,  119}; //  16
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 16);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_14[] = {  32,   33,   34,   35}; //   4
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__20_104");
  psi_container_IS_name.push_back("phi_of_decay_124__20_104");
  int needed_g_d_15[] = {  32,   33,   34,   35,   52,   53,   54,   55,   60,   61,   62,   63,  112,  113,  114,  115}; //  16
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 16);
  psi_container_IS_name.push_back("costheta_of_decay_104__64_40");
  psi_container_IS_name.push_back("phi_of_decay_104__64_40");
  int needed_g_d_16[] = {  36,   37,   38,   39}; //   4
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__20_168");
  psi_container_IS_name.push_back("phi_of_decay_188__20_168");
  int needed_g_d_17[] = {  36,   37,   38,   39,   48,   49,   50,   51,   56,   57,   58,   59,  108,  109,  110,  111}; //  16
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 16);
  psi_container_IS_name.push_back("costheta_of_decay_168__128_40");
  psi_container_IS_name.push_back("phi_of_decay_168__128_40");
  int needed_g_d_18[] = {  40,   41,   42,   43}; //   4
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__40_84");
  psi_container_IS_name.push_back("phi_of_decay_124__40_84");
  int needed_g_d_19[] = {  40,   41,   42,   43,   48,   49,   50,   51,   76,   77,   78,   79,   96,   97,   98,   99}; //  16
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 16);
  psi_container_IS_name.push_back("costheta_of_decay_84__64_20");
  psi_container_IS_name.push_back("phi_of_decay_84__64_20");
  int needed_g_d_20[] = {  44,   45,   46,   47}; //   4
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__40_148");
  psi_container_IS_name.push_back("phi_of_decay_188__40_148");
  int needed_g_d_21[] = {  44,   45,   46,   47,   52,   53,   54,   55,   72,   73,   74,   75,   92,   93,   94,   95}; //  16
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 16);
  psi_container_IS_name.push_back("costheta_of_decay_148__128_20");
  psi_container_IS_name.push_back("phi_of_decay_148__128_20");
  int needed_g_d_22[] = {  48,   49,   50,   51}; //   4
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 4);
  psi_container_IS_name.push_back("costheta_of_decay_252__84_168");
  psi_container_IS_name.push_back("phi_of_decay_252__84_168");
  int needed_g_d_23[] = {  52,   53,   54,   55}; //   4
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 4);
  psi_container_IS_name.push_back("costheta_of_decay_252__104_148");
  psi_container_IS_name.push_back("phi_of_decay_252__104_148");
  int needed_g_d_24[] = {  56,   57,   58,   59,  108,  109,  110,  111}; //   8
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 8);
  psi_container_IS_name.push_back("costheta_of_decay_232__64_168");
  psi_container_IS_name.push_back("phi_of_decay_232__64_168");
  int needed_g_d_25[] = {  60,   61,   62,   63,  112,  113,  114,  115}; //   8
  psi_needed_g_d[no_ps][25] = get_vector_from_array_int(needed_g_d_25, 8);
  psi_container_IS_name.push_back("costheta_of_decay_232__128_104");
  psi_container_IS_name.push_back("phi_of_decay_232__128_104");
  int needed_g_d_26[] = {  64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,  100,  101,  102,  103,  104,  105,  106,  107,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; //  56
  psi_needed_g_d[no_ps][26] = get_vector_from_array_int(needed_g_d_26, 56);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_27[] = {  72,   73,   74,   75,   92,   93,   94,   95}; //   8
  psi_needed_g_d[no_ps][27] = get_vector_from_array_int(needed_g_d_27, 8);
  psi_container_IS_name.push_back("costheta_of_decay_212__64_148");
  psi_container_IS_name.push_back("phi_of_decay_212__64_148");
  int needed_g_d_28[] = {  76,   77,   78,   79,   96,   97,   98,   99}; //   8
  psi_needed_g_d[no_ps][28] = get_vector_from_array_int(needed_g_d_28, 8);
  psi_container_IS_name.push_back("costheta_of_decay_212__128_84");
  psi_container_IS_name.push_back("phi_of_decay_212__128_84");

  psi_c_p[no_ps].resize(144);
  psi_c_f[no_ps].resize(144);
  psi_c_t[no_ps].resize(144);
  psi_c_d[no_ps].resize(144);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {}; //   0
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 0);
  int c_d_0[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 5);

  int c_p_1[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {}; //   0
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 0);
  int c_d_1[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 5);

  int c_p_2[] = {  5,   1,   2,   3}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {}; //   0
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 0);
  int c_d_2[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 5);

  int c_p_3[] = {  5,   1,   4,   3}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {}; //   0
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 0);
  int c_d_3[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 5);

  int c_p_4[] = {  0,   1,   2,   6}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {}; //   0
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 0);
  int c_d_4[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 5);

  int c_p_5[] = {  0,   1,   4,   6}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {}; //   0
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 0);
  int c_d_5[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 5);

  int c_p_6[] = {  5,   1,   2,   6}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {}; //   0
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 0);
  int c_d_6[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 5);

  int c_p_7[] = {  5,   1,   4,   6}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {}; //   0
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 0);
  int c_d_7[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 5);

  int c_p_8[] = {  0,   7,   8,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {}; //   0
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 0);
  int c_d_8[] = {  0,   1,   7,   8,   4}; //   5
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 5);

  int c_p_9[] = {  0,   7,   9,   3}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {}; //   0
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 0);
  int c_d_9[] = {  0,   1,   7,   8,   4}; //   5
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 5);

  int c_p_10[] = {  5,   7,   8,   3}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {}; //   0
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 0);
  int c_d_10[] = {  0,   1,   7,   8,   4}; //   5
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 5);

  int c_p_11[] = {  5,   7,   9,   3}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {}; //   0
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 0);
  int c_d_11[] = {  0,   1,   7,   8,   4}; //   5
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 5);

  int c_p_12[] = {  0,   7,   8,   6}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {}; //   0
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 0);
  int c_d_12[] = {  5,   6,   7,   8,   4}; //   5
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 5);

  int c_p_13[] = {  0,   7,   9,   6}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {}; //   0
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 0);
  int c_d_13[] = {  5,   6,   7,   8,   4}; //   5
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 5);

  int c_p_14[] = {  5,   7,   8,   6}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {}; //   0
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 0);
  int c_d_14[] = {  5,   6,   7,   8,   4}; //   5
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 5);

  int c_p_15[] = {  5,   7,   9,   6}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {}; //   0
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 0);
  int c_d_15[] = {  5,   6,   7,   8,   4}; //   5
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 5);

  int c_p_16[] = { 10,  11,  12,   3}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = {  0,   1,   9,  10,  11}; //   5
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 5);

  int c_p_17[] = { 10,  11,  13,   3}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = {  0,   1,   9,  10,  11}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = { 14,  11,  12,   3}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = {  0,   1,   9,  10,  11}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = { 14,  11,  13,   3}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = {  0,   1,   9,  10,  11}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = { 10,  11,  12,   6}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = {  5,   6,   9,  10,  11}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = { 10,  11,  13,   6}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = {  5,   6,   9,  10,  11}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = { 14,  11,  12,   6}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = {  5,   6,   9,  10,  11}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = { 14,  11,  13,   6}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = {  5,   6,   9,  10,  11}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = { 10,  15,  16,   3}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = {  0,   1,  12,  13,  11}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = { 10,  15,  17,   3}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = {  0,   1,  12,  13,  11}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = { 14,  15,  16,   3}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = {  0,   1,  12,  13,  11}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = { 14,  15,  17,   3}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = {  0,   1,  12,  13,  11}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = { 10,  15,  16,   6}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = {  5,   6,  12,  13,  11}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = { 10,  15,  17,   6}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = {  5,   6,  12,  13,  11}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = { 14,  15,  16,   6}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = {  5,   6,  12,  13,  11}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = { 14,  15,  17,   6}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = {  5,   6,  12,  13,  11}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = {  5,  14,  11,  15,   4}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = {  5,  14,  11,  15,   4}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = {  5,  18,  19,  20}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {}; //   0
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 0);
  int c_d_34[] = {  5,  14,  11,  15,   4}; //   5
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 5);

  int c_p_35[] = {  5,  18,  21,  20}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {}; //   0
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 0);
  int c_d_35[] = {  5,  14,  11,  15,   4}; //   5
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 5);

  int c_p_36[] = {  0,  22,  23,  24}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {}; //   0
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 0);
  int c_d_36[] = {  0,  16,  11,  17,   4}; //   5
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 5);

  int c_p_37[] = {  0,  22,  25,  24}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {}; //   0
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 0);
  int c_d_37[] = {  0,  16,  11,  17,   4}; //   5
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 5);

  int c_p_38[] = {  5,  22,  23,  24}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {}; //   0
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 0);
  int c_d_38[] = {  0,  16,  11,  17,   4}; //   5
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 5);

  int c_p_39[] = {  5,  22,  25,  24}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {}; //   0
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 0);
  int c_d_39[] = {  0,  16,  11,  17,   4}; //   5
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 5);

  int c_p_40[] = { 10,  26,  27,  28}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {}; //   0
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 0);
  int c_d_40[] = {  5,  18,   4,  19,  11}; //   5
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 5);

  int c_p_41[] = { 10,  26,  29,  28}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {}; //   0
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 0);
  int c_d_41[] = {  5,  18,   4,  19,  11}; //   5
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 5);

  int c_p_42[] = { 14,  26,  27,  28}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {}; //   0
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 0);
  int c_d_42[] = {  5,  18,   4,  19,  11}; //   5
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 5);

  int c_p_43[] = { 14,  26,  29,  28}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {}; //   0
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 0);
  int c_d_43[] = {  5,  18,   4,  19,  11}; //   5
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 5);

  int c_p_44[] = { 10,  30,  31,  32}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {}; //   0
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 0);
  int c_d_44[] = {  0,  20,   4,  21,  11}; //   5
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 5);

  int c_p_45[] = { 10,  30,  33,  32}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {}; //   0
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 0);
  int c_d_45[] = {  0,  20,   4,  21,  11}; //   5
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 5);

  int c_p_46[] = { 14,  30,  31,  32}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {}; //   0
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 0);
  int c_d_46[] = {  0,  20,   4,  21,  11}; //   5
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 5);

  int c_p_47[] = { 14,  30,  33,  32}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {}; //   0
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 0);
  int c_d_47[] = {  0,  20,   4,  21,  11}; //   5
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 5);

  int c_p_48[] = {  0,  34,  35,  36}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {}; //   0
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 0);
  int c_d_48[] = { 22,  19,  17,  11,   4}; //   5
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 5);

  int c_p_49[] = {  0,  37,  35,  36}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {}; //   0
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 0);
  int c_d_49[] = { 22,  19,  17,  11,   4}; //   5
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 5);

  int c_p_50[] = {  5,  34,  35,  36}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = {}; //   0
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 0);
  int c_d_50[] = { 22,  19,  17,  11,   4}; //   5
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 5);

  int c_p_51[] = {  5,  37,  35,  36}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = {}; //   0
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 0);
  int c_d_51[] = { 22,  19,  17,  11,   4}; //   5
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 5);

  int c_p_52[] = { 10,  38,  39,  40}; //   4
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 4);
  int c_f_52[] = {}; //   0
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 0);
  int c_t_52[] = {}; //   0
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 0);
  int c_d_52[] = { 23,  15,  21,   4,  11}; //   5
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 5);

  int c_p_53[] = { 10,  41,  39,  40}; //   4
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 4);
  int c_f_53[] = {}; //   0
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 0);
  int c_t_53[] = {}; //   0
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 0);
  int c_d_53[] = { 23,  15,  21,   4,  11}; //   5
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 5);

  int c_p_54[] = { 14,  38,  39,  40}; //   4
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 4);
  int c_f_54[] = {}; //   0
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 0);
  int c_t_54[] = {}; //   0
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 0);
  int c_d_54[] = { 23,  15,  21,   4,  11}; //   5
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 5);

  int c_p_55[] = { 14,  41,  39,  40}; //   4
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 4);
  int c_f_55[] = {}; //   0
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 0);
  int c_t_55[] = {}; //   0
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 0);
  int c_d_55[] = { 23,  15,  21,   4,  11}; //   5
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 5);

  int c_p_56[] = {  0,  22,  42,  43}; //   4
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 4);
  int c_f_56[] = {}; //   0
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 0);
  int c_t_56[] = {  0}; //   1
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 1);
  int c_d_56[] = { 11,  24,  17,   4}; //   4
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 4);

  int c_p_57[] = {  0,  22,  42,  44}; //   4
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 4);
  int c_f_57[] = {}; //   0
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 0);
  int c_t_57[] = {  0}; //   1
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 1);
  int c_d_57[] = { 11,  24,  17,   4}; //   4
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 4);

  int c_p_58[] = {  5,  22,  42,  43}; //   4
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 4);
  int c_f_58[] = {}; //   0
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 0);
  int c_t_58[] = {  0}; //   1
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 1);
  int c_d_58[] = { 11,  24,  17,   4}; //   4
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 4);

  int c_p_59[] = {  5,  22,  42,  44}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = {  0}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = { 11,  24,  17,   4}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = {  0,  18,  45,  43}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = {  0}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = { 11,  25,  15,   4}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = {  0,  18,  45,  44}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = {  0}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = { 11,  25,  15,   4}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  5,  18,  45,  43}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  0}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 11,  25,  15,   4}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = {  5,  18,  45,  44}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  0}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = { 11,  25,  15,   4}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  0,   1,   2,  46}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  1}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = { 26,   2,   3,   4}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  0,   1,   4,  46}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  1}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = { 26,   2,   3,   4}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = {  5,   1,   2,  46}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  1}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = { 26,   2,   3,   4}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  5,   1,   4,  46}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  1}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = { 26,   2,   3,   4}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  0,   7,   8,  46}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  1}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = { 26,   7,   8,   4}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = {  0,   7,   9,  46}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  1}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = { 26,   7,   8,   4}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = {  5,   7,   8,  46}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = {  1}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = { 26,   7,   8,   4}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = {  5,   7,   9,  46}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = {  1}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = { 26,   7,   8,   4}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = { 10,  30,  47,  48}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = {  2}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = {  4,  27,  21,  11}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = { 10,  30,  47,  49}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = {  2}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = {  4,  27,  21,  11}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = { 14,  30,  47,  48}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = {  2}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = {  4,  27,  21,  11}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = { 14,  30,  47,  49}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = {  2}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = {  4,  27,  21,  11}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = { 10,  26,  50,  48}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = {  2}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = {  4,  28,  19,  11}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = { 10,  26,  50,  49}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = {  2}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = {  4,  28,  19,  11}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = { 14,  26,  50,  48}; //   4
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 4);
  int c_f_78[] = {}; //   0
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 0);
  int c_t_78[] = {  2}; //   1
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 1);
  int c_d_78[] = {  4,  28,  19,  11}; //   4
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 4);

  int c_p_79[] = { 14,  26,  50,  49}; //   4
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 4);
  int c_f_79[] = {}; //   0
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 0);
  int c_t_79[] = {  2}; //   1
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 1);
  int c_d_79[] = {  4,  28,  19,  11}; //   4
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 4);

  int c_p_80[] = { 10,  11,  12,  46}; //   4
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 4);
  int c_f_80[] = {}; //   0
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 0);
  int c_t_80[] = {  1}; //   1
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 1);
  int c_d_80[] = { 26,   9,  10,  11}; //   4
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 4);

  int c_p_81[] = { 10,  11,  13,  46}; //   4
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 4);
  int c_f_81[] = {}; //   0
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 0);
  int c_t_81[] = {  1}; //   1
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 1);
  int c_d_81[] = { 26,   9,  10,  11}; //   4
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 4);

  int c_p_82[] = { 14,  11,  12,  46}; //   4
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 4);
  int c_f_82[] = {}; //   0
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 0);
  int c_t_82[] = {  1}; //   1
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 1);
  int c_d_82[] = { 26,   9,  10,  11}; //   4
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 4);

  int c_p_83[] = { 14,  11,  13,  46}; //   4
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 4);
  int c_f_83[] = {}; //   0
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 0);
  int c_t_83[] = {  1}; //   1
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 1);
  int c_d_83[] = { 26,   9,  10,  11}; //   4
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 4);

  int c_p_84[] = { 10,  15,  16,  46}; //   4
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 4);
  int c_f_84[] = {}; //   0
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 0);
  int c_t_84[] = {  1}; //   1
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 1);
  int c_d_84[] = { 26,  12,  13,  11}; //   4
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 4);

  int c_p_85[] = { 10,  15,  17,  46}; //   4
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 4);
  int c_f_85[] = {}; //   0
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 0);
  int c_t_85[] = {  1}; //   1
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 1);
  int c_d_85[] = { 26,  12,  13,  11}; //   4
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 4);

  int c_p_86[] = { 14,  15,  16,  46}; //   4
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 4);
  int c_f_86[] = {}; //   0
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 0);
  int c_t_86[] = {  1}; //   1
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 1);
  int c_d_86[] = { 26,  12,  13,  11}; //   4
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 4);

  int c_p_87[] = { 14,  15,  17,  46}; //   4
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 4);
  int c_f_87[] = {}; //   0
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 0);
  int c_t_87[] = {  1}; //   1
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 1);
  int c_d_87[] = { 26,  12,  13,  11}; //   4
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 4);

  int c_p_88[] = { 51,  52,  53,  54}; //   4
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 4);
  int c_f_88[] = {}; //   0
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 0);
  int c_t_88[] = {  3}; //   1
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 1);
  int c_d_88[] = {  2,   3,   4,  26}; //   4
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 4);

  int c_p_89[] = { 51,  52,  53,  55}; //   4
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 4);
  int c_f_89[] = {}; //   0
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 0);
  int c_t_89[] = {  3}; //   1
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 1);
  int c_d_89[] = {  2,   3,   4,  26}; //   4
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 4);

  int c_p_90[] = { 51,  56,  53,  54}; //   4
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 4);
  int c_f_90[] = {}; //   0
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 0);
  int c_t_90[] = {  3}; //   1
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 1);
  int c_d_90[] = {  2,   3,   4,  26}; //   4
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 4);

  int c_p_91[] = { 51,  56,  53,  55}; //   4
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 4);
  int c_f_91[] = {}; //   0
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 0);
  int c_t_91[] = {  3}; //   1
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 1);
  int c_d_91[] = {  2,   3,   4,  26}; //   4
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 4);

  int c_p_92[] = {  0,  34,  39,  57}; //   4
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 4);
  int c_f_92[] = {}; //   0
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 0);
  int c_t_92[] = {  4}; //   1
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 1);
  int c_d_92[] = { 27,  21,  11,   4}; //   4
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 4);

  int c_p_93[] = {  0,  37,  39,  57}; //   4
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 4);
  int c_f_93[] = {}; //   0
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 0);
  int c_t_93[] = {  4}; //   1
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 1);
  int c_d_93[] = { 27,  21,  11,   4}; //   4
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 4);

  int c_p_94[] = {  5,  34,  39,  57}; //   4
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 4);
  int c_f_94[] = {}; //   0
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 0);
  int c_t_94[] = {  4}; //   1
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 1);
  int c_d_94[] = { 27,  21,  11,   4}; //   4
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 4);

  int c_p_95[] = {  5,  37,  39,  57}; //   4
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 4);
  int c_f_95[] = {}; //   0
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 0);
  int c_t_95[] = {  4}; //   1
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 1);
  int c_d_95[] = { 27,  21,  11,   4}; //   4
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 4);

  int c_p_96[] = {  0,  34,  58,  59}; //   4
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 4);
  int c_f_96[] = {}; //   0
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 0);
  int c_t_96[] = {  4}; //   1
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 1);
  int c_d_96[] = { 28,  19,  11,   4}; //   4
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 4);

  int c_p_97[] = {  0,  37,  58,  59}; //   4
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 4);
  int c_f_97[] = {}; //   0
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 0);
  int c_t_97[] = {  4}; //   1
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 1);
  int c_d_97[] = { 28,  19,  11,   4}; //   4
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 4);

  int c_p_98[] = {  5,  34,  58,  59}; //   4
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 4);
  int c_f_98[] = {}; //   0
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 0);
  int c_t_98[] = {  4}; //   1
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 1);
  int c_d_98[] = { 28,  19,  11,   4}; //   4
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 4);

  int c_p_99[] = {  5,  37,  58,  59}; //   4
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 4);
  int c_f_99[] = {}; //   0
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 0);
  int c_t_99[] = {  4}; //   1
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 1);
  int c_d_99[] = { 28,  19,  11,   4}; //   4
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 4);

  int c_p_100[] = { 51,  52,  60,  61}; //   4
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 4);
  int c_f_100[] = {}; //   0
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 0);
  int c_t_100[] = {  3}; //   1
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 1);
  int c_d_100[] = {  7,   8,   4,  26}; //   4
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 4);

  int c_p_101[] = { 51,  52,  60,  62}; //   4
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 4);
  int c_f_101[] = {}; //   0
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 0);
  int c_t_101[] = {  3}; //   1
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 1);
  int c_d_101[] = {  7,   8,   4,  26}; //   4
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 4);

  int c_p_102[] = { 51,  56,  60,  61}; //   4
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 4);
  int c_f_102[] = {}; //   0
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 0);
  int c_t_102[] = {  3}; //   1
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 1);
  int c_d_102[] = {  7,   8,   4,  26}; //   4
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 4);

  int c_p_103[] = { 51,  56,  60,  62}; //   4
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 4);
  int c_f_103[] = {}; //   0
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 0);
  int c_t_103[] = {  3}; //   1
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 1);
  int c_d_103[] = {  7,   8,   4,  26}; //   4
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 4);

  int c_p_104[] = { 51,  63,  64,  65}; //   4
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 4);
  int c_f_104[] = {}; //   0
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 0);
  int c_t_104[] = {  3}; //   1
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 1);
  int c_d_104[] = {  9,  10,  11,  26}; //   4
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 4);

  int c_p_105[] = { 51,  63,  64,  66}; //   4
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 4);
  int c_f_105[] = {}; //   0
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 0);
  int c_t_105[] = {  3}; //   1
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 1);
  int c_d_105[] = {  9,  10,  11,  26}; //   4
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 4);

  int c_p_106[] = { 51,  67,  64,  65}; //   4
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 4);
  int c_f_106[] = {}; //   0
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 0);
  int c_t_106[] = {  3}; //   1
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 1);
  int c_d_106[] = {  9,  10,  11,  26}; //   4
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 4);

  int c_p_107[] = { 51,  67,  64,  66}; //   4
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 4);
  int c_f_107[] = {}; //   0
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 0);
  int c_t_107[] = {  3}; //   1
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 1);
  int c_d_107[] = {  9,  10,  11,  26}; //   4
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 4);

  int c_p_108[] = { 10,  38,  35,  68}; //   4
  psi_c_p[no_ps][108] = get_vector_from_array_int(c_p_108, 4);
  int c_f_108[] = {}; //   0
  psi_c_f[no_ps][108] = get_vector_from_array_int(c_f_108, 0);
  int c_t_108[] = {  5}; //   1
  psi_c_t[no_ps][108] = get_vector_from_array_int(c_t_108, 1);
  int c_d_108[] = { 24,  17,   4,  11}; //   4
  psi_c_d[no_ps][108] = get_vector_from_array_int(c_d_108, 4);

  int c_p_109[] = { 10,  41,  35,  68}; //   4
  psi_c_p[no_ps][109] = get_vector_from_array_int(c_p_109, 4);
  int c_f_109[] = {}; //   0
  psi_c_f[no_ps][109] = get_vector_from_array_int(c_f_109, 0);
  int c_t_109[] = {  5}; //   1
  psi_c_t[no_ps][109] = get_vector_from_array_int(c_t_109, 1);
  int c_d_109[] = { 24,  17,   4,  11}; //   4
  psi_c_d[no_ps][109] = get_vector_from_array_int(c_d_109, 4);

  int c_p_110[] = { 14,  38,  35,  68}; //   4
  psi_c_p[no_ps][110] = get_vector_from_array_int(c_p_110, 4);
  int c_f_110[] = {}; //   0
  psi_c_f[no_ps][110] = get_vector_from_array_int(c_f_110, 0);
  int c_t_110[] = {  5}; //   1
  psi_c_t[no_ps][110] = get_vector_from_array_int(c_t_110, 1);
  int c_d_110[] = { 24,  17,   4,  11}; //   4
  psi_c_d[no_ps][110] = get_vector_from_array_int(c_d_110, 4);

  int c_p_111[] = { 14,  41,  35,  68}; //   4
  psi_c_p[no_ps][111] = get_vector_from_array_int(c_p_111, 4);
  int c_f_111[] = {}; //   0
  psi_c_f[no_ps][111] = get_vector_from_array_int(c_f_111, 0);
  int c_t_111[] = {  5}; //   1
  psi_c_t[no_ps][111] = get_vector_from_array_int(c_t_111, 1);
  int c_d_111[] = { 24,  17,   4,  11}; //   4
  psi_c_d[no_ps][111] = get_vector_from_array_int(c_d_111, 4);

  int c_p_112[] = { 10,  38,  69,  70}; //   4
  psi_c_p[no_ps][112] = get_vector_from_array_int(c_p_112, 4);
  int c_f_112[] = {}; //   0
  psi_c_f[no_ps][112] = get_vector_from_array_int(c_f_112, 0);
  int c_t_112[] = {  5}; //   1
  psi_c_t[no_ps][112] = get_vector_from_array_int(c_t_112, 1);
  int c_d_112[] = { 25,  15,   4,  11}; //   4
  psi_c_d[no_ps][112] = get_vector_from_array_int(c_d_112, 4);

  int c_p_113[] = { 10,  41,  69,  70}; //   4
  psi_c_p[no_ps][113] = get_vector_from_array_int(c_p_113, 4);
  int c_f_113[] = {}; //   0
  psi_c_f[no_ps][113] = get_vector_from_array_int(c_f_113, 0);
  int c_t_113[] = {  5}; //   1
  psi_c_t[no_ps][113] = get_vector_from_array_int(c_t_113, 1);
  int c_d_113[] = { 25,  15,   4,  11}; //   4
  psi_c_d[no_ps][113] = get_vector_from_array_int(c_d_113, 4);

  int c_p_114[] = { 14,  38,  69,  70}; //   4
  psi_c_p[no_ps][114] = get_vector_from_array_int(c_p_114, 4);
  int c_f_114[] = {}; //   0
  psi_c_f[no_ps][114] = get_vector_from_array_int(c_f_114, 0);
  int c_t_114[] = {  5}; //   1
  psi_c_t[no_ps][114] = get_vector_from_array_int(c_t_114, 1);
  int c_d_114[] = { 25,  15,   4,  11}; //   4
  psi_c_d[no_ps][114] = get_vector_from_array_int(c_d_114, 4);

  int c_p_115[] = { 14,  41,  69,  70}; //   4
  psi_c_p[no_ps][115] = get_vector_from_array_int(c_p_115, 4);
  int c_f_115[] = {}; //   0
  psi_c_f[no_ps][115] = get_vector_from_array_int(c_f_115, 0);
  int c_t_115[] = {  5}; //   1
  psi_c_t[no_ps][115] = get_vector_from_array_int(c_t_115, 1);
  int c_d_115[] = { 25,  15,   4,  11}; //   4
  psi_c_d[no_ps][115] = get_vector_from_array_int(c_d_115, 4);

  int c_p_116[] = { 51,  63,  71,  72}; //   4
  psi_c_p[no_ps][116] = get_vector_from_array_int(c_p_116, 4);
  int c_f_116[] = {}; //   0
  psi_c_f[no_ps][116] = get_vector_from_array_int(c_f_116, 0);
  int c_t_116[] = {  3}; //   1
  psi_c_t[no_ps][116] = get_vector_from_array_int(c_t_116, 1);
  int c_d_116[] = { 12,  13,  11,  26}; //   4
  psi_c_d[no_ps][116] = get_vector_from_array_int(c_d_116, 4);

  int c_p_117[] = { 51,  63,  71,  73}; //   4
  psi_c_p[no_ps][117] = get_vector_from_array_int(c_p_117, 4);
  int c_f_117[] = {}; //   0
  psi_c_f[no_ps][117] = get_vector_from_array_int(c_f_117, 0);
  int c_t_117[] = {  3}; //   1
  psi_c_t[no_ps][117] = get_vector_from_array_int(c_t_117, 1);
  int c_d_117[] = { 12,  13,  11,  26}; //   4
  psi_c_d[no_ps][117] = get_vector_from_array_int(c_d_117, 4);

  int c_p_118[] = { 51,  67,  71,  72}; //   4
  psi_c_p[no_ps][118] = get_vector_from_array_int(c_p_118, 4);
  int c_f_118[] = {}; //   0
  psi_c_f[no_ps][118] = get_vector_from_array_int(c_f_118, 0);
  int c_t_118[] = {  3}; //   1
  psi_c_t[no_ps][118] = get_vector_from_array_int(c_t_118, 1);
  int c_d_118[] = { 12,  13,  11,  26}; //   4
  psi_c_d[no_ps][118] = get_vector_from_array_int(c_d_118, 4);

  int c_p_119[] = { 51,  67,  71,  73}; //   4
  psi_c_p[no_ps][119] = get_vector_from_array_int(c_p_119, 4);
  int c_f_119[] = {}; //   0
  psi_c_f[no_ps][119] = get_vector_from_array_int(c_f_119, 0);
  int c_t_119[] = {  3}; //   1
  psi_c_t[no_ps][119] = get_vector_from_array_int(c_t_119, 1);
  int c_d_119[] = { 12,  13,  11,  26}; //   4
  psi_c_d[no_ps][119] = get_vector_from_array_int(c_d_119, 4);

  int c_p_120[] = { 51,  52,  74}; //   3
  psi_c_p[no_ps][120] = get_vector_from_array_int(c_p_120, 3);
  int c_f_120[] = {  0}; //   1
  psi_c_f[no_ps][120] = get_vector_from_array_int(c_f_120, 1);
  int c_t_120[] = {  0,   6}; //   2
  psi_c_t[no_ps][120] = get_vector_from_array_int(c_t_120, 2);
  int c_d_120[] = { 11,   4,  26}; //   3
  psi_c_d[no_ps][120] = get_vector_from_array_int(c_d_120, 3);

  int c_p_121[] = { 51,  52,  75}; //   3
  psi_c_p[no_ps][121] = get_vector_from_array_int(c_p_121, 3);
  int c_f_121[] = {  0}; //   1
  psi_c_f[no_ps][121] = get_vector_from_array_int(c_f_121, 1);
  int c_t_121[] = {  0,   6}; //   2
  psi_c_t[no_ps][121] = get_vector_from_array_int(c_t_121, 2);
  int c_d_121[] = { 11,   4,  26}; //   3
  psi_c_d[no_ps][121] = get_vector_from_array_int(c_d_121, 3);

  int c_p_122[] = { 51,  56,  74}; //   3
  psi_c_p[no_ps][122] = get_vector_from_array_int(c_p_122, 3);
  int c_f_122[] = {  0}; //   1
  psi_c_f[no_ps][122] = get_vector_from_array_int(c_f_122, 1);
  int c_t_122[] = {  0,   6}; //   2
  psi_c_t[no_ps][122] = get_vector_from_array_int(c_t_122, 2);
  int c_d_122[] = { 11,   4,  26}; //   3
  psi_c_d[no_ps][122] = get_vector_from_array_int(c_d_122, 3);

  int c_p_123[] = { 51,  56,  75}; //   3
  psi_c_p[no_ps][123] = get_vector_from_array_int(c_p_123, 3);
  int c_f_123[] = {  0}; //   1
  psi_c_f[no_ps][123] = get_vector_from_array_int(c_f_123, 1);
  int c_t_123[] = {  0,   6}; //   2
  psi_c_t[no_ps][123] = get_vector_from_array_int(c_t_123, 2);
  int c_d_123[] = { 11,   4,  26}; //   3
  psi_c_d[no_ps][123] = get_vector_from_array_int(c_d_123, 3);

  int c_p_124[] = {  0,  76,  74}; //   3
  psi_c_p[no_ps][124] = get_vector_from_array_int(c_p_124, 3);
  int c_f_124[] = {  0}; //   1
  psi_c_f[no_ps][124] = get_vector_from_array_int(c_f_124, 1);
  int c_t_124[] = {  0,   7}; //   2
  psi_c_t[no_ps][124] = get_vector_from_array_int(c_t_124, 2);
  int c_d_124[] = { 11,  26,   4}; //   3
  psi_c_d[no_ps][124] = get_vector_from_array_int(c_d_124, 3);

  int c_p_125[] = {  0,  76,  75}; //   3
  psi_c_p[no_ps][125] = get_vector_from_array_int(c_p_125, 3);
  int c_f_125[] = {  0}; //   1
  psi_c_f[no_ps][125] = get_vector_from_array_int(c_f_125, 1);
  int c_t_125[] = {  0,   7}; //   2
  psi_c_t[no_ps][125] = get_vector_from_array_int(c_t_125, 2);
  int c_d_125[] = { 11,  26,   4}; //   3
  psi_c_d[no_ps][125] = get_vector_from_array_int(c_d_125, 3);

  int c_p_126[] = {  5,  76,  74}; //   3
  psi_c_p[no_ps][126] = get_vector_from_array_int(c_p_126, 3);
  int c_f_126[] = {  0}; //   1
  psi_c_f[no_ps][126] = get_vector_from_array_int(c_f_126, 1);
  int c_t_126[] = {  0,   7}; //   2
  psi_c_t[no_ps][126] = get_vector_from_array_int(c_t_126, 2);
  int c_d_126[] = { 11,  26,   4}; //   3
  psi_c_d[no_ps][126] = get_vector_from_array_int(c_d_126, 3);

  int c_p_127[] = {  5,  76,  75}; //   3
  psi_c_p[no_ps][127] = get_vector_from_array_int(c_p_127, 3);
  int c_f_127[] = {  0}; //   1
  psi_c_f[no_ps][127] = get_vector_from_array_int(c_f_127, 1);
  int c_t_127[] = {  0,   7}; //   2
  psi_c_t[no_ps][127] = get_vector_from_array_int(c_t_127, 2);
  int c_d_127[] = { 11,  26,   4}; //   3
  psi_c_d[no_ps][127] = get_vector_from_array_int(c_d_127, 3);

  int c_p_128[] = {  0,  34,  77}; //   3
  psi_c_p[no_ps][128] = get_vector_from_array_int(c_p_128, 3);
  int c_f_128[] = {  1}; //   1
  psi_c_f[no_ps][128] = get_vector_from_array_int(c_f_128, 1);
  int c_t_128[] = {  1,   8}; //   2
  psi_c_t[no_ps][128] = get_vector_from_array_int(c_t_128, 2);
  int c_d_128[] = { 26,  11,   4}; //   3
  psi_c_d[no_ps][128] = get_vector_from_array_int(c_d_128, 3);

  int c_p_129[] = {  0,  37,  77}; //   3
  psi_c_p[no_ps][129] = get_vector_from_array_int(c_p_129, 3);
  int c_f_129[] = {  1}; //   1
  psi_c_f[no_ps][129] = get_vector_from_array_int(c_f_129, 1);
  int c_t_129[] = {  1,   8}; //   2
  psi_c_t[no_ps][129] = get_vector_from_array_int(c_t_129, 2);
  int c_d_129[] = { 26,  11,   4}; //   3
  psi_c_d[no_ps][129] = get_vector_from_array_int(c_d_129, 3);

  int c_p_130[] = {  5,  34,  77}; //   3
  psi_c_p[no_ps][130] = get_vector_from_array_int(c_p_130, 3);
  int c_f_130[] = {  1}; //   1
  psi_c_f[no_ps][130] = get_vector_from_array_int(c_f_130, 1);
  int c_t_130[] = {  1,   8}; //   2
  psi_c_t[no_ps][130] = get_vector_from_array_int(c_t_130, 2);
  int c_d_130[] = { 26,  11,   4}; //   3
  psi_c_d[no_ps][130] = get_vector_from_array_int(c_d_130, 3);

  int c_p_131[] = {  5,  37,  77}; //   3
  psi_c_p[no_ps][131] = get_vector_from_array_int(c_p_131, 3);
  int c_f_131[] = {  1}; //   1
  psi_c_f[no_ps][131] = get_vector_from_array_int(c_f_131, 1);
  int c_t_131[] = {  1,   8}; //   2
  psi_c_t[no_ps][131] = get_vector_from_array_int(c_t_131, 2);
  int c_d_131[] = { 26,  11,   4}; //   3
  psi_c_d[no_ps][131] = get_vector_from_array_int(c_d_131, 3);

  int c_p_132[] = { 51,  63,  78}; //   3
  psi_c_p[no_ps][132] = get_vector_from_array_int(c_p_132, 3);
  int c_f_132[] = {  2}; //   1
  psi_c_f[no_ps][132] = get_vector_from_array_int(c_f_132, 1);
  int c_t_132[] = {  2,   9}; //   2
  psi_c_t[no_ps][132] = get_vector_from_array_int(c_t_132, 2);
  int c_d_132[] = {  4,  11,  26}; //   3
  psi_c_d[no_ps][132] = get_vector_from_array_int(c_d_132, 3);

  int c_p_133[] = { 51,  63,  79}; //   3
  psi_c_p[no_ps][133] = get_vector_from_array_int(c_p_133, 3);
  int c_f_133[] = {  2}; //   1
  psi_c_f[no_ps][133] = get_vector_from_array_int(c_f_133, 1);
  int c_t_133[] = {  2,   9}; //   2
  psi_c_t[no_ps][133] = get_vector_from_array_int(c_t_133, 2);
  int c_d_133[] = {  4,  11,  26}; //   3
  psi_c_d[no_ps][133] = get_vector_from_array_int(c_d_133, 3);

  int c_p_134[] = { 51,  67,  78}; //   3
  psi_c_p[no_ps][134] = get_vector_from_array_int(c_p_134, 3);
  int c_f_134[] = {  2}; //   1
  psi_c_f[no_ps][134] = get_vector_from_array_int(c_f_134, 1);
  int c_t_134[] = {  2,   9}; //   2
  psi_c_t[no_ps][134] = get_vector_from_array_int(c_t_134, 2);
  int c_d_134[] = {  4,  11,  26}; //   3
  psi_c_d[no_ps][134] = get_vector_from_array_int(c_d_134, 3);

  int c_p_135[] = { 51,  67,  79}; //   3
  psi_c_p[no_ps][135] = get_vector_from_array_int(c_p_135, 3);
  int c_f_135[] = {  2}; //   1
  psi_c_f[no_ps][135] = get_vector_from_array_int(c_f_135, 1);
  int c_t_135[] = {  2,   9}; //   2
  psi_c_t[no_ps][135] = get_vector_from_array_int(c_t_135, 2);
  int c_d_135[] = {  4,  11,  26}; //   3
  psi_c_d[no_ps][135] = get_vector_from_array_int(c_d_135, 3);

  int c_p_136[] = { 10,  80,  78}; //   3
  psi_c_p[no_ps][136] = get_vector_from_array_int(c_p_136, 3);
  int c_f_136[] = {  2}; //   1
  psi_c_f[no_ps][136] = get_vector_from_array_int(c_f_136, 1);
  int c_t_136[] = {  2,  10}; //   2
  psi_c_t[no_ps][136] = get_vector_from_array_int(c_t_136, 2);
  int c_d_136[] = {  4,  26,  11}; //   3
  psi_c_d[no_ps][136] = get_vector_from_array_int(c_d_136, 3);

  int c_p_137[] = { 10,  80,  79}; //   3
  psi_c_p[no_ps][137] = get_vector_from_array_int(c_p_137, 3);
  int c_f_137[] = {  2}; //   1
  psi_c_f[no_ps][137] = get_vector_from_array_int(c_f_137, 1);
  int c_t_137[] = {  2,  10}; //   2
  psi_c_t[no_ps][137] = get_vector_from_array_int(c_t_137, 2);
  int c_d_137[] = {  4,  26,  11}; //   3
  psi_c_d[no_ps][137] = get_vector_from_array_int(c_d_137, 3);

  int c_p_138[] = { 14,  80,  78}; //   3
  psi_c_p[no_ps][138] = get_vector_from_array_int(c_p_138, 3);
  int c_f_138[] = {  2}; //   1
  psi_c_f[no_ps][138] = get_vector_from_array_int(c_f_138, 1);
  int c_t_138[] = {  2,  10}; //   2
  psi_c_t[no_ps][138] = get_vector_from_array_int(c_t_138, 2);
  int c_d_138[] = {  4,  26,  11}; //   3
  psi_c_d[no_ps][138] = get_vector_from_array_int(c_d_138, 3);

  int c_p_139[] = { 14,  80,  79}; //   3
  psi_c_p[no_ps][139] = get_vector_from_array_int(c_p_139, 3);
  int c_f_139[] = {  2}; //   1
  psi_c_f[no_ps][139] = get_vector_from_array_int(c_f_139, 1);
  int c_t_139[] = {  2,  10}; //   2
  psi_c_t[no_ps][139] = get_vector_from_array_int(c_t_139, 2);
  int c_d_139[] = {  4,  26,  11}; //   3
  psi_c_d[no_ps][139] = get_vector_from_array_int(c_d_139, 3);

  int c_p_140[] = { 10,  38,  77}; //   3
  psi_c_p[no_ps][140] = get_vector_from_array_int(c_p_140, 3);
  int c_f_140[] = {  1}; //   1
  psi_c_f[no_ps][140] = get_vector_from_array_int(c_f_140, 1);
  int c_t_140[] = {  1,  11}; //   2
  psi_c_t[no_ps][140] = get_vector_from_array_int(c_t_140, 2);
  int c_d_140[] = { 26,   4,  11}; //   3
  psi_c_d[no_ps][140] = get_vector_from_array_int(c_d_140, 3);

  int c_p_141[] = { 10,  41,  77}; //   3
  psi_c_p[no_ps][141] = get_vector_from_array_int(c_p_141, 3);
  int c_f_141[] = {  1}; //   1
  psi_c_f[no_ps][141] = get_vector_from_array_int(c_f_141, 1);
  int c_t_141[] = {  1,  11}; //   2
  psi_c_t[no_ps][141] = get_vector_from_array_int(c_t_141, 2);
  int c_d_141[] = { 26,   4,  11}; //   3
  psi_c_d[no_ps][141] = get_vector_from_array_int(c_d_141, 3);

  int c_p_142[] = { 14,  38,  77}; //   3
  psi_c_p[no_ps][142] = get_vector_from_array_int(c_p_142, 3);
  int c_f_142[] = {  1}; //   1
  psi_c_f[no_ps][142] = get_vector_from_array_int(c_f_142, 1);
  int c_t_142[] = {  1,  11}; //   2
  psi_c_t[no_ps][142] = get_vector_from_array_int(c_t_142, 2);
  int c_d_142[] = { 26,   4,  11}; //   3
  psi_c_d[no_ps][142] = get_vector_from_array_int(c_d_142, 3);

  int c_p_143[] = { 14,  41,  77}; //   3
  psi_c_p[no_ps][143] = get_vector_from_array_int(c_p_143, 3);
  int c_f_143[] = {  1}; //   1
  psi_c_f[no_ps][143] = get_vector_from_array_int(c_f_143, 1);
  int c_t_143[] = {  1,  11}; //   2
  psi_c_t[no_ps][143] = get_vector_from_array_int(c_t_143, 2);
  int c_d_143[] = { 26,   4,  11}; //   3
  psi_c_d[no_ps][143] = get_vector_from_array_int(c_d_143, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
