#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexnmx04/header/ppemexnmx04.phasespace.h"
void ppemexnmx04_ax_psp_240_uux_emmumepvmxudx(int no_ps, phasespace_set & psi){
  static Logger logger("ppemexnmx04_ax_psp_240_uux_emmumepvmxudx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(24);
  psi_needed_v_smin[no_ps].resize(24);
  int needed_v_smin_0[] = {   0,    1,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   28,   29,   30,   31,   32,   33,   34,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  52
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 52);
  int needed_v_smin_1[] = {   0,    1,   24,   34}; //   4
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 4);
  int needed_v_smin_2[] = {   0,    1,   24,   34}; //   4
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 4);
  int needed_v_smin_3[] = {   0,    2,    4,    5,    8,    9,   24,   25,   26,   27,   28,   29,   34,   35,   36,   37,   38,   39}; //  18
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 18);
  int needed_v_smin_4[] = {   1,    3,    6,    7,   10,   11}; //   6
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 6);
  int needed_v_smin_5[] = {   2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   25,   26,   27,   28,   29,   30,   31,   32,   33,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  60
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 60);
  int needed_v_smin_6[] = {   2,    3,   25,   35}; //   4
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 4);
  int needed_v_smin_7[] = {   2,    3,   25,   35}; //   4
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 4);
  int needed_v_smin_8[] = {   4,    5,    6,    7,   26,   27,   36,   37}; //   8
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 8);
  int needed_v_smin_9[] = {   4,    5,    6,    7,   26,   27,   36,   37}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   8,    9,   10,   11,   28,   29,   38,   39}; //   8
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 8);
  int needed_v_smin_11[] = {  12,   13,   22,   23,   42,   43,   54,   55}; //   8
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 8);
  int needed_v_smin_12[] = {  12,   13}; //   2
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 2);
  int needed_v_smin_13[] = {  14,   15,   20,   21,   30,   31,   40,   41,   44,   45,   48,   49,   52,   53,   58,   59,   62,   63}; //  18
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 18);
  int needed_v_smin_14[] = {  14,   15,   30,   31,   58,   59,   62,   63}; //   8
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 8);
  int needed_v_smin_15[] = {  16,   17,   20,   21,   48,   49,   50,   51}; //   8
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 8);
  int needed_v_smin_16[] = {  16,   17}; //   2
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 2);
  int needed_v_smin_17[] = {  18,   19,   22,   23,   32,   33,   56,   57,   60,   61}; //  10
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 10);
  int needed_v_smin_18[] = {  18,   19,   32,   33,   56,   57,   60,   61}; //   8
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 8);
  int needed_v_smin_19[] = {  40,   41,   52,   53,   44,   45}; //   6
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 6);
  int needed_v_smin_20[] = {  42,   43,   54,   55}; //   4
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 4);
  int needed_v_smin_21[] = {  46,   47}; //   2
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 2);
  int needed_v_smin_22[] = {  46,   47}; //   2
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 2);
  int needed_v_smin_23[] = {  50,   51}; //   2
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 2);

  psi_v_smax[no_ps].resize(29);
  psi_needed_v_smax[no_ps].resize(29);
  int needed_v_smax_0[] = {   0,    1,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   24,   28,   29,   30,   31,   34,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   56,   57,   60,   61}; //  36
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 36);
  int needed_v_smax_1[] = {   0,    1,   24,   34}; //   4
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 4);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   24,   25,   26,   27,   28,   29,   34,   35,   36,   37,   38,   39}; //  24
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 24);
  int needed_v_smax_3[] = {   0,    2,    4,    5,    8,    9,   14,   15,   18,   19,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   56,   57,   58,   59,   60,   61,   62,   63}; //  34
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 34);
  int needed_v_smax_4[] = {   1,    3,    6,    7,   10,   11,   12,   13,   16,   17}; //  10
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 10);
  int needed_v_smax_5[] = {   2,    3,    4,    5,    6,    7,   16,   17,   18,   19,   22,   23,   25,   26,   27,   32,   33,   35,   36,   37,   52,   53,   54,   55,   58,   59,   62,   63}; //  28
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 28);
  int needed_v_smax_6[] = {   2,    3,   25,   35}; //   4
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 4);
  int needed_v_smax_7[] = {   4,    5,    6,    7,   26,   27,   36,   37}; //   8
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 8);
  int needed_v_smax_8[] = {   8,    9,   10,   11,   20,   21,   28,   29,   38,   39,   46,   47,   50,   51,   56,   57,   60,   61}; //  18
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 18);
  int needed_v_smax_9[] = {  12,   13,   42,   43}; //   4
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 4);
  int needed_v_smax_10[] = {  12,   13}; //   2
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 2);
  int needed_v_smax_11[] = {  14,   15,   30,   31,   40,   41,   44,   45,   48,   49}; //  10
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 10);
  int needed_v_smax_12[] = {  14,   15,   30,   31,   44,   45,   48,   49}; //   8
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 8);
  int needed_v_smax_13[] = {  16,   17}; //   2
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 2);
  int needed_v_smax_14[] = {  16,   17}; //   2
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 2);
  int needed_v_smax_15[] = {  18,   19,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 4);
  int needed_v_smax_16[] = {  18,   19,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 4);
  int needed_v_smax_17[] = {  20,   21,   52,   53,   58,   59,   62,   63}; //   8
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 8);
  int needed_v_smax_18[] = {  20,   21,   48,   49}; //   4
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 4);
  int needed_v_smax_19[] = {  22,   23,   52,   53,   54,   55,   58,   59,   62,   63}; //  10
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 10);
  int needed_v_smax_20[] = {  22,   23,   56,   57,   60,   61}; //   6
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 6);
  int needed_v_smax_21[] = {  22,   23}; //   2
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 2);
  int needed_v_smax_22[] = {  40,   41,   42,   43}; //   4
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 4);
  int needed_v_smax_23[] = {  40,   41,   42,   43}; //   4
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 4);
  int needed_v_smax_24[] = {  50,   51}; //   2
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 2);
  int needed_v_smax_25[] = {  52,   53,   54,   55,   44,   45,   46,   47}; //   8
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 8);
  int needed_v_smax_26[] = {  54,   55}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);
  int needed_v_smax_27[] = {  46,   47}; //   2
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 2);
  int needed_v_smax_28[] = {  50,   51}; //   2
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(41);
  psi_needed_g_p[no_ps].resize(41);
  int needed_g_p_0[] = {   0,    1,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   24,   28,   29,   30,   31,   34,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   56,   57,   60,   61}; //  36
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 36);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,   24,   34}; //   4
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 4);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    1,   24,   34}; //   4
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 4);
  psi_container_IS_name.push_back("propagator_24_smin2_smax2");
  int needed_g_p_3[] = {   0,    2,    4,    5,    8,    9,   24,   25,   26,   27,   28,   29}; //  12
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 12);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    3,    6,    7,   10,   11}; //   6
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 6);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_5[] = {   2,    3,    5,    7,   17,   19,   23,   25,   27,   33,   35,   37,   53,   55,   59,   63}; //  16
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 16);
  psi_container_IS_name.push_back("propagator_23_smin5_smax5");
  int needed_g_p_6[] = {   2,    3,   25,   35}; //   4
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 4);
  psi_container_IS_name.push_back("propagator_0_smin6_smax6");
  int needed_g_p_7[] = {   2,    3,   25,   35}; //   4
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 4);
  psi_container_IS_name.push_back("propagator_24_smin7_smax2");
  int needed_g_p_8[] = {   4,    6,   16,   18,   22,   26,   32,   36,   52,   54,   58,   62}; //  12
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 12);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_9[] = {   4,    5,    6,    7,   26,   27,   36,   37}; //   8
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 8);
  psi_container_IS_name.push_back("propagator_0_smin8_smax7");
  int needed_g_p_10[] = {   4,    5,    6,    7,   26,   27,   36,   37}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_24_smin9_smax2");
  int needed_g_p_11[] = {   8,   10,   20,   28,   38,   46,   50,   56,   60}; //   9
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 9);
  psi_container_IS_name.push_back("propagator_0_smin5_smax8");
  int needed_g_p_12[] = {   8,    9,   10,   11,   28,   29,   38,   39}; //   8
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 8);
  psi_container_IS_name.push_back("propagator_24_smin10_smax2");
  int needed_g_p_13[] = {   9,   11,   21,   29,   39,   47,   51,   57,   61}; //   9
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 9);
  psi_container_IS_name.push_back("propagator_23_smin5_smax8");
  int needed_g_p_14[] = {  12,   13,   42,   43}; //   4
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 4);
  psi_container_IS_name.push_back("propagator_0_smin11_smax9");
  int needed_g_p_15[] = {  12}; //   1
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 1);
  psi_container_IS_name.push_back("propagator_0_smin5_smax10");
  int needed_g_p_16[] = {  12,   13}; //   2
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 2);
  psi_container_IS_name.push_back("propagator_0_smin12_smax4");
  int needed_g_p_17[] = {  13}; //   1
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 1);
  psi_container_IS_name.push_back("propagator_23_smin5_smax10");
  int needed_g_p_18[] = {  14,   15,   30,   31,   40,   41,   44,   45,   48,   49}; //  10
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 10);
  psi_container_IS_name.push_back("propagator_0_smin13_smax11");
  int needed_g_p_19[] = {  14,   30,   44,   48}; //   4
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 4);
  psi_container_IS_name.push_back("propagator_0_smin5_smax12");
  int needed_g_p_20[] = {  14,   15,   30,   31}; //   4
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 4);
  psi_container_IS_name.push_back("propagator_0_smin14_smax3");
  int needed_g_p_21[] = {  15,   31,   45,   49}; //   4
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 4);
  psi_container_IS_name.push_back("propagator_23_smin5_smax12");
  int needed_g_p_22[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax13");
  int needed_g_p_23[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_24_smin0_smax14");
  int needed_g_p_24[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax4");
  int needed_g_p_25[] = {  18,   19,   32,   33}; //   4
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax15");
  int needed_g_p_26[] = {  18,   19,   32,   33}; //   4
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 4);
  psi_container_IS_name.push_back("propagator_24_smin0_smax16");
  int needed_g_p_27[] = {  18,   19,   32,   33}; //   4
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax3");
  int needed_g_p_28[] = {  20,   21,   52,   53,   58,   59}; //   6
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 6);
  psi_container_IS_name.push_back("propagator_0_smin13_smax17");
  int needed_g_p_29[] = {  20,   21,   48,   49}; //   4
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 4);
  psi_container_IS_name.push_back("propagator_0_smin15_smax18");
  int needed_g_p_30[] = {  22,   23,   52,   53,   54,   55,   58,   59,   62,   63}; //  10
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 10);
  psi_container_IS_name.push_back("propagator_24_smin0_smax19");
  int needed_g_p_31[] = {  22,   23,   56,   57}; //   4
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax20");
  int needed_g_p_32[] = {  22,   23}; //   2
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 2);
  psi_container_IS_name.push_back("propagator_0_smin11_smax21");
  int needed_g_p_33[] = {  40,   41}; //   2
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 2);
  psi_container_IS_name.push_back("propagator_0_smin19_smax22");
  int needed_g_p_34[] = {  40,   42}; //   2
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 2);
  psi_container_IS_name.push_back("propagator_0_smin5_smax23");
  int needed_g_p_35[] = {  41,   43}; //   2
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 2);
  psi_container_IS_name.push_back("propagator_23_smin5_smax23");
  int needed_g_p_36[] = {  42,   43}; //   2
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax22");
  int needed_g_p_37[] = {  50,   51}; //   2
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax24");
  int needed_g_p_38[] = {  52,   53}; //   2
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 2);
  psi_container_IS_name.push_back("propagator_0_smin19_smax25");
  int needed_g_p_39[] = {  54,   55}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_0_smin11_smax26");
  int needed_g_p_40[] = {  54,   55}; //   2
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax25");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(9);
  psi_needed_g_f[no_ps].resize(9);
  int needed_g_f_0[] = {  34,   35,   36,   37,   38,   39}; //   6
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin3_smax3");
  int needed_g_f_1[] = {  44,   45}; //   2
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax25");
  int needed_g_f_2[] = {  46,   47}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax27");
  int needed_g_f_3[] = {  46,   47}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax25");
  int needed_g_f_4[] = {  50,   51}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax28");
  int needed_g_f_5[] = {  56,   57,   60,   61}; //   4
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax3");
  int needed_g_f_6[] = {  58,   59,   62,   63}; //   4
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax3");
  int needed_g_f_7[] = {  60,   61}; //   2
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax20");
  int needed_g_f_8[] = {  62,   63}; //   2
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax17");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(14);
  psi_needed_g_t[no_ps].resize(14);
  int needed_g_t_0[] = {  24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   56,   57,   58,   59,   60,   61,   62,   63}; //  24
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_1[] = {  34,   35,   36,   37,   38,   39}; //   6
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_2[] = {  40,   41,   42,   43,   44,   45,   46,   47}; //   8
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__20_232");
  int needed_g_t_3[] = {  44,   45}; //   2
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__168_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__168_64");
  int needed_g_t_4[] = {  46,   47}; //   2
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__40_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__40_192");
  int needed_g_t_5[] = {  46,   47}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__21_42__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__21_42__64_128");
  int needed_g_t_6[] = {  48,   49}; //   2
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__84_168");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__84_168");
  int needed_g_t_7[] = {  50,   51}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__40_212");
  int needed_g_t_8[] = {  50,   51}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_42__84_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_42__84_128");
  int needed_g_t_9[] = {  52,   53,   54,   55}; //   4
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__20_232");
  int needed_g_t_10[] = {  56,   57,   60,   61}; //   4
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__40_148");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__40_148");
  int needed_g_t_11[] = {  58,   59,   62,   63}; //   4
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__20_168");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__20_168");
  int needed_g_t_12[] = {  60,   61}; //   2
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_42__128_20");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_42__128_20");
  int needed_g_t_13[] = {  62,   63}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_22__128_40");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_22__128_40");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(25);
  psi_needed_g_d[no_ps].resize(25);
  int needed_g_d_0[] = {   0,    2,    4,    5,    8,    9,   14,   15,   18,   19}; //  10
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_1[] = {   0,    2,    4,    5,    8,    9,   24,   25,   26,   27,   28,   29}; //  12
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 12);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_2[] = {   0,    1,   24,   34}; //   4
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_3[] = {   0,    1,   24,   34}; //   4
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 4);
  psi_container_IS_name.push_back("costheta_of_decay_56__16_40");
  psi_container_IS_name.push_back("phi_of_decay_56__16_40");
  int needed_g_d_4[] = {   0,    1,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   28,   29,   30,   31,   32,   33,   34,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  52
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 52);
  psi_container_IS_name.push_back("costheta_of_decay_40__8_32");
  psi_container_IS_name.push_back("phi_of_decay_40__8_32");
  int needed_g_d_5[] = {   1,    3,    6,    7,   10,   11,   12,   13,   16,   17}; //  10
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_6[] = {   1,    3,    6,    7,   10,   11}; //   6
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 6);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_7[] = {   2,    3,   25,   35}; //   4
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_8[] = {   2,    3,   25,   35}; //   4
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 4);
  psi_container_IS_name.push_back("costheta_of_decay_52__32_20");
  psi_container_IS_name.push_back("phi_of_decay_52__32_20");
  int needed_g_d_9[] = {   2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   25,   26,   27,   28,   29,   30,   31,   32,   33,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  60
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 60);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");
  int needed_g_d_10[] = {   4,    5,    6,    7,   26,   27,   36,   37}; //   8
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_11[] = {   4,    5,    6,    7,   26,   27,   36,   37}; //   8
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_12[] = {   8,    9,   10,   11,   28,   29,   38,   39}; //   8
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__20_40");
  psi_container_IS_name.push_back("phi_of_decay_60__20_40");
  int needed_g_d_13[] = {  12,   13}; //   2
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__20_104");
  psi_container_IS_name.push_back("phi_of_decay_124__20_104");
  int needed_g_d_14[] = {  12,   13,   22,   23,   42,   43,   54,   55}; //   8
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 8);
  psi_container_IS_name.push_back("costheta_of_decay_104__64_40");
  psi_container_IS_name.push_back("phi_of_decay_104__64_40");
  int needed_g_d_15[] = {  14,   15,   30,   31}; //   4
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__20_168");
  psi_container_IS_name.push_back("phi_of_decay_188__20_168");
  int needed_g_d_16[] = {  14,   15,   20,   21,   30,   31,   40,   41,   44,   45,   48,   49,   52,   53,   58,   59}; //  16
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 16);
  psi_container_IS_name.push_back("costheta_of_decay_168__128_40");
  psi_container_IS_name.push_back("phi_of_decay_168__128_40");
  int needed_g_d_17[] = {  16,   17}; //   2
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__40_84");
  psi_container_IS_name.push_back("phi_of_decay_124__40_84");
  int needed_g_d_18[] = {  16,   17,   20,   21,   48,   49,   50,   51}; //   8
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 8);
  psi_container_IS_name.push_back("costheta_of_decay_84__64_20");
  psi_container_IS_name.push_back("phi_of_decay_84__64_20");
  int needed_g_d_19[] = {  18,   19,   32,   33}; //   4
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__40_148");
  psi_container_IS_name.push_back("phi_of_decay_188__40_148");
  int needed_g_d_20[] = {  18,   19,   22,   23,   32,   33,   56,   57}; //   8
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 8);
  psi_container_IS_name.push_back("costheta_of_decay_148__128_20");
  psi_container_IS_name.push_back("phi_of_decay_148__128_20");
  int needed_g_d_21[] = {  20,   21}; //   2
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__84_168");
  psi_container_IS_name.push_back("phi_of_decay_252__84_168");
  int needed_g_d_22[] = {  22,   23}; //   2
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__104_148");
  psi_container_IS_name.push_back("phi_of_decay_252__104_148");
  int needed_g_d_23[] = {  40,   41,   52,   53}; //   4
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 4);
  psi_container_IS_name.push_back("costheta_of_decay_232__64_168");
  psi_container_IS_name.push_back("phi_of_decay_232__64_168");
  int needed_g_d_24[] = {  42,   43,   54,   55}; //   4
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 4);
  psi_container_IS_name.push_back("costheta_of_decay_232__128_104");
  psi_container_IS_name.push_back("phi_of_decay_232__128_104");

  psi_c_p[no_ps].resize(64);
  psi_c_f[no_ps].resize(64);
  psi_c_t[no_ps].resize(64);
  psi_c_d[no_ps].resize(64);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {}; //   0
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 0);
  int c_d_0[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 5);

  int c_p_1[] = {  0,   1,   2,   4}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {}; //   0
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 0);
  int c_d_1[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 5);

  int c_p_2[] = {  5,   6,   7,   3}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {}; //   0
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 0);
  int c_d_2[] = {  0,   1,   7,   8,   9}; //   5
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 5);

  int c_p_3[] = {  5,   6,   7,   4}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {}; //   0
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 0);
  int c_d_3[] = {  5,   6,   7,   8,   9}; //   5
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 5);

  int c_p_4[] = {  8,   9,  10,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {}; //   0
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 0);
  int c_d_4[] = {  0,   1,  10,  11,   9}; //   5
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 5);

  int c_p_5[] = {  5,   9,  10,   3}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {}; //   0
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 0);
  int c_d_5[] = {  0,   1,  10,  11,   9}; //   5
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 5);

  int c_p_6[] = {  8,   9,  10,   4}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {}; //   0
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 0);
  int c_d_6[] = {  5,   6,  10,  11,   9}; //   5
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 5);

  int c_p_7[] = {  5,   9,  10,   4}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {}; //   0
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 0);
  int c_d_7[] = {  5,   6,  10,  11,   9}; //   5
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 5);

  int c_p_8[] = {  0,  11,  12,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {}; //   0
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 0);
  int c_d_8[] = {  0,   1,  12,   9,   4}; //   5
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 5);

  int c_p_9[] = {  0,  13,  12,   3}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {}; //   0
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 0);
  int c_d_9[] = {  0,   1,  12,   9,   4}; //   5
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 5);

  int c_p_10[] = {  0,  11,  12,   4}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {}; //   0
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 0);
  int c_d_10[] = {  5,   6,  12,   9,   4}; //   5
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 5);

  int c_p_11[] = {  0,  13,  12,   4}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {}; //   0
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 0);
  int c_d_11[] = {  5,   6,  12,   9,   4}; //   5
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 5);

  int c_p_12[] = {  0,  14,  15,  16}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {}; //   0
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 0);
  int c_d_12[] = {  5,  13,   9,  14,   4}; //   5
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 5);

  int c_p_13[] = {  0,  14,  17,  16}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {}; //   0
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 0);
  int c_d_13[] = {  5,  13,   9,  14,   4}; //   5
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 5);

  int c_p_14[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {}; //   0
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 0);
  int c_d_14[] = {  0,  15,   9,  16,   4}; //   5
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 5);

  int c_p_15[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {}; //   0
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 0);
  int c_d_15[] = {  0,  15,   9,  16,   4}; //   5
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 5);

  int c_p_16[] = {  8,  22,  23,  24}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = {  5,  17,   4,  18,   9}; //   5
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 5);

  int c_p_17[] = {  5,  22,  23,  24}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = {  5,  17,   4,  18,   9}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = {  8,  25,  26,  27}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = {  0,  19,   4,  20,   9}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = {  5,  25,  26,  27}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = {  0,  19,   4,  20,   9}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = {  0,  11,  28,  29}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 21,  18,  16,   9,   4}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,  13,  28,  29}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 21,  18,  16,   9,   4}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  8,  30,  31,  32}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 22,  14,  20,   4,   9}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  5,  30,  31,  32}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 22,  14,  20,   4,   9}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  0}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = {  1,   2,   3,   4}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = {  5,   6,   7,   3}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  0}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = {  1,   7,   8,   9}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = {  8,   9,  10,   3}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {  0}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = {  1,  10,  11,   9}; //   4
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 4);

  int c_p_27[] = {  5,   9,  10,   3}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {  0}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = {  1,  10,  11,   9}; //   4
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 4);

  int c_p_28[] = {  0,  11,  12,   3}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {  0}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = {  1,  12,   9,   4}; //   4
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 4);

  int c_p_29[] = {  0,  13,  12,   3}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {  0}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = {  1,  12,   9,   4}; //   4
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 4);

  int c_p_30[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  0}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = { 15,   9,  16,   4}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  0}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = { 15,   9,  16,   4}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = {  8,  25,  26,  27}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {  0}; //   1
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 1);
  int c_d_32[] = { 19,   4,  20,   9}; //   4
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 4);

  int c_p_33[] = {  5,  25,  26,  27}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {  0}; //   1
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 1);
  int c_d_33[] = { 19,   4,  20,   9}; //   4
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 4);

  int c_p_34[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 3);
  int c_f_34[] = {  0}; //   1
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 1);
  int c_t_34[] = {  0,   1}; //   2
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 2);
  int c_d_34[] = {  2,   3,   4}; //   3
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 3);

  int c_p_35[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 3);
  int c_f_35[] = {  0}; //   1
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 1);
  int c_t_35[] = {  0,   1}; //   2
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 2);
  int c_d_35[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 3);

  int c_p_36[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 3);
  int c_f_36[] = {  0}; //   1
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 1);
  int c_t_36[] = {  0,   1}; //   2
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 2);
  int c_d_36[] = { 10,  11,   9}; //   3
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 3);

  int c_p_37[] = {  5,   9,  10}; //   3
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 3);
  int c_f_37[] = {  0}; //   1
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 1);
  int c_t_37[] = {  0,   1}; //   2
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 2);
  int c_d_37[] = { 10,  11,   9}; //   3
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 3);

  int c_p_38[] = {  0,  11,  12}; //   3
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 3);
  int c_f_38[] = {  0}; //   1
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 1);
  int c_t_38[] = {  0,   1}; //   2
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 2);
  int c_d_38[] = { 12,   9,   4}; //   3
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 3);

  int c_p_39[] = {  0,  13,  12}; //   3
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 3);
  int c_f_39[] = {  0}; //   1
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 1);
  int c_t_39[] = {  0,   1}; //   2
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 2);
  int c_d_39[] = { 12,   9,   4}; //   3
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 3);

  int c_p_40[] = {  0,  18,  33,  34}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  2}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = {  9,  23,  16,   4}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,  18,  33,  35}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  2}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = {  9,  23,  16,   4}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  0,  14,  36,  34}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  2}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = {  9,  24,  14,   4}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  0,  14,  36,  35}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  2}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = {  9,  24,  14,   4}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 3);
  int c_f_44[] = {  1}; //   1
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 1);
  int c_t_44[] = {  2,   3}; //   2
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 2);
  int c_d_44[] = {  9,  16,   4}; //   3
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 3);

  int c_p_45[] = {  0,  18,  21}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  1}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = {  2,   3}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = {  9,  16,   4}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = {  0,  11}; //   2
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 2);
  int c_f_46[] = {  2,   3}; //   2
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 2);
  int c_t_46[] = {  2,   4,   5}; //   3
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 3);
  int c_d_46[] = {  9,   4}; //   2
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 2);

  int c_p_47[] = {  0,  13}; //   2
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 2);
  int c_f_47[] = {  2,   3}; //   2
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 2);
  int c_t_47[] = {  2,   4,   5}; //   3
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 3);
  int c_d_47[] = {  9,   4}; //   2
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 2);

  int c_p_48[] = {  0,  18,  19,  29}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  6}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 18,   9,  16,   4}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  0,  18,  21,  29}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  6}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 18,   9,  16,   4}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  0,  11,  37}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  4}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  7,   8}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = { 18,   9,   4}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  0,  13,  37}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  4}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  7,   8}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = { 18,   9,   4}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  8,  30,  28,  38}; //   4
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 4);
  int c_f_52[] = {}; //   0
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 0);
  int c_t_52[] = {  9}; //   1
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 1);
  int c_d_52[] = { 23,  16,   4,   9}; //   4
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 4);

  int c_p_53[] = {  5,  30,  28,  38}; //   4
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 4);
  int c_f_53[] = {}; //   0
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 0);
  int c_t_53[] = {  9}; //   1
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 1);
  int c_d_53[] = { 23,  16,   4,   9}; //   4
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 4);

  int c_p_54[] = {  8,  30,  39,  40}; //   4
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 4);
  int c_f_54[] = {}; //   0
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 0);
  int c_t_54[] = {  9}; //   1
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 1);
  int c_d_54[] = { 24,  14,   4,   9}; //   4
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 4);

  int c_p_55[] = {  5,  30,  39,  40}; //   4
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 4);
  int c_f_55[] = {}; //   0
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 0);
  int c_t_55[] = {  9}; //   1
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 1);
  int c_d_55[] = { 24,  14,   4,   9}; //   4
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 4);

  int c_p_56[] = {  0,  11,  31}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  5}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  0,  10}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = { 20,   9,   4}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  0,  13,  31}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  5}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  0,  10}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = { 20,   9,   4}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = {  8,  30,  28}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  6}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  0,  11}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = { 16,   4,   9}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = {  5,  30,  28}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = {  6}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  0,  11}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = { 16,   4,   9}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = {  0,  11}; //   2
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 2);
  int c_f_60[] = {  7,   5}; //   2
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 2);
  int c_t_60[] = {  0,  10,  12}; //   3
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 3);
  int c_d_60[] = {  9,   4}; //   2
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 2);

  int c_p_61[] = {  0,  13}; //   2
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 2);
  int c_f_61[] = {  7,   5}; //   2
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 2);
  int c_t_61[] = {  0,  10,  12}; //   3
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 3);
  int c_d_61[] = {  9,   4}; //   2
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 2);

  int c_p_62[] = {  8,  30}; //   2
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 2);
  int c_f_62[] = {  8,   6}; //   2
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 2);
  int c_t_62[] = {  0,  11,  13}; //   3
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 3);
  int c_d_62[] = {  4,   9}; //   2
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 2);

  int c_p_63[] = {  5,  30}; //   2
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 2);
  int c_f_63[] = {  8,   6}; //   2
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 2);
  int c_t_63[] = {  0,  11,  13}; //   3
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 3);
  int c_d_63[] = {  4,   9}; //   2
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
