#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ax_psp_240_gg_emmupvmvexbbx(int no_ps, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ax_psp_240_gg_emmupvmvexbbx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(17);
  psi_needed_v_smin[no_ps].resize(17);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 63);
  int needed_v_smin_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   41,   42,   43,   44,   59,   60,   61,   62}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    2,    3,   20,   21,   22,   23,   41,   42,   43,   44,   59,   60,   61,   62}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   20,   21,   24,   26,   27,   30,   32,   33,   34,   59,   60,   63,   65,   66,   69,   71,   72,   73,   43,   44,   46,   49,   50,   52,   56,   57,   58,   84}; //  37
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 37);
  int needed_v_smin_4[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   22,   23,   25,   28,   29,   31,   35,   36,   37,   61,   62,   64,   67,   68,   70,   74,   75,   76,   41,   42,   45,   47,   48,   51,   53,   54,   55,   83}; //  37
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 37);
  int needed_v_smin_5[] = {   4,    5,   24,   25,   45,   46,   63,   64}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   4,    5,   24,   25,   45,   46,   63,   64}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 63);
  int needed_v_smin_8[] = {   6,    7,    8,    9,   26,   27,   28,   29,   47,   48,   49,   50,   65,   66,   67,   68}; //  16
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 16);
  int needed_v_smin_9[] = {   6,    7,    8,    9,   26,   27,   28,   29,   47,   48,   49,   50,   65,   66,   67,   68}; //  16
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 16);
  int needed_v_smin_10[] = {  10,   11,   30,   31,   51,   52,   69,   70}; //   8
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 8);
  int needed_v_smin_11[] = {  10,   11,   30,   31,   51,   52,   69,   70}; //   8
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 8);
  int needed_v_smin_12[] = {  12,   13,   14,   15,   16,   17,   32,   33,   34,   35,   36,   37,   53,   54,   55,   56,   57,   58,   71,   72,   73,   74,   75,   76,   83,   84}; //  26
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 26);
  int needed_v_smin_13[] = {  18,   38,   40,   77,   80,   81,   82,   85}; //   8
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 8);
  int needed_v_smin_14[] = {  18,   38,   77,   80,   85}; //   5
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 5);
  int needed_v_smin_15[] = {  19,   39,   40,   78,   79,   81,   82,   86}; //   8
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 8);
  int needed_v_smin_16[] = {  19,   39,   78,   79,   86}; //   5
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 5);

  psi_v_smax[no_ps].resize(19);
  psi_needed_v_smax[no_ps].resize(19);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   20,   21,   22,   23,   24,   25,   32,   33,   34,   35,   36,   37,   38,   41,   42,   43,   44,   45,   46,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   71,   72,   73,   74,   75,   76,   77,   79,   81,   83,   85}; //  55
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 55);
  int needed_v_smax_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   41,   42,   43,   44,   59,   60,   61,   62}; //  16
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 16);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   83,   84}; //  74
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 74);
  int needed_v_smax_3[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   19,   20,   21,   24,   26,   27,   30,   32,   33,   34,   39,   59,   60,   63,   65,   66,   69,   71,   72,   73,   78,   43,   44,   46,   49,   50,   52,   56,   57,   58,   79,   84,   86}; //  42
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 42);
  int needed_v_smax_4[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   18,   22,   23,   25,   28,   29,   31,   35,   36,   37,   38,   61,   62,   64,   67,   68,   70,   74,   75,   76,   77,   41,   42,   45,   47,   48,   51,   53,   54,   55,   80,   83,   85}; //  42
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 42);
  int needed_v_smax_5[] = {   4,    5,   24,   25,   45,   46,   63,   64}; //   8
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 8);
  int needed_v_smax_6[] = {   6,    7,    8,    9,   10,   11,   19,   26,   27,   28,   29,   30,   31,   39,   40,   47,   48,   49,   50,   51,   52,   65,   66,   67,   68,   69,   70,   78,   80,   82,   84,   86}; //  32
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 32);
  int needed_v_smax_7[] = {   6,    7,    8,    9,   26,   27,   28,   29,   47,   48,   49,   50,   65,   66,   67,   68}; //  16
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 16);
  int needed_v_smax_8[] = {  10,   11,   30,   31,   51,   52,   69,   70}; //   8
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 8);
  int needed_v_smax_9[] = {  12,   13,   14,   15,   16,   17,   32,   33,   34,   35,   36,   37,   53,   54,   55,   56,   57,   58,   71,   72,   73,   74,   75,   76,   79,   83}; //  26
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 26);
  int needed_v_smax_10[] = {  18,   38,   77,   81,   85}; //   5
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 5);
  int needed_v_smax_11[] = {  18,   38,   77,   81,   85}; //   5
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 5);
  int needed_v_smax_12[] = {  19,   39,   78,   82,   86}; //   5
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 5);
  int needed_v_smax_13[] = {  19,   39,   78,   82,   86}; //   5
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 5);
  int needed_v_smax_14[] = {  40,   80,   84}; //   3
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 3);
  int needed_v_smax_15[] = {  40,   79}; //   2
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 2);
  int needed_v_smax_16[] = {  40,   82}; //   2
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 2);
  int needed_v_smax_17[] = {  80}; //   1
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 1);
  int needed_v_smax_18[] = {  81}; //   1
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 1);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(29);
  psi_needed_g_p[no_ps].resize(29);
  int needed_g_p_0[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   20,   21,   22,   23,   24,   25,   32,   33,   34,   35,   36,   37,   38,   41,   42,   43,   44,   45,   46,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   71,   72,   73,   74,   75,   76,   77,   79,   81,   83,   85}; //  55
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 55);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   41,   42,   43,   44,   59,   60,   61,   62}; //  16
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 16);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,   20,   22,   41,   43,   59,   61}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   20,   21,   24,   26,   27,   30,   32,   33,   34,   59,   60,   63,   65,   66,   69,   71,   72,   73}; //  27
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 27);
  psi_container_IS_name.push_back("propagator_5_smin3_smax3");
  int needed_g_p_4[] = {   1,    3,   21,   23,   42,   44,   60,   62}; //   8
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 8);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_5[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   22,   23,   25,   28,   29,   31,   35,   36,   37,   61,   62,   64,   67,   68,   70,   74,   75,   76}; //  27
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 27);
  psi_container_IS_name.push_back("propagator_5_smin4_smax4");
  int needed_g_p_6[] = {   4,    5,   24,   25,   45,   46,   63,   64}; //   8
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 8);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_7[] = {   4,    5,   24,   25,   45,   46,   63,   64}; //   8
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 8);
  psi_container_IS_name.push_back("propagator_23_smin6_smax2");
  int needed_g_p_8[] = {   6,    7,    8,    9,   10,   11,   19,   26,   27,   28,   29,   30,   31,   39,   40,   47,   48,   49,   50,   51,   52,   65,   66,   67,   68,   69,   70,   78,   80,   82,   84,   86}; //  32
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 32);
  psi_container_IS_name.push_back("propagator_24_smin7_smax6");
  int needed_g_p_9[] = {   6,    7,    8,    9,   26,   27,   28,   29,   47,   48,   49,   50,   65,   66,   67,   68}; //  16
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 16);
  psi_container_IS_name.push_back("propagator_0_smin8_smax7");
  int needed_g_p_10[] = {   6,    8,   26,   28,   47,   49,   65,   67}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_0_smin9_smax2");
  int needed_g_p_11[] = {   7,    9,   27,   29,   48,   50,   66,   68}; //   8
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 8);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_12[] = {  10,   11,   30,   31,   51,   52,   69,   70}; //   8
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 8);
  psi_container_IS_name.push_back("propagator_0_smin10_smax8");
  int needed_g_p_13[] = {  10,   11,   30,   31,   51,   52,   69,   70}; //   8
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 8);
  psi_container_IS_name.push_back("propagator_23_smin11_smax2");
  int needed_g_p_14[] = {  12,   13,   14,   15,   16,   17,   32,   33,   34,   35,   36,   37,   53,   54,   55,   56,   57,   58,   71,   72,   73,   74,   75,   76,   79,   83}; //  26
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 26);
  psi_container_IS_name.push_back("propagator_24_smin7_smax9");
  int needed_g_p_15[] = {  12,   15,   32,   35,   53,   56,   71,   74}; //   8
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 8);
  psi_container_IS_name.push_back("propagator_0_smin12_smax2");
  int needed_g_p_16[] = {  13,   16,   33,   36,   54,   57,   72,   75}; //   8
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 8);
  psi_container_IS_name.push_back("propagator_23_smin12_smax2");
  int needed_g_p_17[] = {  14,   17,   34,   37,   55,   58,   73,   76}; //   8
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 8);
  psi_container_IS_name.push_back("propagator_25_smin12_smax2");
  int needed_g_p_18[] = {  18,   38,   77,   81,   85}; //   5
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 5);
  psi_container_IS_name.push_back("propagator_6_smin13_smax10");
  int needed_g_p_19[] = {  18,   38,   77,   81,   85}; //   5
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 5);
  psi_container_IS_name.push_back("propagator_24_smin7_smax11");
  int needed_g_p_20[] = {  18,   38,   77}; //   3
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 3);
  psi_container_IS_name.push_back("propagator_5_smin14_smax4");
  int needed_g_p_21[] = {  19,   39,   78,   82,   86}; //   5
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 5);
  psi_container_IS_name.push_back("propagator_6_smin15_smax12");
  int needed_g_p_22[] = {  19,   39,   78,   82,   86}; //   5
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 5);
  psi_container_IS_name.push_back("propagator_24_smin0_smax13");
  int needed_g_p_23[] = {  19,   39,   78}; //   3
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 3);
  psi_container_IS_name.push_back("propagator_5_smin16_smax3");
  int needed_g_p_24[] = {  40,   80,   84}; //   3
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 3);
  psi_container_IS_name.push_back("propagator_24_smin0_smax14");
  int needed_g_p_25[] = {  40,   79}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_6_smin15_smax15");
  int needed_g_p_26[] = {  40,   82}; //   2
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 2);
  psi_container_IS_name.push_back("propagator_6_smin13_smax16");
  int needed_g_p_27[] = {  80}; //   1
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 1);
  psi_container_IS_name.push_back("propagator_6_smin13_smax17");
  int needed_g_p_28[] = {  81}; //   1
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 1);
  psi_container_IS_name.push_back("propagator_6_smin15_smax18");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(5);
  psi_needed_g_f[no_ps].resize(5);
  int needed_g_f_0[] = {  41,   42,   45,   47,   48,   51,   53,   54,   55,   83}; //  10
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 10);
  psi_container_IS_name.push_back("timelikeinvariant_smin4_smax4");
  int needed_g_f_1[] = {  43,   44,   46,   49,   50,   52,   56,   57,   58,   84}; //  10
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 10);
  psi_container_IS_name.push_back("timelikeinvariant_smin3_smax3");
  int needed_g_f_2[] = {  79,   86}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax3");
  int needed_g_f_3[] = {  80,   85}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax4");
  int needed_g_f_4[] = {  83,   84}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax2");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(14);
  psi_needed_g_t[no_ps].resize(14);
  int needed_g_t_0[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   19,   79}; //  11
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 11);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_1__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_1__64_188");
  int needed_g_t_1[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   18,   80}; //  11
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 11);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_1__128_124");
  int needed_g_t_2[] = {  41,   42,   45,   47,   48,   51,   53,   54,   55,   61,   62,   64,   67,   68,   70,   74,   75,   76,   77,   83,   85}; //  21
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__128_124");
  int needed_g_t_3[] = {  41,   42,   45,   47,   48,   51,   53,   54,   55,   83}; //  10
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_129__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_129__64_60");
  int needed_g_t_4[] = {  43,   44,   46,   49,   50,   52,   56,   57,   58,   59,   60,   63,   65,   66,   69,   71,   72,   73,   78,   84,   86}; //  21
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__64_188");
  int needed_g_t_5[] = {  43,   44,   46,   49,   50,   52,   56,   57,   58,   84}; //  10
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_65__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_65__128_60");
  int needed_g_t_6[] = {  79}; //   1
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_66__164_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_66__164_24");
  int needed_g_t_7[] = {  80}; //   1
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_130__88_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_130__88_36");
  int needed_g_t_8[] = {  81}; //   1
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_2__164_88");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_2__164_88");
  int needed_g_t_9[] = {  82}; //   1
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_2__88_164");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_2__88_164");
  int needed_g_t_10[] = {  83}; //   1
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__129_66__36_24");
  psi_container_IS_name.push_back("phi_of_tchannel_6__129_66__36_24");
  int needed_g_t_11[] = {  84}; //   1
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__65_130__24_36");
  psi_container_IS_name.push_back("phi_of_tchannel_6__65_130__24_36");
  int needed_g_t_12[] = {  85}; //   1
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_129__88_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_129__88_36");
  int needed_g_t_13[] = {  86}; //   1
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_65__164_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_65__164_24");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(20);
  psi_needed_g_d[no_ps].resize(20);
  int needed_g_d_0[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   20,   21,   24,   26,   27,   30,   32,   33,   34,   59,   60,   63,   65,   66,   69,   71,   72,   73}; //  27
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 27);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   41,   42,   43,   44,   59,   60,   61,   62}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_2[] = {   0,    1,    2,    3,   20,   21,   22,   23,   41,   42,   43,   44,   59,   60,   61,   62}; //  16
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_3[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 63);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_4[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   22,   23,   25,   28,   29,   31,   35,   36,   37,   61,   62,   64,   67,   68,   70,   74,   75,   76}; //  27
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 27);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_5[] = {   4,    5,   24,   25,   45,   46,   63,   64}; //   8
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_6[] = {   4,    5,   24,   25,   45,   46,   63,   64}; //   8
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_7[] = {   6,    7,    8,    9,   26,   27,   28,   29,   47,   48,   49,   50,   65,   66,   67,   68}; //  16
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_8[] = {   6,    7,    8,    9,   26,   27,   28,   29,   47,   48,   49,   50,   65,   66,   67,   68}; //  16
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_9[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 63);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_10[] = {  10,   11,   30,   31,   51,   52,   69,   70}; //   8
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_11[] = {  10,   11,   30,   31,   51,   52,   69,   70}; //   8
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_12[] = {  12,   13,   14,   15,   16,   17,   32,   33,   34,   35,   36,   37,   53,   54,   55,   56,   57,   58,   71,   72,   73,   74,   75,   76}; //  24
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 24);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_13[] = {  18,   38,   77}; //   3
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 3);
  psi_container_IS_name.push_back("costheta_of_decay_124__36_88");
  psi_container_IS_name.push_back("phi_of_decay_124__36_88");
  int needed_g_d_14[] = {  18,   38,   40,   77,   80,   81,   82,   85}; //   8
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 8);
  psi_container_IS_name.push_back("costheta_of_decay_88__64_24");
  psi_container_IS_name.push_back("phi_of_decay_88__64_24");
  int needed_g_d_15[] = {  19,   39,   78}; //   3
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 3);
  psi_container_IS_name.push_back("costheta_of_decay_188__24_164");
  psi_container_IS_name.push_back("phi_of_decay_188__24_164");
  int needed_g_d_16[] = {  19,   39,   40,   78,   79,   81,   82,   86}; //   8
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 8);
  psi_container_IS_name.push_back("costheta_of_decay_164__128_36");
  psi_container_IS_name.push_back("phi_of_decay_164__128_36");
  int needed_g_d_17[] = {  20,   21,   24,   26,   27,   30,   32,   33,   34,   39}; //  10
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_18[] = {  22,   23,   25,   28,   29,   31,   35,   36,   37,   38}; //  10
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_19[] = {  40}; //   1
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 1);
  psi_container_IS_name.push_back("costheta_of_decay_252__88_164");
  psi_container_IS_name.push_back("phi_of_decay_252__88_164");

  psi_c_p[no_ps].resize(87);
  psi_c_f[no_ps].resize(87);
  psi_c_t[no_ps].resize(87);
  psi_c_d[no_ps].resize(87);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 4);

  int c_p_1[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  0}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 4);

  int c_p_2[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  1}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  1}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  0,   6,   7,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  0}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  0,   5,   6,   3}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = {  0,   6,   7,   5}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  1}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  4,   5,   6,   3}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  8,   9,  10,   3}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = {  0,   7,   8,   9}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  8,   9,  11,   3}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  0}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = {  0,   7,   8,   9}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  8,   9,  10,   5}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  1}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  4,   7,   8,   9}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  8,   9,  11,   5}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  1}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = {  4,   7,   8,   9}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  8,  12,  13,   3}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  0}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = {  0,  10,  11,   9}; //   4
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 4);

  int c_p_11[] = {  8,  12,  13,   5}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  1}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = {  4,  10,  11,   9}; //   4
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 4);

  int c_p_12[] = {  0,  14,  15,   3}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  0}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = {  0,  12,   9,   3}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  0,  14,  16,   3}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  0}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = {  0,  12,   9,   3}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  0,  14,  17,   3}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = {  0,  12,   9,   3}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  0,  14,  15,   5}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  1}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = {  4,  12,   9,   3}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  0,  14,  16,   5}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  1}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = {  4,  12,   9,   3}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  0,  14,  17,   5}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  1}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = {  4,  12,   9,   3}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  1}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 13,   9,  14,   3}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  8,  21,  22,  23}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  0}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 15,   3,  16,   9}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 17,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 17,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 18,   4,   1,   2,   3}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 18,   4,   1,   2,   3}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  0,   6,   7,   3}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = { 17,   0,   5,   6,   3}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  0,   6,   7,   5}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = { 18,   4,   5,   6,   3}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  8,   9,  10,   3}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = { 17,   0,   7,   8,   9}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = {  8,   9,  11,   3}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = { 17,   0,   7,   8,   9}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  8,   9,  10,   5}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = { 18,   4,   7,   8,   9}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  8,   9,  11,   5}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = { 18,   4,   7,   8,   9}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = {  8,  12,  13,   3}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = { 17,   0,  10,  11,   9}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = {  8,  12,  13,   5}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = { 18,   4,  10,  11,   9}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = {  0,  14,  15,   3}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = { 17,   0,  12,   9,   3}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = {  0,  14,  16,   3}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = { 17,   0,  12,   9,   3}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = {  0,  14,  17,   3}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {}; //   0
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 0);
  int c_d_34[] = { 17,   0,  12,   9,   3}; //   5
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 5);

  int c_p_35[] = {  0,  14,  15,   5}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {}; //   0
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 0);
  int c_d_35[] = { 18,   4,  12,   9,   3}; //   5
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 5);

  int c_p_36[] = {  0,  14,  16,   5}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {}; //   0
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 0);
  int c_d_36[] = { 18,   4,  12,   9,   3}; //   5
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 5);

  int c_p_37[] = {  0,  14,  17,   5}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {}; //   0
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 0);
  int c_d_37[] = { 18,   4,  12,   9,   3}; //   5
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 5);

  int c_p_38[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {}; //   0
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 0);
  int c_d_38[] = { 18,  13,   9,  14,   3}; //   5
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 5);

  int c_p_39[] = {  8,  21,  22,  23}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {}; //   0
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 0);
  int c_d_39[] = { 17,  15,   3,  16,   9}; //   5
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 5);

  int c_p_40[] = {  8,  24,  25,  26}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {}; //   0
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 0);
  int c_d_40[] = { 19,  14,  16,   3,   9}; //   5
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 5);

  int c_p_41[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 3);
  int c_f_41[] = {  0}; //   1
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 1);
  int c_t_41[] = {  2,   3}; //   2
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 2);
  int c_d_41[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 3);

  int c_p_42[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 3);
  int c_f_42[] = {  0}; //   1
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 1);
  int c_t_42[] = {  2,   3}; //   2
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 2);
  int c_d_42[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 3);

  int c_p_43[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 3);
  int c_f_43[] = {  1}; //   1
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 1);
  int c_t_43[] = {  4,   5}; //   2
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 2);
  int c_d_43[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 3);

  int c_p_44[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 3);
  int c_f_44[] = {  1}; //   1
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 1);
  int c_t_44[] = {  4,   5}; //   2
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 2);
  int c_d_44[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 3);

  int c_p_45[] = {  0,   6,   7}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  0}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = {  2,   3}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = {  5,   6,   3}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = {  0,   6,   7}; //   3
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 3);
  int c_f_46[] = {  1}; //   1
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 1);
  int c_t_46[] = {  4,   5}; //   2
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 2);
  int c_d_46[] = {  5,   6,   3}; //   3
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 3);

  int c_p_47[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 3);
  int c_f_47[] = {  0}; //   1
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 1);
  int c_t_47[] = {  2,   3}; //   2
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 2);
  int c_d_47[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 3);

  int c_p_48[] = {  8,   9,  11}; //   3
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 3);
  int c_f_48[] = {  0}; //   1
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 1);
  int c_t_48[] = {  2,   3}; //   2
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 2);
  int c_d_48[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 3);

  int c_p_49[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 3);
  int c_f_49[] = {  1}; //   1
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 1);
  int c_t_49[] = {  4,   5}; //   2
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 2);
  int c_d_49[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 3);

  int c_p_50[] = {  8,   9,  11}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  1}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  4,   5}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  8,  12,  13}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  0}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  2,   3}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = { 10,  11,   9}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  8,  12,  13}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  1}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  4,   5}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = { 10,  11,   9}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,  14,  15}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  0}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  2,   3}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  0,  14,  16}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  0}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  2,   3}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,  14,  17}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  0}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  2,   3}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  0,  14,  15}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  1}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  4,   5}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  0,  14,  16}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  1}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  4,   5}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = {  0,  14,  17}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  1}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  4,   5}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = {  4}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = {  4}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = {  2}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  2}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = {  0,   6,   7,   3}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  4}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = {  0,   5,   6,   3}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  0,   6,   7,   5}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  2}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = {  4,   5,   6,   3}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  8,   9,  10,   3}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  4}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = {  0,   7,   8,   9}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = {  8,   9,  11,   3}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  4}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = {  0,   7,   8,   9}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  8,   9,  10,   5}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  2}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = {  4,   7,   8,   9}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  8,   9,  11,   5}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  2}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = {  4,   7,   8,   9}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = {  8,  12,  13,   3}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  4}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = {  0,  10,  11,   9}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = {  8,  12,  13,   5}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = {  2}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = {  4,  10,  11,   9}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = {  0,  14,  15,   3}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = {  4}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = {  0,  12,   9,   3}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = {  0,  14,  16,   3}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = {  4}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = {  0,  12,   9,   3}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = {  0,  14,  17,   3}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = {  4}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = {  0,  12,   9,   3}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = {  0,  14,  15,   5}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = {  2}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = {  4,  12,   9,   3}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = {  0,  14,  16,   5}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = {  2}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = {  4,  12,   9,   3}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = {  0,  14,  17,   5}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = {  2}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = {  4,  12,   9,   3}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = {  2}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = { 13,   9,  14,   3}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = {  8,  21,  22,  23}; //   4
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 4);
  int c_f_78[] = {}; //   0
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 0);
  int c_t_78[] = {  4}; //   1
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 1);
  int c_d_78[] = { 15,   3,  16,   9}; //   4
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 4);

  int c_p_79[] = {  0,  14,  25}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  2}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  0,   6}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = { 16,   9,   3}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = {  8,  24,  27}; //   3
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 3);
  int c_f_80[] = {  3}; //   1
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 1);
  int c_t_80[] = {  1,   7}; //   2
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 2);
  int c_d_80[] = { 14,   3,   9}; //   3
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 3);

  int c_p_81[] = {  0,  18,  19,  28}; //   4
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 4);
  int c_f_81[] = {}; //   0
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 0);
  int c_t_81[] = {  8}; //   1
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 1);
  int c_d_81[] = { 16,   9,  14,   3}; //   4
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 4);

  int c_p_82[] = {  8,  21,  22,  26}; //   4
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 4);
  int c_f_82[] = {}; //   0
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 0);
  int c_t_82[] = {  9}; //   1
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 1);
  int c_d_82[] = { 14,   3,  16,   9}; //   4
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 4);

  int c_p_83[] = {  0,  14}; //   2
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 2);
  int c_f_83[] = {  4,   0}; //   2
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 2);
  int c_t_83[] = {  2,   3,  10}; //   3
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 3);
  int c_d_83[] = {  9,   3}; //   2
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 2);

  int c_p_84[] = {  8,  24}; //   2
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 2);
  int c_f_84[] = {  4,   1}; //   2
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 2);
  int c_t_84[] = {  4,   5,  11}; //   3
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 3);
  int c_d_84[] = {  3,   9}; //   2
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 2);

  int c_p_85[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 3);
  int c_f_85[] = {  3}; //   1
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 1);
  int c_t_85[] = {  2,  12}; //   2
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 2);
  int c_d_85[] = {  9,  14,   3}; //   3
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 3);

  int c_p_86[] = {  8,  21,  22}; //   3
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 3);
  int c_f_86[] = {  2}; //   1
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 1);
  int c_t_86[] = {  4,  13}; //   2
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 2);
  int c_d_86[] = {  3,  16,   9}; //   3
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
