#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppnenex02/header/ppnenex02.phasespace.h"
void ppnenex02_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppnenex02_ag_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppnenex02_ag_psp_220_gg_vevexddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){ppnenex02_ag_psp_220_gg_vevexuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){ppnenex02_ag_psp_220_gd_vevexgd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){ppnenex02_ag_psp_220_gu_vevexgu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){ppnenex02_ag_psp_220_gdx_vevexgdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){ppnenex02_ag_psp_220_gux_vevexgux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){ppnenex02_ag_psp_220_dd_vevexdd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){ppnenex02_ag_psp_220_du_vevexdu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){ppnenex02_ag_psp_220_ds_vevexds(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){ppnenex02_ag_psp_220_dc_vevexdc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){ppnenex02_ag_psp_220_ddx_vevexgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){ppnenex02_ag_psp_220_ddx_vevexddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){ppnenex02_ag_psp_220_ddx_vevexuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){ppnenex02_ag_psp_220_ddx_vevexssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){ppnenex02_ag_psp_220_ddx_vevexccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){ppnenex02_ag_psp_220_dux_vevexdux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 20){ppnenex02_ag_psp_220_dsx_vevexdsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 22){ppnenex02_ag_psp_220_dcx_vevexdcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 23){ppnenex02_ag_psp_220_uu_vevexuu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 24){ppnenex02_ag_psp_220_uc_vevexuc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 25){ppnenex02_ag_psp_220_udx_vevexudx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 27){ppnenex02_ag_psp_220_uux_vevexgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 28){ppnenex02_ag_psp_220_uux_vevexddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 29){ppnenex02_ag_psp_220_uux_vevexuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 30){ppnenex02_ag_psp_220_uux_vevexssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 31){ppnenex02_ag_psp_220_uux_vevexccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 32){ppnenex02_ag_psp_220_usx_vevexusx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 34){ppnenex02_ag_psp_220_ucx_vevexucx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 35){ppnenex02_ag_psp_220_dxdx_vevexdxdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 36){ppnenex02_ag_psp_220_dxux_vevexdxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 37){ppnenex02_ag_psp_220_dxsx_vevexdxsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 38){ppnenex02_ag_psp_220_dxcx_vevexdxcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 40){ppnenex02_ag_psp_220_uxux_vevexuxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 41){ppnenex02_ag_psp_220_uxcx_vevexuxcx(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
