#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppnenexa03/header/ppnenexa03.phasespace.h"
void ppnenexa03_ax_psp_230_uux_vevexaccx(int no_ps, phasespace_set & psi){
  static Logger logger("ppnenexa03_ax_psp_230_uux_vevexaccx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(17);
  psi_needed_v_smin[no_ps].resize(17);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19}; //  20
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 20);
  int needed_v_smin_1[] = {   0,    3,    6,    8}; //   4
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 4);
  int needed_v_smin_2[] = {   0,    8}; //   2
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 2);
  int needed_v_smin_3[] = {   1,    2,    7,    9}; //   4
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 4);
  int needed_v_smin_4[] = {   1,    9}; //   2
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 2);
  int needed_v_smin_5[] = {   2}; //   1
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 1);
  int needed_v_smin_6[] = {   3}; //   1
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 1);
  int needed_v_smin_7[] = {   4,    6,   12,   16}; //   4
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 4);
  int needed_v_smin_8[] = {   4}; //   1
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 1);
  int needed_v_smin_9[] = {   5,    7,   13,   17}; //   4
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 4);
  int needed_v_smin_10[] = {   5}; //   1
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 1);
  int needed_v_smin_11[] = {  10,   11,   14,   15,   18,   19}; //   6
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 6);
  int needed_v_smin_12[] = {  12,   16}; //   2
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 2);
  int needed_v_smin_13[] = {  13,   17}; //   2
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 2);
  int needed_v_smin_14[] = {  10,   11,   18,   19}; //   4
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 4);
  int needed_v_smin_15[] = {  14}; //   1
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 1);
  int needed_v_smin_16[] = {  15}; //   1
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 1);

  psi_v_smax[no_ps].resize(21);
  psi_needed_v_smax[no_ps].resize(21);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    6,    7,    8,    9,   11,   15,   16,   17,   19}; //  13
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 13);
  int needed_v_smax_1[] = {   0,    3,    6,    8}; //   4
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 4);
  int needed_v_smax_2[] = {   0,    1,    8,    9,   10,   11,   18,   19}; //   8
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 8);
  int needed_v_smax_3[] = {   1,    2,    7,    9}; //   4
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 4);
  int needed_v_smax_4[] = {   2,    4}; //   2
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 2);
  int needed_v_smax_5[] = {   3,    5}; //   2
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 2);
  int needed_v_smax_6[] = {   4,   12}; //   2
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 2);
  int needed_v_smax_7[] = {   4}; //   1
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 1);
  int needed_v_smax_8[] = {   5,   13}; //   2
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 2);
  int needed_v_smax_9[] = {   5}; //   1
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 1);
  int needed_v_smax_10[] = {   6}; //   1
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 1);
  int needed_v_smax_11[] = {   7}; //   1
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 1);
  int needed_v_smax_12[] = {  10,   14,   18}; //   3
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 3);
  int needed_v_smax_13[] = {  10,   14,   18}; //   3
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 3);
  int needed_v_smax_14[] = {  11,   15,   19}; //   3
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 3);
  int needed_v_smax_15[] = {  12,   13}; //   2
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 2);
  int needed_v_smax_16[] = {  12,   13}; //   2
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 2);
  int needed_v_smax_17[] = {  16}; //   1
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 1);
  int needed_v_smax_18[] = {  16,   17,   14}; //   3
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 3);
  int needed_v_smax_19[] = {  17}; //   1
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 1);
  int needed_v_smax_20[] = {  15}; //   1
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 1);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(25);
  psi_needed_g_p[no_ps].resize(25);
  int needed_g_p_0[] = {   0,    1,    2,    3,    6,    7,    8,    9,   11,   15,   16,   17,   19}; //  13
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 13);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    3,    6,    8}; //   4
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 4);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    8}; //   2
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 2);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,    2,    7,    9}; //   4
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 4);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    9}; //   2
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 2);
  psi_container_IS_name.push_back("propagator_0_smin4_smax2");
  int needed_g_p_5[] = {   2}; //   1
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 1);
  psi_container_IS_name.push_back("propagator_0_smin5_smax4");
  int needed_g_p_6[] = {   3}; //   1
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 1);
  psi_container_IS_name.push_back("propagator_0_smin6_smax5");
  int needed_g_p_7[] = {   4,   12}; //   2
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax6");
  int needed_g_p_8[] = {   4}; //   1
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 1);
  psi_container_IS_name.push_back("propagator_23_smin0_smax7");
  int needed_g_p_9[] = {   4}; //   1
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 1);
  psi_container_IS_name.push_back("propagator_0_smin8_smax4");
  int needed_g_p_10[] = {   5,   13}; //   2
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 2);
  psi_container_IS_name.push_back("propagator_0_smin9_smax8");
  int needed_g_p_11[] = {   5}; //   1
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 1);
  psi_container_IS_name.push_back("propagator_23_smin0_smax9");
  int needed_g_p_12[] = {   5}; //   1
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 1);
  psi_container_IS_name.push_back("propagator_0_smin10_smax5");
  int needed_g_p_13[] = {   6}; //   1
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax10");
  int needed_g_p_14[] = {   7}; //   1
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax11");
  int needed_g_p_15[] = {  10,   14,   18}; //   3
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 3);
  psi_container_IS_name.push_back("propagator_0_smin11_smax12");
  int needed_g_p_16[] = {  10,   14,   18}; //   3
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 3);
  psi_container_IS_name.push_back("propagator_23_smin0_smax13");
  int needed_g_p_17[] = {  11,   15,   19}; //   3
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 3);
  psi_container_IS_name.push_back("propagator_0_smin11_smax14");
  int needed_g_p_18[] = {  12}; //   1
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 1);
  psi_container_IS_name.push_back("propagator_0_smin12_smax15");
  int needed_g_p_19[] = {  12,   13}; //   2
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_20[] = {  13}; //   1
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 1);
  psi_container_IS_name.push_back("propagator_0_smin13_smax15");
  int needed_g_p_21[] = {  16}; //   1
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax17");
  int needed_g_p_22[] = {  16}; //   1
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 1);
  psi_container_IS_name.push_back("propagator_0_smin12_smax18");
  int needed_g_p_23[] = {  17}; //   1
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax19");
  int needed_g_p_24[] = {  17}; //   1
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 1);
  psi_container_IS_name.push_back("propagator_0_smin13_smax18");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(3);
  psi_needed_g_f[no_ps].resize(3);
  int needed_g_f_0[] = {  10,   11,   18,   19}; //   4
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax2");
  int needed_g_f_1[] = {  14}; //   1
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax18");
  int needed_g_f_2[] = {  15}; //   1
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax20");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(11);
  psi_needed_g_t[no_ps].resize(11);
  int needed_g_t_0[] = {   0,    1,   10,   11}; //   4
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__16_108");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__16_108");
  int needed_g_t_1[] = {   8,    9,   18,   19}; //   4
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__16_108");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__16_108");
  int needed_g_t_2[] = {  10}; //   1
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_18__12_96");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_18__12_96");
  int needed_g_t_3[] = {  11}; //   1
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_18__96_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_18__96_12");
  int needed_g_t_4[] = {  12,   13,   14}; //   3
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 3);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_112");
  int needed_g_t_5[] = {  14}; //   1
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__96_16");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__96_16");
  int needed_g_t_6[] = {  15}; //   1
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__96_28");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__96_28");
  int needed_g_t_7[] = {  15}; //   1
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_97__12_16");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_97__12_16");
  int needed_g_t_8[] = {  16,   17}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_112");
  int needed_g_t_9[] = {  18}; //   1
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_17__96_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_17__96_12");
  int needed_g_t_10[] = {  19}; //   1
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_17__12_96");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_17__12_96");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(18);
  psi_needed_g_d[no_ps].resize(18);
  int needed_g_d_0[] = {   0,    8}; //   2
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 2);
  psi_container_IS_name.push_back("costheta_of_decay_108__32_76");
  psi_container_IS_name.push_back("phi_of_decay_108__32_76");
  int needed_g_d_1[] = {   0,    3,    6,    8}; //   4
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 4);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19}; //  20
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 20);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_3[] = {   1,    9}; //   2
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 2);
  psi_container_IS_name.push_back("costheta_of_decay_108__64_44");
  psi_container_IS_name.push_back("phi_of_decay_108__64_44");
  int needed_g_d_4[] = {   1,    2,    7,    9}; //   4
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_5[] = {   2,    4}; //   2
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_6[] = {   2}; //   1
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 1);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_7[] = {   3,    5}; //   2
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__32_92");
  psi_container_IS_name.push_back("phi_of_decay_124__32_92");
  int needed_g_d_8[] = {   3}; //   1
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 1);
  psi_container_IS_name.push_back("costheta_of_decay_92__16_76");
  psi_container_IS_name.push_back("phi_of_decay_92__16_76");
  int needed_g_d_9[] = {   4}; //   1
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 1);
  psi_container_IS_name.push_back("costheta_of_decay_60__12_48");
  psi_container_IS_name.push_back("phi_of_decay_60__12_48");
  int needed_g_d_10[] = {   4,    6,   12,   16}; //   4
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 4);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_11[] = {   5}; //   1
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 1);
  psi_container_IS_name.push_back("costheta_of_decay_92__12_80");
  psi_container_IS_name.push_back("phi_of_decay_92__12_80");
  int needed_g_d_12[] = {   5,    7,   13,   17}; //   4
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 4);
  psi_container_IS_name.push_back("costheta_of_decay_80__16_64");
  psi_container_IS_name.push_back("phi_of_decay_80__16_64");
  int needed_g_d_13[] = {   6}; //   1
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 1);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_14[] = {   7}; //   1
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 1);
  psi_container_IS_name.push_back("costheta_of_decay_124__80_44");
  psi_container_IS_name.push_back("phi_of_decay_124__80_44");
  int needed_g_d_15[] = {  10,   11,   14,   15,   18,   19}; //   6
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 6);
  psi_container_IS_name.push_back("costheta_of_decay_96__32_64");
  psi_container_IS_name.push_back("phi_of_decay_96__32_64");
  int needed_g_d_16[] = {  12,   16}; //   2
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 2);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_17[] = {  13,   17}; //   2
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 2);
  psi_container_IS_name.push_back("costheta_of_decay_112__32_80");
  psi_container_IS_name.push_back("phi_of_decay_112__32_80");

  psi_c_p[no_ps].resize(20);
  psi_c_f[no_ps].resize(20);
  psi_c_t[no_ps].resize(20);
  psi_c_d[no_ps].resize(20);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   3,   4}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  0}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  0,   3,   5}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {}; //   0
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 0);
  int c_d_2[] = {  5,   6,   4,   2}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  0,   1,   6}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {}; //   0
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 0);
  int c_d_3[] = {  7,   8,   1,   2}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  7,   8,   9}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {}; //   0
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 0);
  int c_d_4[] = {  5,   9,   2,  10}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = { 10,  11,  12}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {}; //   0
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 0);
  int c_d_5[] = {  7,  11,   2,  12}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  0,   1,  13}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {}; //   0
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 0);
  int c_d_6[] = { 13,  10,   1,   2}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  0,   3,  14}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {}; //   0
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 0);
  int c_d_7[] = { 14,  12,   4,   2}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  1}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  0,   3,   4}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  1}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = { 15,  16}; //   2
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 2);
  int c_f_10[] = {  0}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  0,   2}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = {  2,  15}; //   2
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 2);

  int c_p_11[] = {  0,  17}; //   2
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 2);
  int c_f_11[] = {  0}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  0,   3}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = { 15,   2}; //   2
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 2);

  int c_p_12[] = {  7,  18,  19}; //   3
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 3);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  4}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = {  2,  16,  10}; //   3
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 3);

  int c_p_13[] = { 10,  20,  19}; //   3
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 3);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  4}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = {  2,  17,  12}; //   3
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 3);

  int c_p_14[] = { 15,  16}; //   2
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 2);
  int c_f_14[] = {  1}; //   1
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 1);
  int c_t_14[] = {  4,   5}; //   2
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 2);
  int c_d_14[] = {  2,  15}; //   2
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 2);

  int c_p_15[] = {  0,  17}; //   2
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 2);
  int c_f_15[] = {  2}; //   1
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 1);
  int c_t_15[] = {  6,   7}; //   2
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 2);
  int c_d_15[] = { 15,   2}; //   2
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 2);

  int c_p_16[] = {  0,  21,  22}; //   3
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 3);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  8}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 16,  10,   2}; //   3
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 3);

  int c_p_17[] = {  0,  23,  24}; //   3
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 3);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  8}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 17,  12,   2}; //   3
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 3);

  int c_p_18[] = { 15,  16}; //   2
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 2);
  int c_f_18[] = {  0}; //   1
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 1);
  int c_t_18[] = {  1,   9}; //   2
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 2);
  int c_d_18[] = {  2,  15}; //   2
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 2);

  int c_p_19[] = {  0,  17}; //   2
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 2);
  int c_f_19[] = {  0}; //   1
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 1);
  int c_t_19[] = {  1,  10}; //   2
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 2);
  int c_d_19[] = { 15,   2}; //   2
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
