#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppwx01/header/ppwx01.phasespace.h"
void ppwx01_ac_psp_real(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppwx01_ac_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  1){ppwx01_ac_psp_110_gu_wpd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  2){ppwx01_ac_psp_110_gu_wps(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  3){ppwx01_ac_psp_110_gu_wpb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  4){ppwx01_ac_psp_110_gc_wpd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  5){ppwx01_ac_psp_110_gc_wps(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  6){ppwx01_ac_psp_110_gc_wpb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  7){ppwx01_ac_psp_110_gdx_wpux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  8){ppwx01_ac_psp_110_gdx_wpcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  9){ppwx01_ac_psp_110_gsx_wpux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 10){ppwx01_ac_psp_110_gsx_wpcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 11){ppwx01_ac_psp_110_gbx_wpux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 12){ppwx01_ac_psp_110_gbx_wpcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 13){ppwx01_ac_psp_110_udx_wpg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 14){ppwx01_ac_psp_110_usx_wpg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 15){ppwx01_ac_psp_110_ubx_wpg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 16){ppwx01_ac_psp_110_cdx_wpg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 17){ppwx01_ac_psp_110_csx_wpg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 18){ppwx01_ac_psp_110_cbx_wpg(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
