#ifndef DDISTRIBUTION_H
#define DDISTRIBUTION_H

#include <string>

#include "xdistribution.h"

using namespace std;

class dddistribution {
 private:
  // coordinates, hidden
  /*
  string priv_name;
  int priv_d_1;
  int priv_d_2;
  int priv_n_bins;
  double priv_step;
  xdistribution priv_distribution_1;
  xdistribution priv_distribution_2;
  */

 public:  
  // constructors
  dddistribution();
  dddistribution(string name, int d_1, int d_2, vector<xdistribution> dat);
  //  dddistribution(string name, int d_1, int d_2, xdistribution dat1, xdistribution dat2);

  string name;
  int d_1;
  int d_2;
  int n_bins;
  double step;
  xdistribution distribution_1;
  xdistribution distribution_2;

  /*
  // access elements
  string name() const;
  int d_1() const;
  int d_2() const;
  int n_bins() const;
  double step() const;
  xdistribution distribution_1() const;
  xdistribution distribution_2() const;
  */

  friend std::ostream & operator << ( std::ostream &, const dddistribution &);
};

#endif
