void ppaa02_particles(int i_a, observable_set & oset);

void ppaa02_cuts(int i_a, observable_set & oset);
void ppaa02_cuts_test(int i_a, observable_set & oset);

void ppaa02_moments(observable_set & oset);

void ppaa02_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppaa02_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppaa02_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppaa02_optimize_minv_born(phasespace_set & psi);
int ppaa02_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppaa02_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppaa02_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_born(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ax_psp_020_ddx_aa(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_020_ddx_aa(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_020_ddx_aa(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_020_uux_aa(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_020_uux_aa(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_020_uux_aa(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_gg_aa(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_gg_aa(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_gg_aa(int no_ps, int zero, phasespace_set & psi);
void ppaa02_phasespacepoint_born(observable_set & oset);

void ppaa02_phasespacepoint_collinear(observable_set & oset);

void ppaa02_optimize_minv_real(phasespace_set & psi);
int ppaa02_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppaa02_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppaa02_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_real(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ax_psp_120_gd_aad(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_120_gd_aad(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_120_gd_aad(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_120_gu_aau(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_120_gu_aau(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_120_gu_aau(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_120_gdx_aadx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_120_gdx_aadx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_120_gdx_aadx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_120_gux_aaux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_120_gux_aaux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_120_gux_aaux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_120_ddx_aag(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_120_ddx_aag(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_120_ddx_aag(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_120_uux_aag(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_120_uux_aag(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_120_uux_aag(int no_ps, int zero, phasespace_set & psi);
void ppaa02_phasespacepoint_real(observable_set & oset);

void ppaa02_phasespacepoint_realcollinear(observable_set & oset);

void ppaa02_optimize_minv_doublereal(phasespace_set & psi);
int ppaa02_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppaa02_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppaa02_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ax_psp_220_gg_aaddx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_gg_aaddx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_gg_aaddx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_gg_aauux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_gg_aauux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_gg_aauux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_gd_aagd(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_gd_aagd(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_gd_aagd(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_gu_aagu(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_gu_aagu(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_gu_aagu(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_gdx_aagdx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_gdx_aagdx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_gdx_aagdx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_gux_aagux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_gux_aagux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_gux_aagux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dd_aadd(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dd_aadd(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dd_aadd(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_du_aadu(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_du_aadu(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_du_aadu(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_ds_aads(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_ds_aads(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_ds_aads(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dc_aadc(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dc_aadc(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dc_aadc(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_ddx_aagg(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_ddx_aagg(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_ddx_aagg(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_ddx_aaddx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_ddx_aaddx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_ddx_aaddx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_ddx_aauux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_ddx_aauux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_ddx_aauux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_ddx_aassx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_ddx_aassx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_ddx_aassx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_ddx_aaccx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_ddx_aaccx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_ddx_aaccx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dux_aadux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dux_aadux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dux_aadux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dsx_aadsx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dsx_aadsx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dsx_aadsx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dcx_aadcx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dcx_aadcx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dcx_aadcx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uu_aauu(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uu_aauu(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uu_aauu(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uc_aauc(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uc_aauc(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uc_aauc(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_udx_aaudx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_udx_aaudx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_udx_aaudx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uux_aagg(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uux_aagg(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uux_aagg(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uux_aaddx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uux_aaddx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uux_aaddx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uux_aauux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uux_aauux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uux_aauux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uux_aassx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uux_aassx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uux_aassx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uux_aaccx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uux_aaccx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uux_aaccx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_usx_aausx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_usx_aausx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_usx_aausx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_ucx_aaucx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_ucx_aaucx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_ucx_aaucx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dxdx_aadxdx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dxdx_aadxdx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dxdx_aadxdx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dxux_aadxux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dxux_aadxux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dxux_aadxux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dxsx_aadxsx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dxsx_aadxsx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dxsx_aadxsx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_dxcx_aadxcx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_dxcx_aadxcx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_dxcx_aadxcx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uxux_aauxux(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uxux_aauxux(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uxux_aauxux(int no_ps, int zero, phasespace_set & psi);
void ppaa02_ax_psp_220_uxcx_aauxcx(int no_ps, phasespace_set & psi);
void ppaa02_ac_psp_220_uxcx_aauxcx(int no_ps, int channel, phasespace_set & psi);
void ppaa02_ag_psp_220_uxcx_aauxcx(int no_ps, int zero, phasespace_set & psi);
void ppaa02_phasespacepoint_doublereal(observable_set & oset);

