#include "ppeeexnex04.header.cxx"
void ppeeexnex04_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeeexnex04_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_ememepve~";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeeexnex04_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeeexnex04_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_ememepve~";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeeexnex04_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeeexnex04_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_ememepve~";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeeexnex04_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeeexnex04_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_ememepve~u";
  subprocess[2] = "gu~_ememepve~d~";
  subprocess[3] = "du~_ememepve~g";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeeexnex04_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeeexnex04_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_ememepve~u";
  subprocess[2] = "gu~_ememepve~d~";
  subprocess[3] = "du~_ememepve~g";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeeexnex04_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeeexnex04_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_ememepve~u";
  subprocess[2] = "gu~_ememepve~d~";
  subprocess[3] = "du~_ememepve~g";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeeexnex04_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeeexnex04_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(25);
  subprocess[1] = "gg_ememepve~ud~";
  subprocess[2] = "gd_ememepve~gu";
  subprocess[3] = "gu~_ememepve~gd~";
  subprocess[4] = "dd_ememepve~du";
  subprocess[5] = "du_ememepve~uu";
  subprocess[6] = "ds_ememepve~dc";
  subprocess[7] = "dc_ememepve~uc";
  subprocess[8] = "dd~_ememepve~ud~";
  subprocess[9] = "dd~_ememepve~cs~";
  subprocess[10] = "du~_ememepve~gg";
  subprocess[11] = "du~_ememepve~dd~";
  subprocess[12] = "du~_ememepve~uu~";
  subprocess[13] = "du~_ememepve~ss~";
  subprocess[14] = "du~_ememepve~cc~";
  subprocess[15] = "ds~_ememepve~us~";
  subprocess[16] = "dc~_ememepve~ds~";
  subprocess[17] = "dc~_ememepve~uc~";
  subprocess[18] = "uu~_ememepve~ud~";
  subprocess[19] = "uu~_ememepve~cs~";
  subprocess[20] = "uc~_ememepve~us~";
  subprocess[21] = "d~u~_ememepve~d~d~";
  subprocess[22] = "d~c~_ememepve~d~s~";
  subprocess[23] = "u~u~_ememepve~d~u~";
  subprocess[24] = "u~c~_ememepve~d~c~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
