void ppeexa03_particles(int i_a, observable_set & oset);

void ppeexa03_cuts(int i_a, observable_set & oset);
void ppeexa03_cuts_test(int i_a, observable_set & oset);

void ppeexa03_moments(observable_set & oset);

void ppeexa03_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppeexa03_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppeexa03_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppeexa03_optimize_minv_born(phasespace_set & psi);
int ppeexa03_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppeexa03_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexa03_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_born(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ax_psp_030_ddx_emepa(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_030_ddx_emepa(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_030_ddx_emepa(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_030_uux_emepa(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_030_uux_emepa(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_030_uux_emepa(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_gg_emepa(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_gg_emepa(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_gg_emepa(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_phasespacepoint_born(observable_set & oset);

void ppeexa03_phasespacepoint_collinear(observable_set & oset);

void ppeexa03_optimize_minv_real(phasespace_set & psi);
int ppeexa03_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppeexa03_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexa03_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_real(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ax_psp_130_gd_emepad(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_130_gd_emepad(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_130_gd_emepad(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_130_gu_emepau(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_130_gu_emepau(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_130_gu_emepau(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_130_gdx_emepadx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_130_gdx_emepadx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_130_gdx_emepadx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_130_gux_emepaux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_130_gux_emepaux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_130_gux_emepaux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_130_ddx_emepag(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_130_ddx_emepag(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_130_ddx_emepag(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_130_uux_emepag(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_130_uux_emepag(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_130_uux_emepag(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_phasespacepoint_real(observable_set & oset);

void ppeexa03_phasespacepoint_realcollinear(observable_set & oset);

void ppeexa03_optimize_minv_doublereal(phasespace_set & psi);
int ppeexa03_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppeexa03_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexa03_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ax_psp_230_gg_emepaddx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_gg_emepaddx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_gg_emepaddx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_gg_emepauux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_gg_emepauux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_gg_emepauux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_gd_emepagd(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_gd_emepagd(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_gd_emepagd(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_gu_emepagu(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_gu_emepagu(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_gu_emepagu(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_gdx_emepagdx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_gdx_emepagdx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_gdx_emepagdx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_gux_emepagux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_gux_emepagux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_gux_emepagux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dd_emepadd(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dd_emepadd(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dd_emepadd(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_du_emepadu(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_du_emepadu(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_du_emepadu(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_ds_emepads(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_ds_emepads(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_ds_emepads(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dc_emepadc(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dc_emepadc(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dc_emepadc(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_ddx_emepagg(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_ddx_emepagg(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_ddx_emepagg(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_ddx_emepaddx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_ddx_emepaddx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_ddx_emepaddx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_ddx_emepauux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_ddx_emepauux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_ddx_emepauux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_ddx_emepassx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_ddx_emepassx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_ddx_emepassx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_ddx_emepaccx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_ddx_emepaccx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_ddx_emepaccx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dux_emepadux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dux_emepadux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dux_emepadux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dsx_emepadsx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dsx_emepadsx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dsx_emepadsx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dcx_emepadcx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dcx_emepadcx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dcx_emepadcx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uu_emepauu(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uu_emepauu(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uu_emepauu(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uc_emepauc(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uc_emepauc(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uc_emepauc(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_udx_emepaudx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_udx_emepaudx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_udx_emepaudx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uux_emepagg(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uux_emepagg(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uux_emepagg(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uux_emepaddx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uux_emepaddx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uux_emepaddx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uux_emepauux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uux_emepauux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uux_emepauux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uux_emepassx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uux_emepassx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uux_emepassx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uux_emepaccx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uux_emepaccx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uux_emepaccx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_usx_emepausx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_usx_emepausx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_usx_emepausx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_ucx_emepaucx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_ucx_emepaucx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_ucx_emepaucx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dxdx_emepadxdx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dxdx_emepadxdx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dxdx_emepadxdx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dxux_emepadxux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dxux_emepadxux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dxux_emepadxux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dxsx_emepadxsx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dxsx_emepadxsx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dxsx_emepadxsx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_dxcx_emepadxcx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_dxcx_emepadxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_dxcx_emepadxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uxux_emepauxux(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uxux_emepauxux(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uxux_emepauxux(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_ax_psp_230_uxcx_emepauxcx(int no_ps, phasespace_set & psi);
void ppeexa03_ac_psp_230_uxcx_emepauxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexa03_ag_psp_230_uxcx_emepauxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexa03_phasespacepoint_doublereal(observable_set & oset);

