#include "ppeexnenex04.header.cxx"
void ppeexnenex04_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexnenex04_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  if (contribution_order_alpha_s == 0 && contribution_order_alpha_e == 4 && contribution_order_interference == 0){
    subprocess.resize(4);
    subprocess[1] = "dd~_emepveve~";
    subprocess[2] = "uu~_emepveve~";
    subprocess[3] = "bb~_emepveve~";
    int member_0[] = {1, 2, 3};
    subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  }
  else if (contribution_order_alpha_s == 2 && contribution_order_alpha_e == 4 && contribution_order_interference == 0){
    subprocess.resize(2);
    subprocess[1] = "gg_emepveve~";
    int member_0[] = {1};
    subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  }
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexnenex04_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexnenex04_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "dd~_emepveve~";
  subprocess[2] = "uu~_emepveve~";
  subprocess[3] = "bb~_emepveve~";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexnenex04_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexnenex04_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "dd~_emepveve~";
  subprocess[2] = "uu~_emepveve~";
  subprocess[3] = "bb~_emepveve~";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexnenex04_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexnenex04_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(10);
  subprocess[1] = "gd_emepveve~d";
  subprocess[2] = "gu_emepveve~u";
  subprocess[3] = "gb_emepveve~b";
  subprocess[4] = "gd~_emepveve~d~";
  subprocess[5] = "gu~_emepveve~u~";
  subprocess[6] = "gb~_emepveve~b~";
  subprocess[7] = "dd~_emepveve~g";
  subprocess[8] = "uu~_emepveve~g";
  subprocess[9] = "bb~_emepveve~g";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexnenex04_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexnenex04_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(10);
  subprocess[1] = "gd_emepveve~d";
  subprocess[2] = "gu_emepveve~u";
  subprocess[3] = "gb_emepveve~b";
  subprocess[4] = "gd~_emepveve~d~";
  subprocess[5] = "gu~_emepveve~u~";
  subprocess[6] = "gb~_emepveve~b~";
  subprocess[7] = "dd~_emepveve~g";
  subprocess[8] = "uu~_emepveve~g";
  subprocess[9] = "bb~_emepveve~g";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexnenex04_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexnenex04_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(10);
  subprocess[1] = "gd_emepveve~d";
  subprocess[2] = "gu_emepveve~u";
  subprocess[3] = "gb_emepveve~b";
  subprocess[4] = "gd~_emepveve~d~";
  subprocess[5] = "gu~_emepveve~u~";
  subprocess[6] = "gb~_emepveve~b~";
  subprocess[7] = "dd~_emepveve~g";
  subprocess[8] = "uu~_emepveve~g";
  subprocess[9] = "bb~_emepveve~g";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexnenex04_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexnenex04_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(60);
  subprocess[1] = "gg_emepveve~dd~";
  subprocess[2] = "gg_emepveve~uu~";
  subprocess[3] = "gg_emepveve~bb~";
  subprocess[4] = "gd_emepveve~gd";
  subprocess[5] = "gu_emepveve~gu";
  subprocess[6] = "gb_emepveve~gb";
  subprocess[7] = "gd~_emepveve~gd~";
  subprocess[8] = "gu~_emepveve~gu~";
  subprocess[9] = "gb~_emepveve~gb~";
  subprocess[10] = "dd_emepveve~dd";
  subprocess[11] = "du_emepveve~du";
  subprocess[12] = "ds_emepveve~ds";
  subprocess[13] = "dc_emepveve~dc";
  subprocess[14] = "dc_emepveve~us";
  subprocess[15] = "db_emepveve~db";
  subprocess[16] = "dd~_emepveve~gg";
  subprocess[17] = "dd~_emepveve~dd~";
  subprocess[18] = "dd~_emepveve~uu~";
  subprocess[19] = "dd~_emepveve~ss~";
  subprocess[20] = "dd~_emepveve~cc~";
  subprocess[21] = "dd~_emepveve~bb~";
  subprocess[22] = "du~_emepveve~du~";
  subprocess[23] = "du~_emepveve~sc~";
  subprocess[24] = "ds~_emepveve~ds~";
  subprocess[25] = "ds~_emepveve~uc~";
  subprocess[26] = "dc~_emepveve~dc~";
  subprocess[27] = "db~_emepveve~db~";
  subprocess[28] = "uu_emepveve~uu";
  subprocess[29] = "uc_emepveve~uc";
  subprocess[30] = "ub_emepveve~ub";
  subprocess[31] = "ud~_emepveve~ud~";
  subprocess[32] = "ud~_emepveve~cs~";
  subprocess[33] = "uu~_emepveve~gg";
  subprocess[34] = "uu~_emepveve~dd~";
  subprocess[35] = "uu~_emepveve~uu~";
  subprocess[36] = "uu~_emepveve~ss~";
  subprocess[37] = "uu~_emepveve~cc~";
  subprocess[38] = "uu~_emepveve~bb~";
  subprocess[39] = "us~_emepveve~us~";
  subprocess[40] = "uc~_emepveve~ds~";
  subprocess[41] = "uc~_emepveve~uc~";
  subprocess[42] = "ub~_emepveve~ub~";
  subprocess[43] = "bb_emepveve~bb";
  subprocess[44] = "bd~_emepveve~bd~";
  subprocess[45] = "bu~_emepveve~bu~";
  subprocess[46] = "bb~_emepveve~gg";
  subprocess[47] = "bb~_emepveve~dd~";
  subprocess[48] = "bb~_emepveve~uu~";
  subprocess[49] = "bb~_emepveve~bb~";
  subprocess[50] = "d~d~_emepveve~d~d~";
  subprocess[51] = "d~u~_emepveve~d~u~";
  subprocess[52] = "d~s~_emepveve~d~s~";
  subprocess[53] = "d~c~_emepveve~d~c~";
  subprocess[54] = "d~c~_emepveve~u~s~";
  subprocess[55] = "d~b~_emepveve~d~b~";
  subprocess[56] = "u~u~_emepveve~u~u~";
  subprocess[57] = "u~c~_emepveve~u~c~";
  subprocess[58] = "u~b~_emepveve~u~b~";
  subprocess[59] = "b~b~_emepveve~b~b~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
