void ppeexnmnmx04_particles(int i_a, observable_set & oset);

void ppeexnmnmx04_cuts(int i_a, observable_set & oset);
void ppeexnmnmx04_cuts_test(int i_a, observable_set & oset);

void ppeexnmnmx04_moments(observable_set & oset);

void ppeexnmnmx04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppeexnmnmx04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppeexnmnmx04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppeexnmnmx04_optimize_minv_born(phasespace_set & psi);
int ppeexnmnmx04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_040_ddx_emepvmvmx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_040_ddx_emepvmvmx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_040_ddx_emepvmvmx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_040_uux_emepvmvmx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_040_uux_emepvmvmx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_040_uux_emepvmvmx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_gg_emepvmvmx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_gg_emepvmvmx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_gg_emepvmvmx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_phasespacepoint_born(observable_set & oset);

void ppeexnmnmx04_phasespacepoint_collinear(observable_set & oset);

void ppeexnmnmx04_optimize_minv_real(phasespace_set & psi);
int ppeexnmnmx04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_140_gd_emepvmvmxd(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_140_gd_emepvmvmxd(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_140_gd_emepvmvmxd(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_140_gu_emepvmvmxu(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_140_gu_emepvmvmxu(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_140_gu_emepvmvmxu(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_140_gdx_emepvmvmxdx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_140_gdx_emepvmvmxdx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_140_gdx_emepvmvmxdx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_140_gux_emepvmvmxux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_140_gux_emepvmvmxux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_140_gux_emepvmvmxux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_140_ddx_emepvmvmxg(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_140_ddx_emepvmvmxg(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_140_ddx_emepvmvmxg(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_140_uux_emepvmvmxg(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_140_uux_emepvmvmxg(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_140_uux_emepvmvmxg(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_phasespacepoint_real(observable_set & oset);

void ppeexnmnmx04_phasespacepoint_realcollinear(observable_set & oset);

void ppeexnmnmx04_optimize_minv_doublereal(phasespace_set & psi);
int ppeexnmnmx04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_gg_emepvmvmxddx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_gg_emepvmvmxddx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_gg_emepvmvmxddx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_gg_emepvmvmxuux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_gg_emepvmvmxuux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_gg_emepvmvmxuux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_gd_emepvmvmxgd(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_gd_emepvmvmxgd(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_gd_emepvmvmxgd(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_gu_emepvmvmxgu(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_gu_emepvmvmxgu(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_gu_emepvmvmxgu(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_gdx_emepvmvmxgdx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_gdx_emepvmvmxgdx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_gdx_emepvmvmxgdx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_gux_emepvmvmxgux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_gux_emepvmvmxgux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_gux_emepvmvmxgux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dd_emepvmvmxdd(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dd_emepvmvmxdd(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dd_emepvmvmxdd(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_du_emepvmvmxdu(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_du_emepvmvmxdu(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_du_emepvmvmxdu(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_ds_emepvmvmxds(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_ds_emepvmvmxds(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_ds_emepvmvmxds(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dc_emepvmvmxdc(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dc_emepvmvmxdc(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dc_emepvmvmxdc(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_ddx_emepvmvmxgg(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_ddx_emepvmvmxgg(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxgg(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_ddx_emepvmvmxddx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_ddx_emepvmvmxddx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxddx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_ddx_emepvmvmxuux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_ddx_emepvmvmxuux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxuux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_ddx_emepvmvmxssx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_ddx_emepvmvmxssx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxssx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_ddx_emepvmvmxccx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_ddx_emepvmvmxccx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxccx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dux_emepvmvmxdux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dux_emepvmvmxdux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dux_emepvmvmxdux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dsx_emepvmvmxdsx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dsx_emepvmvmxdsx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dsx_emepvmvmxdsx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dcx_emepvmvmxdcx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dcx_emepvmvmxdcx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dcx_emepvmvmxdcx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uu_emepvmvmxuu(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uu_emepvmvmxuu(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uu_emepvmvmxuu(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uc_emepvmvmxuc(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uc_emepvmvmxuc(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uc_emepvmvmxuc(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_udx_emepvmvmxudx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_udx_emepvmvmxudx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_udx_emepvmvmxudx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uux_emepvmvmxgg(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uux_emepvmvmxgg(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uux_emepvmvmxgg(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uux_emepvmvmxddx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uux_emepvmvmxddx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uux_emepvmvmxddx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uux_emepvmvmxuux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uux_emepvmvmxuux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uux_emepvmvmxuux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uux_emepvmvmxssx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uux_emepvmvmxssx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uux_emepvmvmxssx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uux_emepvmvmxccx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uux_emepvmvmxccx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uux_emepvmvmxccx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_usx_emepvmvmxusx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_usx_emepvmvmxusx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_usx_emepvmvmxusx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_ucx_emepvmvmxucx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_ucx_emepvmvmxucx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_ucx_emepvmvmxucx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dxdx_emepvmvmxdxdx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dxdx_emepvmvmxdxdx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dxdx_emepvmvmxdxdx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dxux_emepvmvmxdxux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dxux_emepvmvmxdxux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dxux_emepvmvmxdxux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dxsx_emepvmvmxdxsx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dxsx_emepvmvmxdxsx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dxsx_emepvmvmxdxsx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_dxcx_emepvmvmxdxcx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_dxcx_emepvmvmxdxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_dxcx_emepvmvmxdxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uxux_emepvmvmxuxux(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uxux_emepvmvmxuxux(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uxux_emepvmvmxuxux(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_ax_psp_240_uxcx_emepvmvmxuxcx(int no_ps, phasespace_set & psi);
void ppeexnmnmx04_ac_psp_240_uxcx_emepvmvmxuxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexnmnmx04_ag_psp_240_uxcx_emepvmvmxuxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexnmnmx04_phasespacepoint_doublereal(observable_set & oset);

