#include "ppemexnmx04.header.cxx"
void ppemexnmx04_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppemexnmx04_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_emmumepvm~";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppemexnmx04_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppemexnmx04_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_emmumepvm~";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppemexnmx04_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppemexnmx04_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_emmumepvm~";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppemexnmx04_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppemexnmx04_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_emmumepvm~u";
  subprocess[2] = "gu~_emmumepvm~d~";
  subprocess[3] = "du~_emmumepvm~g";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppemexnmx04_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppemexnmx04_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_emmumepvm~u";
  subprocess[2] = "gu~_emmumepvm~d~";
  subprocess[3] = "du~_emmumepvm~g";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppemexnmx04_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppemexnmx04_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_emmumepvm~u";
  subprocess[2] = "gu~_emmumepvm~d~";
  subprocess[3] = "du~_emmumepvm~g";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppemexnmx04_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppemexnmx04_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(25);
  subprocess[1] = "gg_emmumepvm~ud~";
  subprocess[2] = "gd_emmumepvm~gu";
  subprocess[3] = "gu~_emmumepvm~gd~";
  subprocess[4] = "dd_emmumepvm~du";
  subprocess[5] = "du_emmumepvm~uu";
  subprocess[6] = "ds_emmumepvm~dc";
  subprocess[7] = "dc_emmumepvm~uc";
  subprocess[8] = "dd~_emmumepvm~ud~";
  subprocess[9] = "dd~_emmumepvm~cs~";
  subprocess[10] = "du~_emmumepvm~gg";
  subprocess[11] = "du~_emmumepvm~dd~";
  subprocess[12] = "du~_emmumepvm~uu~";
  subprocess[13] = "du~_emmumepvm~ss~";
  subprocess[14] = "du~_emmumepvm~cc~";
  subprocess[15] = "ds~_emmumepvm~us~";
  subprocess[16] = "dc~_emmumepvm~ds~";
  subprocess[17] = "dc~_emmumepvm~uc~";
  subprocess[18] = "uu~_emmumepvm~ud~";
  subprocess[19] = "uu~_emmumepvm~cs~";
  subprocess[20] = "uc~_emmumepvm~us~";
  subprocess[21] = "d~u~_emmumepvm~d~d~";
  subprocess[22] = "d~c~_emmumepvm~d~s~";
  subprocess[23] = "u~u~_emmumepvm~d~u~";
  subprocess[24] = "u~c~_emmumepvm~d~c~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
