#include "ppw01.header.cxx"
void ppw01_determination_no_subprocess_real(int & no_map, vector<int> & o_map, int & no_prc, vector<int> & o_prc, double & symmetry_factor, vector<int> & tp, int basic_order_alpha_s, int basic_order_alpha_e, int basic_order_interference){
  static Logger logger("ppw01_determination_no_subprocess_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  no_map = -1;
  vector<int> out(5);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 1; o++){
      if (o == 0){out[4] = 4;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  24) && (tp[out[4]] ==   2)){no_map = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  24) && (tp[out[4]] ==   4)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  24) && (tp[out[4]] ==   2)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  24) && (tp[out[4]] ==   4)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  24) && (tp[out[4]] ==   2)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  24) && (tp[out[4]] ==   4)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==  -1)){no_map = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==  -3)){no_map = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==  -5)){no_map = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==  -1)){no_map = 10; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==  -3)){no_map = 11; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==  -5)){no_map = 12; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==   0)){no_map = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==   0)){no_map = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==   0)){no_map = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==   0)){no_map = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==   0)){no_map = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==   0)){no_map = 18; break;}
    }
    if (no_map != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){o_map[o] = o;}
    else {o_map[o] = out[o];}
  }
  no_prc = no_map;
  o_prc = o_map;
  if (no_map == 0){}
  else if (no_map == 1){symmetry_factor = 1;}
  else if (no_map == 2){symmetry_factor = 1;}
  else if (no_map == 3){symmetry_factor = 1;}
  else if (no_map == 4){symmetry_factor = 1;}
  else if (no_map == 5){symmetry_factor = 1;}
  else if (no_map == 6){symmetry_factor = 1;}
  else if (no_map == 7){symmetry_factor = 1;}
  else if (no_map == 8){symmetry_factor = 1;}
  else if (no_map == 9){symmetry_factor = 1;}
  else if (no_map == 10){symmetry_factor = 1;}
  else if (no_map == 11){symmetry_factor = 1;}
  else if (no_map == 12){symmetry_factor = 1;}
  else if (no_map == 13){symmetry_factor = 1;}
  else if (no_map == 14){symmetry_factor = 1;}
  else if (no_map == 15){symmetry_factor = 1;}
  else if (no_map == 16){symmetry_factor = 1;}
  else if (no_map == 17){symmetry_factor = 1;}
  else if (no_map == 18){symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppw01_determination_subprocess_real(int i_a, phasespace_set & psi){
  static Logger logger("ppw01_determination_subprocess_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  vector<int> tp = psi.csi->basic_type_parton[i_a];
  //  ppw01_determination_no_subprocess_real(psi_no_map[i_a], psi_o_map[i_a], psi_no_prc[i_a], psi_o_prc[i_a], psi_symmetry_factor, tp, psi_phasespace_order_alpha_s[i_a], psi_phasespace_order_alpha_e[i_a], psi_phasespace_order_interference[i_a]);

  psi_no_map[i_a] = -1;
  vector<int> out(5);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 1; o++){
      if (o == 0){out[4] = 4;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  24) && (tp[out[4]] ==   2)){psi_no_map[i_a] = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  24) && (tp[out[4]] ==   4)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  24) && (tp[out[4]] ==   2)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  24) && (tp[out[4]] ==   4)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  24) && (tp[out[4]] ==   2)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  24) && (tp[out[4]] ==   4)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==  -1)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==  -3)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==  -5)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==  -1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==  -3)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==  -5)){psi_no_map[i_a] = 12; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==   0)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==   0)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==   0)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==   0)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] ==  24) && (tp[out[4]] ==   0)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] ==  24) && (tp[out[4]] ==   0)){psi_no_map[i_a] = 18; break;}
    }
    if (psi_no_map[i_a] != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){psi_o_map[i_a][o] = o;}
    else {psi_o_map[i_a][o] = out[o];}
  }
  psi_no_prc[i_a] = psi_no_map[i_a];
  psi_o_prc[i_a] = psi_o_map[i_a];
  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 1){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 2){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 3){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 4){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 5){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 6){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 7){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 8){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 9){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 10){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 11){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 12){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 13){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 14){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 15){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 16){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 17){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 18){psi_symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppw01_combination_subprocess_real(int i_a, phasespace_set & psi, observable_set & oset){
  static Logger logger("ppw01_combination_subprocess_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 1){
    int pdf_1[] = { 1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  d   -> w  u  
    int pdf_2[] = {-1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // d  g   -> w  u  
  }
  else if (psi_no_map[i_a] == 2){
    int pdf_1[] = { 1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  d   -> w  c  
    int pdf_2[] = {-1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // d  g   -> w  c  
  }
  else if (psi_no_map[i_a] == 3){
    int pdf_1[] = { 1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  s   -> w  u  
    int pdf_2[] = {-1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  g   -> w  u  
  }
  else if (psi_no_map[i_a] == 4){
    int pdf_1[] = { 1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  s   -> w  c  
    int pdf_2[] = {-1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  g   -> w  c  
  }
  else if (psi_no_map[i_a] == 5){
    int pdf_1[] = { 1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  b   -> w  u  
    int pdf_2[] = {-1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  g   -> w  u  
  }
  else if (psi_no_map[i_a] == 6){
    int pdf_1[] = { 1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  b   -> w  c  
    int pdf_2[] = {-1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  g   -> w  c  
  }
  else if (psi_no_map[i_a] == 7){
    int pdf_1[] = { 1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  ux  -> w  dx 
    int pdf_2[] = {-1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux g   -> w  dx 
  }
  else if (psi_no_map[i_a] == 8){
    int pdf_1[] = { 1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  ux  -> w  sx 
    int pdf_2[] = {-1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux g   -> w  sx 
  }
  else if (psi_no_map[i_a] == 9){
    int pdf_1[] = { 1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  ux  -> w  bx 
    int pdf_2[] = {-1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux g   -> w  bx 
  }
  else if (psi_no_map[i_a] == 10){
    int pdf_1[] = { 1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  cx  -> w  dx 
    int pdf_2[] = {-1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx g   -> w  dx 
  }
  else if (psi_no_map[i_a] == 11){
    int pdf_1[] = { 1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  cx  -> w  sx 
    int pdf_2[] = {-1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx g   -> w  sx 
  }
  else if (psi_no_map[i_a] == 12){
    int pdf_1[] = { 1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  cx  -> w  bx 
    int pdf_2[] = {-1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx g   -> w  bx 
  }
  else if (psi_no_map[i_a] == 13){
    int pdf_1[] = { 1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  ux  -> w  g  
    int pdf_2[] = {-1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux d   -> w  g  
  }
  else if (psi_no_map[i_a] == 14){
    int pdf_1[] = { 1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  cx  -> w  g  
    int pdf_2[] = {-1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx d   -> w  g  
  }
  else if (psi_no_map[i_a] == 15){
    int pdf_1[] = { 1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  ux  -> w  g  
    int pdf_2[] = {-1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux s   -> w  g  
  }
  else if (psi_no_map[i_a] == 16){
    int pdf_1[] = { 1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  cx  -> w  g  
    int pdf_2[] = {-1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx s   -> w  g  
  }
  else if (psi_no_map[i_a] == 17){
    int pdf_1[] = { 1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  ux  -> w  g  
    int pdf_2[] = {-1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux b   -> w  g  
  }
  else if (psi_no_map[i_a] == 18){
    int pdf_1[] = { 1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  cx  -> w  g  
    int pdf_2[] = {-1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx b   -> w  g  
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
