#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ag_psp_240_ddx_emmupvmvexccx(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ag_psp_240_ddx_emmupvmvexccx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_xbp[no_ps][24] == nullvector){psi_xbp[no_ps][24] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][24] == 0.){psi_xbs[no_ps][24] = psi_xbp[no_ps][24].m2();}
  if (psi_xbsqrts[no_ps][24] == 0.){psi_xbsqrts[no_ps][24] = sqrt(psi_xbs[no_ps][24]);}
  if (psi_xbp[no_ps][36] == nullvector){psi_xbp[no_ps][36] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][36] == 0.){psi_xbs[no_ps][36] = psi_xbp[no_ps][36].m2();}
  if (psi_xbsqrts[no_ps][36] == 0.){psi_xbsqrts[no_ps][36] = sqrt(psi_xbs[no_ps][36]);}
  if (psi_xbp[no_ps][192] == nullvector){psi_xbp[no_ps][192] = psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][192] == 0.){psi_xbs[no_ps][192] = psi_xbp[no_ps][192].m2();}
  if (psi_xbsqrts[no_ps][192] == 0.){psi_xbsqrts[no_ps][192] = sqrt(psi_xbs[no_ps][192]);}
  if (psi_xbp[no_ps][26] == nullvector){psi_xbp[no_ps][26] = psi_xbp[no_ps][2] - psi_xbp[no_ps][8] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][26] == 0.){psi_xbs[no_ps][26] = psi_xbp[no_ps][26].m2();}
  if (psi_xbp[no_ps][28] == nullvector){psi_xbp[no_ps][28] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][28] == 0.){psi_xbs[no_ps][28] = psi_xbp[no_ps][28].m2();}
  if (psi_xbsqrts[no_ps][28] == 0.){psi_xbsqrts[no_ps][28] = sqrt(psi_xbs[no_ps][28]);}
  if (psi_xbp[no_ps][37] == nullvector){psi_xbp[no_ps][37] = psi_xbp[no_ps][1] - psi_xbp[no_ps][4] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][37] == 0.){psi_xbs[no_ps][37] = psi_xbp[no_ps][37].m2();}
  if (psi_xbp[no_ps][44] == nullvector){psi_xbp[no_ps][44] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][44] == 0.){psi_xbs[no_ps][44] = psi_xbp[no_ps][44].m2();}
  if (psi_xbsqrts[no_ps][44] == 0.){psi_xbsqrts[no_ps][44] = sqrt(psi_xbs[no_ps][44]);}
  if (psi_xbp[no_ps][52] == nullvector){psi_xbp[no_ps][52] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][52] == 0.){psi_xbs[no_ps][52] = psi_xbp[no_ps][52].m2();}
  if (psi_xbsqrts[no_ps][52] == 0.){psi_xbsqrts[no_ps][52] = sqrt(psi_xbs[no_ps][52]);}
  if (psi_xbp[no_ps][56] == nullvector){psi_xbp[no_ps][56] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][56] == 0.){psi_xbs[no_ps][56] = psi_xbp[no_ps][56].m2();}
  if (psi_xbsqrts[no_ps][56] == 0.){psi_xbsqrts[no_ps][56] = sqrt(psi_xbs[no_ps][56]);}
  if (psi_xbp[no_ps][100] == nullvector){psi_xbp[no_ps][100] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][100] == 0.){psi_xbs[no_ps][100] = psi_xbp[no_ps][100].m2();}
  if (psi_xbsqrts[no_ps][100] == 0.){psi_xbsqrts[no_ps][100] = sqrt(psi_xbs[no_ps][100]);}
  if (psi_xbp[no_ps][152] == nullvector){psi_xbp[no_ps][152] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][152] == 0.){psi_xbs[no_ps][152] = psi_xbp[no_ps][152].m2();}
  if (psi_xbsqrts[no_ps][152] == 0.){psi_xbsqrts[no_ps][152] = sqrt(psi_xbs[no_ps][152]);}
  if (psi_xbp[no_ps][193] == nullvector){psi_xbp[no_ps][193] = psi_xbp[no_ps][1] - psi_xbp[no_ps][64] - psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][193] == 0.){psi_xbs[no_ps][193] = psi_xbp[no_ps][193].m2();}
  if (psi_xbp[no_ps][194] == nullvector){psi_xbp[no_ps][194] = psi_xbp[no_ps][2] - psi_xbp[no_ps][64] - psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][194] == 0.){psi_xbs[no_ps][194] = psi_xbp[no_ps][194].m2();}
  if (psi_xbp[no_ps][60] == nullvector){psi_xbp[no_ps][60] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][60] == 0.){psi_xbs[no_ps][60] = psi_xbp[no_ps][60].m2();}
  if (psi_xbsqrts[no_ps][60] == 0.){psi_xbsqrts[no_ps][60] = sqrt(psi_xbs[no_ps][60]);}
  if (psi_xbp[no_ps][216] == nullvector){psi_xbp[no_ps][216] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][216] == 0.){psi_xbs[no_ps][216] = psi_xbp[no_ps][216].m2();}
  if (psi_xbp[no_ps][124] == nullvector){psi_xbp[no_ps][124] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][124] == 0.){psi_xbs[no_ps][124] = psi_xbp[no_ps][124].m2();}
  if (psi_xbp[no_ps][188] == nullvector){psi_xbp[no_ps][188] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][188] == 0.){psi_xbs[no_ps][188] = psi_xbp[no_ps][188].m2();}
  if (psi_xbp[no_ps][252] == nullvector){psi_xbp[no_ps][252] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][252] == 0.){psi_xbs[no_ps][252] = psi_xbp[no_ps][252].m2();}

  psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][24]; // 26 times
  psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][56]); // 8 times
  psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][60], 2), psi_smin_opt[no_ps][188]); // 8 times
  psi_v_smin[no_ps][  4] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][60], 2), psi_smin_opt[no_ps][124]); // 8 times
  psi_v_smin[no_ps][  5] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][28]); // 4 times
  psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]); // 4 times
  psi_v_smin[no_ps][  7] = psi_smin_opt[no_ps][36]; // 26 times
  psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][52]); // 8 times
  psi_v_smin[no_ps][  9] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][44]); // 4 times
  psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][44], 2), psi_smin_opt[no_ps][60]); // 4 times
  psi_v_smin[no_ps][ 12] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]); // 9 times
  psi_v_smin[no_ps][ 13] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][152]); // 2 times
  psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][36] + psi_xbsqrts[no_ps][152], 2), psi_smin_opt[no_ps][188]); // 1 times
  psi_v_smin[no_ps][ 15] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][100]); // 2 times
  psi_v_smin[no_ps][ 16] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][100], 2), psi_smin_opt[no_ps][124]); // 1 times
  psi_v_smin[no_ps][ 17] = psi_smin_opt[no_ps][192]; // 19 times
  psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][192], 2), psi_smin_opt[no_ps][216]); // 2 times

  psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][228], 2); // 19 times
  psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][196], 2); // 6 times
  psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2); // 24 times
  psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2); // 9 times
  psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2); // 9 times
  psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][224], 2); // 3 times
  psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][216], 2); // 10 times
  psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][200], 2); // 6 times
  psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][208], 2); // 3 times
  psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][216]), 2); // 8 times
  psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][100], 2); // 1 times
  psi_v_smax[no_ps][ 11] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][152], psi_sqrtsmin_opt[no_ps][216]), 2); // 1 times
  psi_v_smax[no_ps][ 12] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][152], 2); // 1 times
  psi_v_smax[no_ps][ 13] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][100], psi_sqrtsmin_opt[no_ps][228]), 2); // 1 times
  psi_v_smax[no_ps][ 14] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][36], psi_sqrtsmin_opt[no_ps][100]), 2); // 1 times
  psi_v_smax[no_ps][ 15] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][152], 2); // 1 times
  psi_v_smax[no_ps][ 16] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][60], 2); // 8 times
  psi_v_smax[no_ps][ 17] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][60], 2); // 9 times
  psi_v_smax[no_ps][ 18] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][36] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][228]), 2); // 6 times
  psi_v_smax[no_ps][ 19] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][196]), 2); // 2 times
  psi_v_smax[no_ps][ 20] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2); // 9 times
  psi_v_smax[no_ps][ 21] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][224]), 2); // 1 times
  psi_v_smax[no_ps][ 22] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][24] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][216]), 2); // 3 times
  psi_v_smax[no_ps][ 23] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][200]), 2); // 2 times
  psi_v_smax[no_ps][ 24] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][208]), 2); // 1 times
  psi_v_smax[no_ps][ 25] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][216]), 2); // 4 times
  psi_v_smax[no_ps][ 26] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][36] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][60]), 2); // 1 times
  psi_v_smax[no_ps][ 27] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], psi_sqrtsmin_opt[no_ps][60]), 2); // 1 times
  psi_v_smax[no_ps][ 28] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][36], 2); // 2 times

  //  vector<double> g_p(44);
  {psi_g_p[no_ps][  0] = psi.g_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0]); /* npp 2 */} // 19 times
  {psi_g_p[no_ps][  1] = psi.g_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1]); /* npp 3 */} // 6 times
  {psi_g_p[no_ps][  2] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][  3] = psi.g_propagator(no_ps,   0, 188, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3]); /* npp 5 */} // 8 times
  {psi_g_p[no_ps][  4] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][  5] = psi.g_propagator(no_ps,   0, 124, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4]); /* npp 5 */} // 8 times
  {psi_g_p[no_ps][  6] = psi.g_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  5]); /* npp 3 */} // 3 times
  {psi_g_p[no_ps][  7] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][  8] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  6]); /* npp 2 */} // 10 times
  {psi_g_p[no_ps][  9] = psi.g_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  7]); /* npp 3 */} // 6 times
  {psi_g_p[no_ps][ 10] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][ 11] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][ 12] = psi.g_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  8]); /* npp 3 */} // 3 times
  {psi_g_p[no_ps][ 13] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][ 14] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  9]); /* npp 2 */} // 8 times
  {psi_g_p[no_ps][ 15] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][ 16] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2]); /* npp 4 */} // 3 times
  {psi_g_p[no_ps][ 17] = psi.g_propagator(no_ps,   0, 152, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 10]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 18] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 11]); /* npp 2 */} // 1 times
  {psi_g_p[no_ps][ 19] = psi.g_propagator(no_ps,   0, 188, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][  3]); /* npp 5 */} // 1 times
  {psi_g_p[no_ps][ 20] = psi.g_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 12]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 21] = psi.g_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13]); /* npp 2 */} // 1 times
  {psi_g_p[no_ps][ 22] = psi.g_propagator(no_ps,   0, 124, psi_v_smin[no_ps][ 16], psi_v_smax[no_ps][  4]); /* npp 5 */} // 1 times
  {psi_g_p[no_ps][ 23] = psi.g_propagator(no_ps,   0, 152, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 14]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 24] = psi.g_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 15]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 25] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 16]); /* npp 2 */} // 8 times
  {psi_g_p[no_ps][ 26] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 17]); /* npp 2 */} // 9 times
  {psi_g_p[no_ps][ 27] = psi.g_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 18]); /* npp 2 */} // 6 times
  {psi_g_p[no_ps][ 28] = psi.g_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][ 19]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 29] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 30] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 31] = psi.g_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 21]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 32] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 33] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 22]); /* npp 2 */} // 3 times
  {psi_g_p[no_ps][ 34] = psi.g_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][ 23]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 35] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 36] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 37] = psi.g_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 24]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 38] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 39] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 25]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 40] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 41] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 20]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 42] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 26]); /* npp 2 */} // 1 times
  {psi_g_p[no_ps][ 43] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 27]); /* npp 2 */} // 1 times

  //  vector<double> g_f(2);
  {psi_g_f[no_ps][  0] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 28]); /* nfp 4 */} // 2 times
  {psi_g_f[no_ps][  1] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 20]); /* nfp 4 */} // 1 times

  //  vector<double> g_t(6);
  {psi_g_t[no_ps][  0] = psi.g_tchannel_opt(no_ps,   0, 252,   1,   2, 192,  60); /* ntp 0 */} // 9 times
  {psi_g_t[no_ps][  1] = psi.g_tchannel_opt(no_ps,   0, 252,   2,   1, 192,  60); /* ntp 0 */} // 8 times
  {psi_g_t[no_ps][  2] = psi.g_tchannel_opt(no_ps,   0, 252,   1,   2,  36, 216); /* ntp 0 */} // 2 times
  {psi_g_t[no_ps][  3] = psi.g_tchannel_opt(no_ps,   0, 216,   2,  37, 192,  24); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][  4] = psi.g_tchannel_opt(no_ps,   0, 216,   2,  37,  24, 192); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][  5] = psi.g_tchannel_opt(no_ps,   0,  60,   2, 193,  24,  36); /* ntp 2 */} // 1 times

  //  vector<double> g_d(21);
  {psi_g_d[no_ps][  0] = psi.g_decay(no_ps, 252,  64, 188); /* ndp 6 */} // 9 times
  {psi_g_d[no_ps][  1] = psi.g_decay(no_ps, 188, 128,  60); /* ndp 5 */} // 8 times
  {psi_g_d[no_ps][  2] = psi.g_decay(no_ps,  60,   4,  56); /* ndp 4 */} // 8 times
  {psi_g_d[no_ps][  3] = psi.g_decay(no_ps,  56,  32,  24); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][  4] = psi.g_decay(no_ps,  24,   8,  16); /* ndp 2 */} // 26 times
  {psi_g_d[no_ps][  5] = psi.g_decay(no_ps, 252, 128, 124); /* ndp 6 */} // 9 times
  {psi_g_d[no_ps][  6] = psi.g_decay(no_ps, 124,  64,  60); /* ndp 5 */} // 8 times
  {psi_g_d[no_ps][  7] = psi.g_decay(no_ps,  60,  32,  28); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][  8] = psi.g_decay(no_ps,  28,   4,  24); /* ndp 3 */} // 4 times
  {psi_g_d[no_ps][  9] = psi.g_decay(no_ps,  60,   8,  52); /* ndp 4 */} // 8 times
  {psi_g_d[no_ps][ 10] = psi.g_decay(no_ps,  52,  16,  36); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][ 11] = psi.g_decay(no_ps,  36,   4,  32); /* ndp 2 */} // 26 times
  {psi_g_d[no_ps][ 12] = psi.g_decay(no_ps,  60,  16,  44); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][ 13] = psi.g_decay(no_ps,  44,   8,  36); /* ndp 3 */} // 4 times
  {psi_g_d[no_ps][ 14] = psi.g_decay(no_ps,  60,  36,  24); /* ndp 4 */} // 8 times
  {psi_g_d[no_ps][ 15] = psi.g_decay(no_ps, 188,  36, 152); /* ndp 5 */} // 1 times
  {psi_g_d[no_ps][ 16] = psi.g_decay(no_ps, 152, 128,  24); /* ndp 3 */} // 2 times
  {psi_g_d[no_ps][ 17] = psi.g_decay(no_ps, 124,  24, 100); /* ndp 5 */} // 1 times
  {psi_g_d[no_ps][ 18] = psi.g_decay(no_ps, 100,  64,  36); /* ndp 3 */} // 2 times
  {psi_g_d[no_ps][ 19] = psi.g_decay(no_ps, 252, 100, 152); /* ndp 6 */} // 1 times
  {psi_g_d[no_ps][ 20] = psi.g_decay(no_ps, 192,  64, 128); /* ndp 2 */} // 19 times


  if (psi_weight_IS == 2 || psi_weight_IS == 4){
    double g_IS_temp;
    vector<vector<double> > inv_r(4);
    inv_r[0].resize(44);
    inv_r[1].resize(2);
    inv_r[2].resize(12);
    inv_r[3].resize(42);

    {psi.inv_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], inv_r[0][0]);} // 19 times
    {psi.inv_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], inv_r[0][1]);} // 6 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][2]);} // 3 times
    {psi.inv_propagator(no_ps,   0, 188, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3], inv_r[0][3]);} // 8 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][4]);} // 3 times
    {psi.inv_propagator(no_ps,   0, 124, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4], inv_r[0][5]);} // 8 times
    {psi.inv_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  5], inv_r[0][6]);} // 3 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  2], inv_r[0][7]);} // 3 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  6], inv_r[0][8]);} // 10 times
    {psi.inv_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  7], inv_r[0][9]);} // 6 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2], inv_r[0][10]);} // 3 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2], inv_r[0][11]);} // 3 times
    {psi.inv_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  8], inv_r[0][12]);} // 3 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  2], inv_r[0][13]);} // 3 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  9], inv_r[0][14]);} // 8 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2], inv_r[0][15]);} // 3 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2], inv_r[0][16]);} // 3 times
    {psi.inv_propagator(no_ps,   0, 152, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 10], inv_r[0][17]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 11], inv_r[0][18]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 188, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][  3], inv_r[0][19]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 12], inv_r[0][20]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13], inv_r[0][21]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 124, psi_v_smin[no_ps][ 16], psi_v_smax[no_ps][  4], inv_r[0][22]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 152, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 14], inv_r[0][23]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 15], inv_r[0][24]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 16], inv_r[0][25]);} // 8 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 17], inv_r[0][26]);} // 9 times
    {psi.inv_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 18], inv_r[0][27]);} // 6 times
    {psi.inv_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][ 19], inv_r[0][28]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 20], inv_r[0][29]);} // 1 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 20], inv_r[0][30]);} // 1 times
    {psi.inv_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 21], inv_r[0][31]);} // 1 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][ 20], inv_r[0][32]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 22], inv_r[0][33]);} // 3 times
    {psi.inv_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][ 23], inv_r[0][34]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 20], inv_r[0][35]);} // 1 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 20], inv_r[0][36]);} // 1 times
    {psi.inv_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 24], inv_r[0][37]);} // 1 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 20], inv_r[0][38]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 25], inv_r[0][39]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 20], inv_r[0][40]);} // 1 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 20], inv_r[0][41]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 26], inv_r[0][42]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 27], inv_r[0][43]);} // 1 times

    {psi.inv_timelikeinvariant(no_ps, 216, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 28], inv_r[1][0]);} // 2 times
    {psi.inv_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 20], inv_r[1][1]);} // 1 times

    {psi.inv_tchannel_opt(no_ps,   0, 252,   1,   2, 192,  60, inv_r[2][0], inv_r[2][1]);} // 9 times
    {psi.inv_tchannel_opt(no_ps,   0, 252,   2,   1, 192,  60, inv_r[2][2], inv_r[2][3]);} // 8 times
    {psi.inv_tchannel_opt(no_ps,   0, 252,   1,   2,  36, 216, inv_r[2][4], inv_r[2][5]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 216,   2,  37, 192,  24, inv_r[2][6], inv_r[2][7]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 216,   2,  37,  24, 192, inv_r[2][8], inv_r[2][9]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2, 193,  24,  36, inv_r[2][10], inv_r[2][11]);} // 1 times

    {psi.inv_decay(no_ps, 252,  64, 188, inv_r[3][0], inv_r[3][1]);} // 9 times
    {psi.inv_decay(no_ps, 188, 128,  60, inv_r[3][2], inv_r[3][3]);} // 8 times
    {psi.inv_decay(no_ps,  60,   4,  56, inv_r[3][4], inv_r[3][5]);} // 8 times
    {psi.inv_decay(no_ps,  56,  32,  24, inv_r[3][6], inv_r[3][7]);} // 8 times
    {psi.inv_decay(no_ps,  24,   8,  16, inv_r[3][8], inv_r[3][9]);} // 26 times
    {psi.inv_decay(no_ps, 252, 128, 124, inv_r[3][10], inv_r[3][11]);} // 9 times
    {psi.inv_decay(no_ps, 124,  64,  60, inv_r[3][12], inv_r[3][13]);} // 8 times
    {psi.inv_decay(no_ps,  60,  32,  28, inv_r[3][14], inv_r[3][15]);} // 4 times
    {psi.inv_decay(no_ps,  28,   4,  24, inv_r[3][16], inv_r[3][17]);} // 4 times
    {psi.inv_decay(no_ps,  60,   8,  52, inv_r[3][18], inv_r[3][19]);} // 8 times
    {psi.inv_decay(no_ps,  52,  16,  36, inv_r[3][20], inv_r[3][21]);} // 8 times
    {psi.inv_decay(no_ps,  36,   4,  32, inv_r[3][22], inv_r[3][23]);} // 26 times
    {psi.inv_decay(no_ps,  60,  16,  44, inv_r[3][24], inv_r[3][25]);} // 4 times
    {psi.inv_decay(no_ps,  44,   8,  36, inv_r[3][26], inv_r[3][27]);} // 4 times
    {psi.inv_decay(no_ps,  60,  36,  24, inv_r[3][28], inv_r[3][29]);} // 8 times
    {psi.inv_decay(no_ps, 188,  36, 152, inv_r[3][30], inv_r[3][31]);} // 1 times
    {psi.inv_decay(no_ps, 152, 128,  24, inv_r[3][32], inv_r[3][33]);} // 2 times
    {psi.inv_decay(no_ps, 124,  24, 100, inv_r[3][34], inv_r[3][35]);} // 1 times
    {psi.inv_decay(no_ps, 100,  64,  36, inv_r[3][36], inv_r[3][37]);} // 2 times
    {psi.inv_decay(no_ps, 252, 100, 152, inv_r[3][38], inv_r[3][39]);} // 1 times
    {psi.inv_decay(no_ps, 192,  64, 128, inv_r[3][40], inv_r[3][41]);} // 19 times

    if (psi_weight_IS == 2){
      int n_random = 3 * psi_n_particle - 4;;
      vector<vector<double> > inv_channel_r(38, vector<double> (14));
      vector<double> g_IS(38, 1.);
      for (int i_c = 0; i_c < 38; i_c++){
        int ran = 0;
        if (psi_MC_alpha[zero + i_c] != 0.){
          for (int i_p = 0; i_p < psi_c_p[no_ps][i_c].size(); i_p++){
            inv_channel_r[i_c][i_p] = inv_r[0][psi_c_p[no_ps][i_c][i_p]];
          }
          ran += psi_c_p[no_ps][i_c].size();
          for (int i_f = 0; i_f < psi_c_f[no_ps][i_c].size(); i_f++){
            inv_channel_r[i_c][ran + i_f] = inv_r[1][psi_c_f[no_ps][i_c][i_f]];
          }
          ran += psi_c_f[no_ps][i_c].size();
          for (int i_t = 0; i_t < psi_c_t[no_ps][i_c].size(); i_t++){
            inv_channel_r[i_c][ran + 2 * i_t] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t]];
            inv_channel_r[i_c][ran + 2 * i_t + 1] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t] + 1];
          }
          ran += 2 * psi_c_t[no_ps][i_c].size();
          for (int i_d = 0; i_d < psi_c_d[no_ps][i_c].size(); i_d++){
            inv_channel_r[i_c][ran + 2 * i_d] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d]];
            inv_channel_r[i_c][ran + 2 * i_d + 1] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d] + 1];
          }
          ran += 2 * psi_c_d[no_ps][i_c].size();
          for (int i_r = 0; i_r < 14; i_r++){
            psi_phasespace_randoms[(zero + i_c) * n_random + i_r]->get_g_IS(inv_channel_r[i_c][i_r], g_IS_temp);
            g_IS[i_c] *= g_IS_temp;
          }
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = g_IS[  0] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = g_IS[  1] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = g_IS[  2] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = g_IS[  3] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = g_IS[  4] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = g_IS[  5] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = g_IS[  6] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = g_IS[  7] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = g_IS[  8] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = g_IS[  9] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = g_IS[ 10] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = g_IS[ 11] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = g_IS[ 12] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = g_IS[ 13] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = g_IS[ 14] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = g_IS[ 15] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = g_IS[ 16] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 15] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 16] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = g_IS[ 17] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 20] * psi_g_p[no_ps][ 21] * psi_g_p[no_ps][ 22] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][ 17] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 18] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = g_IS[ 18] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 23] * psi_g_p[no_ps][ 24] * psi_g_d[no_ps][ 19] * psi_g_d[no_ps][ 18] * psi_g_d[no_ps][ 16] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = g_IS[ 19] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = g_IS[ 20] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = g_IS[ 21] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = g_IS[ 22] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = g_IS[ 23] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = g_IS[ 24] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = g_IS[ 25] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = g_IS[ 26] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = g_IS[ 27] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 28] * psi_g_p[no_ps][ 29] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = g_IS[ 28] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 28] * psi_g_p[no_ps][ 30] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = g_IS[ 29] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 31] * psi_g_p[no_ps][ 32] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = g_IS[ 30] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 33] * psi_g_p[no_ps][ 34] * psi_g_p[no_ps][ 35] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = g_IS[ 31] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 33] * psi_g_p[no_ps][ 34] * psi_g_p[no_ps][ 36] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = g_IS[ 32] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 33] * psi_g_p[no_ps][ 37] * psi_g_p[no_ps][ 38] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = g_IS[ 33] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 40] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = g_IS[ 34] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 41] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = g_IS[ 35] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 39] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  2] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
      if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = g_IS[ 36] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 42] * psi_g_p[no_ps][ 39] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  2] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = g_IS[ 37] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 43] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}

    }
    else if (psi_weight_IS == 4){
      vector<vector<double> > g_IS(4);
      g_IS[0].resize(44, 1.);
      g_IS[1].resize(2, 1.);
      g_IS[2].resize(6, 1.);
      g_IS[3].resize(21, 1.);

      for (int i_m = 0; i_m < 4; i_m++){
        for (int i_r = 0; i_r < inv_r[i_m].size(); i_r++){
          psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][i_m] + i_r]->get_g_IS(inv_r[i_m][i_r], g_IS_temp);
          int i_g = i_r;
          if (i_m > 1){i_g = i_r / 2;}
          g_IS[i_m][i_g] *= g_IS_temp;
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][ 15] * g_IS[3][ 15] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 16] * g_IS[3][ 16] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 20] * g_IS[0][ 20] * psi_g_p[no_ps][ 21] * g_IS[0][ 21] * psi_g_p[no_ps][ 22] * g_IS[0][ 22] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][ 17] * g_IS[3][ 17] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][ 18] * g_IS[3][ 18] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 23] * g_IS[0][ 23] * psi_g_p[no_ps][ 24] * g_IS[0][ 24] * psi_g_d[no_ps][ 19] * g_IS[3][ 19] * psi_g_d[no_ps][ 18] * g_IS[3][ 18] * psi_g_d[no_ps][ 16] * g_IS[3][ 16] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][ 11] * g_IS[3][ 11];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 28] * g_IS[0][ 28] * psi_g_p[no_ps][ 29] * g_IS[0][ 29] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 28] * g_IS[0][ 28] * psi_g_p[no_ps][ 30] * g_IS[0][ 30] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 31] * g_IS[0][ 31] * psi_g_p[no_ps][ 32] * g_IS[0][ 32] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 33] * g_IS[0][ 33] * psi_g_p[no_ps][ 34] * g_IS[0][ 34] * psi_g_p[no_ps][ 35] * g_IS[0][ 35] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 33] * g_IS[0][ 33] * psi_g_p[no_ps][ 34] * g_IS[0][ 34] * psi_g_p[no_ps][ 36] * g_IS[0][ 36] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 33] * g_IS[0][ 33] * psi_g_p[no_ps][ 37] * g_IS[0][ 37] * psi_g_p[no_ps][ 38] * g_IS[0][ 38] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 39] * g_IS[0][ 39] * psi_g_p[no_ps][ 40] * g_IS[0][ 40] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 39] * g_IS[0][ 39] * psi_g_p[no_ps][ 41] * g_IS[0][ 41] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 39] * g_IS[0][ 39] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][ 20] * g_IS[3][ 20];}
      if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 42] * g_IS[0][ 42] * psi_g_p[no_ps][ 39] * g_IS[0][ 39] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][ 43] * g_IS[0][ 43] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  5] * g_IS[2][  5] * psi_g_d[no_ps][ 20] * g_IS[3][ 20] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
    }
  }

  else {
    if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 15] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 16] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 20] * psi_g_p[no_ps][ 21] * psi_g_p[no_ps][ 22] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][ 17] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 18] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 23] * psi_g_p[no_ps][ 24] * psi_g_d[no_ps][ 19] * psi_g_d[no_ps][ 18] * psi_g_d[no_ps][ 16] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11];}
    if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 28] * psi_g_p[no_ps][ 29] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 28] * psi_g_p[no_ps][ 30] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 31] * psi_g_p[no_ps][ 32] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 33] * psi_g_p[no_ps][ 34] * psi_g_p[no_ps][ 35] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 33] * psi_g_p[no_ps][ 34] * psi_g_p[no_ps][ 36] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 33] * psi_g_p[no_ps][ 37] * psi_g_p[no_ps][ 38] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 40] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 41] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 39] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  2] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][ 20];}
    if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 42] * psi_g_p[no_ps][ 39] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  2] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][ 43] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][ 20] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  4];}
  }

/*
  if (psi_MC_alpha[   0] != 0.){ag_channel_6yyyyv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[   1] != 0.){ag_channel_6yyyyv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[   2] != 0.){ag_channel_6yyyyv(g, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[   3] != 0.){ag_channel_6yyyyv(g, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[   4] != 0.){ag_channel_6yyyyv(g, 1, 2, 64, 128, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[   5] != 0.){ag_channel_6yyyyv(g, 1, 2, 128, 64, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[   6] != 0.){ag_channel_6yyyyv(g, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[   7] != 0.){ag_channel_6yyyyv(g, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[   8] != 0.){ag_channel_6yyyyv(g, 1, 2, 128, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[   9] != 0.){ag_channel_6yyyyv(g, 1, 2, 128, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  10] != 0.){ag_channel_6yyyyv(g, 1, 2, 64, 128, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  11] != 0.){ag_channel_6yyyyv(g, 1, 2, 128, 64, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  12] != 0.){ag_channel_6yy2vv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  13] != 0.){ag_channel_6yy2vv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0,   0, psi);}
  if (psi_MC_alpha[  14] != 0.){ag_channel_6yy2vv(g, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  15] != 0.){ag_channel_6yy2vv(g, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0,   0, psi);}
  if (psi_MC_alpha[  16] != 0.){ag_channel_6y2vyv(g, 1, 2, 64, 4, 32, 128, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  17] != 0.){ag_channel_6y2vyv(g, 1, 2, 128, 8, 16, 64, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  18] != 0.){ag_channel_63yvyv(g, 1, 2, 64, 4, 32, 128, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  19] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  20] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  21] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  22] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  23] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  24] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  25] != 0.){ag_channel_2v42vv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  26] != 0.){ag_channel_2v42vv(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0,   0, psi);}
  if (psi_MC_alpha[  27] != 0.){ag_channel_4yyv2v(g, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  28] != 0.){ag_channel_4yyv2v(g, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  29] != 0.){ag_channel_4yyv2v(g, 1, 2, 32, 4, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  30] != 0.){ag_channel_4yyv2v(g, 1, 2, 8, 16, 4, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  31] != 0.){ag_channel_4yyv2v(g, 1, 2, 8, 16, 4, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  32] != 0.){ag_channel_4yyv2v(g, 1, 2, 16, 8, 4, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  33] != 0.){ag_channel_42vv2v(g, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  34] != 0.){ag_channel_42vv2v(g, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,  23,   0, psi);}
  if (psi_MC_alpha[  35] != 0.){ag_channel_2v2v2v(g, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  36] != 0.){ag_channel_2v2v2v(g, 1, 2, 4, 32, 64, 128, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  37] != 0.){ag_channel_2v2v2v(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  // channel    0: 6yyyyv(1, 2, 64, 128, 4, 32, 8, 16;  24,   0,   0,   0,   0)
  // channel    1: 6yyyyv(1, 2, 64, 128, 4, 32, 8, 16;  24,   0,  23,   0,   0)
  // channel    2: 6yyyyv(1, 2, 128, 64, 4, 32, 8, 16;  24,   0,   0,   0,   0)
  // channel    3: 6yyyyv(1, 2, 128, 64, 4, 32, 8, 16;  24,   0,  23,   0,   0)
  // channel    4: 6yyyyv(1, 2, 64, 128, 32, 4, 8, 16;  24,   0,  23,   0,   0)
  // channel    5: 6yyyyv(1, 2, 128, 64, 32, 4, 8, 16;  24,   0,  23,   0,   0)
  // channel    6: 6yyyyv(1, 2, 64, 128, 8, 16, 4, 32;  24,   0,   0,   0,   0)
  // channel    7: 6yyyyv(1, 2, 64, 128, 8, 16, 4, 32;  24,   0,  23,   0,   0)
  // channel    8: 6yyyyv(1, 2, 128, 64, 8, 16, 4, 32;  24,   0,   0,   0,   0)
  // channel    9: 6yyyyv(1, 2, 128, 64, 8, 16, 4, 32;  24,   0,  23,   0,   0)
  // channel   10: 6yyyyv(1, 2, 64, 128, 16, 8, 4, 32;  24,   0,  23,   0,   0)
  // channel   11: 6yyyyv(1, 2, 128, 64, 16, 8, 4, 32;  24,   0,  23,   0,   0)
  // channel   12: 6yy2vv(1, 2, 64, 128, 4, 32, 8, 16;  24,  24,   0,   0,   0)
  // channel   13: 6yy2vv(1, 2, 64, 128, 4, 32, 8, 16;  24,  24,  23,   0,   0)
  // channel   14: 6yy2vv(1, 2, 128, 64, 4, 32, 8, 16;  24,  24,   0,   0,   0)
  // channel   15: 6yy2vv(1, 2, 128, 64, 4, 32, 8, 16;  24,  24,  23,   0,   0)
  // channel   16: 6y2vyv(1, 2, 64, 4, 32, 128, 8, 16;  24,   0,  24,   0,   0)
  // channel   17: 6y2vyv(1, 2, 128, 8, 16, 64, 4, 32;  24,   0,  24,   0,   0)
  // channel   18: 63yvyv(1, 2, 64, 4, 32, 128, 8, 16;  24,  24,   0,   0,   0)
  // channel   19: 2v4yyv(1, 2, 64, 128, 4, 32, 8, 16;  24,   0,   0,   0,   0)
  // channel   20: 2v4yyv(1, 2, 64, 128, 4, 32, 8, 16;  24,   0,  23,   0,   0)
  // channel   21: 2v4yyv(1, 2, 64, 128, 32, 4, 8, 16;  24,   0,  23,   0,   0)
  // channel   22: 2v4yyv(1, 2, 64, 128, 8, 16, 4, 32;  24,   0,   0,   0,   0)
  // channel   23: 2v4yyv(1, 2, 64, 128, 8, 16, 4, 32;  24,   0,  23,   0,   0)
  // channel   24: 2v4yyv(1, 2, 64, 128, 16, 8, 4, 32;  24,   0,  23,   0,   0)
  // channel   25: 2v42vv(1, 2, 64, 128, 4, 32, 8, 16;  24,  24,   0,   0,   0)
  // channel   26: 2v42vv(1, 2, 64, 128, 4, 32, 8, 16;  24,  24,  23,   0,   0)
  // channel   27: 4yyv2v(1, 2, 4, 32, 8, 16, 64, 128;   0,  24,   0,   0,   0)
  // channel   28: 4yyv2v(1, 2, 4, 32, 8, 16, 64, 128;   0,  24,   0,  23,   0)
  // channel   29: 4yyv2v(1, 2, 32, 4, 8, 16, 64, 128;   0,  24,   0,  23,   0)
  // channel   30: 4yyv2v(1, 2, 8, 16, 4, 32, 64, 128;   0,  24,   0,   0,   0)
  // channel   31: 4yyv2v(1, 2, 8, 16, 4, 32, 64, 128;   0,  24,   0,  23,   0)
  // channel   32: 4yyv2v(1, 2, 16, 8, 4, 32, 64, 128;   0,  24,   0,  23,   0)
  // channel   33: 42vv2v(1, 2, 4, 32, 8, 16, 64, 128;   0,  24,  24,   0,   0)
  // channel   34: 42vv2v(1, 2, 4, 32, 8, 16, 64, 128;   0,  24,  24,  23,   0)
  // channel   35: 2v2v2v(1, 2, 4, 32, 8, 16, 64, 128;   0,  24,  24,   0,   0)
  // channel   36: 2v2v2v(1, 2, 4, 32, 64, 128, 8, 16;  24,   0,  24,   0,   0)
  // channel   37: 2v2v2v(1, 2, 64, 128, 4, 32, 8, 16;  24,  24,   0,   0,   0)
*/

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
