#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ag_psp_140_gu_emmupvmvexu(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ag_psp_140_gu_emmupvmvexu");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_xbp[no_ps][24] == nullvector){psi_xbp[no_ps][24] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][24] == 0.){psi_xbs[no_ps][24] = psi_xbp[no_ps][24].m2();}
  if (psi_xbsqrts[no_ps][24] == 0.){psi_xbsqrts[no_ps][24] = sqrt(psi_xbs[no_ps][24]);}
  if (psi_xbp[no_ps][36] == nullvector){psi_xbp[no_ps][36] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][36] == 0.){psi_xbs[no_ps][36] = psi_xbp[no_ps][36].m2();}
  if (psi_xbsqrts[no_ps][36] == 0.){psi_xbsqrts[no_ps][36] = sqrt(psi_xbs[no_ps][36]);}
  if (psi_xbp[no_ps][65] == nullvector){psi_xbp[no_ps][65] = psi_xbp[no_ps][1] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][65] == 0.){psi_xbs[no_ps][65] = psi_xbp[no_ps][65].m2();}
  if (psi_xbp[no_ps][26] == nullvector){psi_xbp[no_ps][26] = psi_xbp[no_ps][2] - psi_xbp[no_ps][8] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][26] == 0.){psi_xbs[no_ps][26] = psi_xbp[no_ps][26].m2();}
  if (psi_xbp[no_ps][28] == nullvector){psi_xbp[no_ps][28] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][28] == 0.){psi_xbs[no_ps][28] = psi_xbp[no_ps][28].m2();}
  if (psi_xbsqrts[no_ps][28] == 0.){psi_xbsqrts[no_ps][28] = sqrt(psi_xbs[no_ps][28]);}
  if (psi_xbp[no_ps][44] == nullvector){psi_xbp[no_ps][44] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][44] == 0.){psi_xbs[no_ps][44] = psi_xbp[no_ps][44].m2();}
  if (psi_xbsqrts[no_ps][44] == 0.){psi_xbsqrts[no_ps][44] = sqrt(psi_xbs[no_ps][44]);}
  if (psi_xbp[no_ps][52] == nullvector){psi_xbp[no_ps][52] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][52] == 0.){psi_xbs[no_ps][52] = psi_xbp[no_ps][52].m2();}
  if (psi_xbsqrts[no_ps][52] == 0.){psi_xbsqrts[no_ps][52] = sqrt(psi_xbs[no_ps][52]);}
  if (psi_xbp[no_ps][56] == nullvector){psi_xbp[no_ps][56] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][56] == 0.){psi_xbs[no_ps][56] = psi_xbp[no_ps][56].m2();}
  if (psi_xbsqrts[no_ps][56] == 0.){psi_xbsqrts[no_ps][56] = sqrt(psi_xbs[no_ps][56]);}
  if (psi_xbp[no_ps][100] == nullvector){psi_xbp[no_ps][100] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][100] == 0.){psi_xbs[no_ps][100] = psi_xbp[no_ps][100].m2();}
  if (psi_xbsqrts[no_ps][100] == 0.){psi_xbsqrts[no_ps][100] = sqrt(psi_xbs[no_ps][100]);}
  if (psi_xbp[no_ps][60] == nullvector){psi_xbp[no_ps][60] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][60] == 0.){psi_xbs[no_ps][60] = psi_xbp[no_ps][60].m2();}
  if (psi_xbp[no_ps][124] == nullvector){psi_xbp[no_ps][124] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][124] == 0.){psi_xbs[no_ps][124] = psi_xbp[no_ps][124].m2();}

  psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][24]; // 13 times
  psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][56]); // 4 times
  psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]); // 4 times
  psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][28]); // 2 times
  psi_v_smin[no_ps][  4] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]); // 2 times
  psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][36]; // 13 times
  psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][52]); // 4 times
  psi_v_smin[no_ps][  7] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]); // 4 times
  psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][44]); // 2 times
  psi_v_smin[no_ps][  9] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][44], 2), psi_smin_opt[no_ps][60]); // 2 times
  psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]); // 5 times
  psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][100]); // 2 times

  psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][100], 2); // 12 times
  psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][68], 2); // 4 times
  psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2); // 17 times
  psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][96], 2); // 2 times
  psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][88], 2); // 7 times
  psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][72], 2); // 4 times
  psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][80], 2); // 2 times
  psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][88]), 2); // 6 times
  psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][24], 2); // 1 times
  psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][100], 2); // 1 times
  psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][24], 2); // 1 times

  //  vector<double> g_p(18);
  {psi_g_p[no_ps][  0] = psi.g_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0]); /* npp 2 */} // 12 times
  {psi_g_p[no_ps][  1] = psi.g_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1]); /* npp 3 */} // 4 times
  {psi_g_p[no_ps][  2] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][  3] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][  4] = psi.g_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][  5] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][  6] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  4]); /* npp 2 */} // 7 times
  {psi_g_p[no_ps][  7] = psi.g_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  5]); /* npp 3 */} // 4 times
  {psi_g_p[no_ps][  8] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][  9] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 10] = psi.g_propagator(no_ps,   0,  44, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  6]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 11] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 12] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  7]); /* npp 2 */} // 6 times
  {psi_g_p[no_ps][ 13] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 14] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 15] = psi.g_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  8]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 16] = psi.g_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  9]); /* npp 2 */} // 1 times
  {psi_g_p[no_ps][ 17] = psi.g_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 10]); /* npp 3 */} // 1 times

  //  vector<double> g_f(1);
  {psi_g_f[no_ps][  0] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2]); /* nfp 4 */} // 1 times

  //  vector<double> g_t(3);
  {psi_g_t[no_ps][  0] = psi.g_tchannel_opt(no_ps,   0, 124,   1,   2,  64,  60); /* ntp 0 */} // 9 times
  {psi_g_t[no_ps][  1] = psi.g_tchannel_opt(no_ps,   0, 124,   2,   1,  24, 100); /* ntp 0 */} // 1 times
  {psi_g_t[no_ps][  2] = psi.g_tchannel_opt(no_ps,   0,  60,   2,  65,  24,  36); /* ntp 1 */} // 1 times

  //  vector<double> g_d(14);
  {psi_g_d[no_ps][  0] = psi.g_decay(no_ps, 124,  64,  60); /* ndp 5 */} // 8 times
  {psi_g_d[no_ps][  1] = psi.g_decay(no_ps,  60,   4,  56); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][  2] = psi.g_decay(no_ps,  56,  32,  24); /* ndp 3 */} // 4 times
  {psi_g_d[no_ps][  3] = psi.g_decay(no_ps,  24,   8,  16); /* ndp 2 */} // 13 times
  {psi_g_d[no_ps][  4] = psi.g_decay(no_ps,  60,  32,  28); /* ndp 4 */} // 2 times
  {psi_g_d[no_ps][  5] = psi.g_decay(no_ps,  28,   4,  24); /* ndp 3 */} // 2 times
  {psi_g_d[no_ps][  6] = psi.g_decay(no_ps,  60,   8,  52); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][  7] = psi.g_decay(no_ps,  52,  16,  36); /* ndp 3 */} // 4 times
  {psi_g_d[no_ps][  8] = psi.g_decay(no_ps,  36,   4,  32); /* ndp 2 */} // 13 times
  {psi_g_d[no_ps][  9] = psi.g_decay(no_ps,  60,  16,  44); /* ndp 4 */} // 2 times
  {psi_g_d[no_ps][ 10] = psi.g_decay(no_ps,  44,   8,  36); /* ndp 3 */} // 2 times
  {psi_g_d[no_ps][ 11] = psi.g_decay(no_ps,  60,  36,  24); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][ 12] = psi.g_decay(no_ps, 124,  24, 100); /* ndp 5 */} // 1 times
  {psi_g_d[no_ps][ 13] = psi.g_decay(no_ps, 100,  64,  36); /* ndp 3 */} // 2 times


  if (psi_weight_IS == 2 || psi_weight_IS == 4){
    double g_IS_temp;
    vector<vector<double> > inv_r(4);
    inv_r[0].resize(18);
    inv_r[1].resize(1);
    inv_r[2].resize(6);
    inv_r[3].resize(28);

    {psi.inv_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], inv_r[0][0]);} // 12 times
    {psi.inv_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], inv_r[0][1]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][2]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][3]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3], inv_r[0][4]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  2], inv_r[0][5]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  4], inv_r[0][6]);} // 7 times
    {psi.inv_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  5], inv_r[0][7]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2], inv_r[0][8]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2], inv_r[0][9]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  44, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  6], inv_r[0][10]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2], inv_r[0][11]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  7], inv_r[0][12]);} // 6 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2], inv_r[0][13]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2], inv_r[0][14]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  8], inv_r[0][15]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  9], inv_r[0][16]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 10], inv_r[0][17]);} // 1 times

    {psi.inv_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2], inv_r[1][0]);} // 1 times

    {psi.inv_tchannel_opt(no_ps,   0, 124,   1,   2,  64,  60, inv_r[2][0], inv_r[2][1]);} // 9 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   2,   1,  24, 100, inv_r[2][2], inv_r[2][3]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2,  65,  24,  36, inv_r[2][4], inv_r[2][5]);} // 1 times

    {psi.inv_decay(no_ps, 124,  64,  60, inv_r[3][0], inv_r[3][1]);} // 8 times
    {psi.inv_decay(no_ps,  60,   4,  56, inv_r[3][2], inv_r[3][3]);} // 4 times
    {psi.inv_decay(no_ps,  56,  32,  24, inv_r[3][4], inv_r[3][5]);} // 4 times
    {psi.inv_decay(no_ps,  24,   8,  16, inv_r[3][6], inv_r[3][7]);} // 13 times
    {psi.inv_decay(no_ps,  60,  32,  28, inv_r[3][8], inv_r[3][9]);} // 2 times
    {psi.inv_decay(no_ps,  28,   4,  24, inv_r[3][10], inv_r[3][11]);} // 2 times
    {psi.inv_decay(no_ps,  60,   8,  52, inv_r[3][12], inv_r[3][13]);} // 4 times
    {psi.inv_decay(no_ps,  52,  16,  36, inv_r[3][14], inv_r[3][15]);} // 4 times
    {psi.inv_decay(no_ps,  36,   4,  32, inv_r[3][16], inv_r[3][17]);} // 13 times
    {psi.inv_decay(no_ps,  60,  16,  44, inv_r[3][18], inv_r[3][19]);} // 2 times
    {psi.inv_decay(no_ps,  44,   8,  36, inv_r[3][20], inv_r[3][21]);} // 2 times
    {psi.inv_decay(no_ps,  60,  36,  24, inv_r[3][22], inv_r[3][23]);} // 4 times
    {psi.inv_decay(no_ps, 124,  24, 100, inv_r[3][24], inv_r[3][25]);} // 1 times
    {psi.inv_decay(no_ps, 100,  64,  36, inv_r[3][26], inv_r[3][27]);} // 2 times

    if (psi_weight_IS == 2){
      int n_random = 3 * psi_n_particle - 4;;
      vector<vector<double> > inv_channel_r(19, vector<double> (11));
      vector<double> g_IS(19, 1.);
      for (int i_c = 0; i_c < 19; i_c++){
        int ran = 0;
        if (psi_MC_alpha[zero + i_c] != 0.){
          for (int i_p = 0; i_p < psi_c_p[no_ps][i_c].size(); i_p++){
            inv_channel_r[i_c][i_p] = inv_r[0][psi_c_p[no_ps][i_c][i_p]];
          }
          ran += psi_c_p[no_ps][i_c].size();
          for (int i_f = 0; i_f < psi_c_f[no_ps][i_c].size(); i_f++){
            inv_channel_r[i_c][ran + i_f] = inv_r[1][psi_c_f[no_ps][i_c][i_f]];
          }
          ran += psi_c_f[no_ps][i_c].size();
          for (int i_t = 0; i_t < psi_c_t[no_ps][i_c].size(); i_t++){
            inv_channel_r[i_c][ran + 2 * i_t] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t]];
            inv_channel_r[i_c][ran + 2 * i_t + 1] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t] + 1];
          }
          ran += 2 * psi_c_t[no_ps][i_c].size();
          for (int i_d = 0; i_d < psi_c_d[no_ps][i_c].size(); i_d++){
            inv_channel_r[i_c][ran + 2 * i_d] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d]];
            inv_channel_r[i_c][ran + 2 * i_d + 1] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d] + 1];
          }
          ran += 2 * psi_c_d[no_ps][i_c].size();
          for (int i_r = 0; i_r < 11; i_r++){
            psi_phasespace_randoms[(zero + i_c) * n_random + i_r]->get_g_IS(inv_channel_r[i_c][i_r], g_IS_temp);
            g_IS[i_c] *= g_IS_temp;
          }
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = g_IS[  0] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = g_IS[  1] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = g_IS[  2] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = g_IS[  3] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  8] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = g_IS[  4] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  9] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = g_IS[  5] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 11] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = g_IS[  6] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = g_IS[  7] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 14] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = g_IS[  8] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 16] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = g_IS[  9] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = g_IS[ 10] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = g_IS[ 11] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = g_IS[ 12] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  8] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = g_IS[ 13] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  9] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = g_IS[ 14] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = g_IS[ 15] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = g_IS[ 16] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 14] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = g_IS[ 17] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 17] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = g_IS[ 18] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}

    }
    else if (psi_weight_IS == 4){
      vector<vector<double> > g_IS(4);
      g_IS[0].resize(18, 1.);
      g_IS[1].resize(1, 1.);
      g_IS[2].resize(3, 1.);
      g_IS[3].resize(14, 1.);

      for (int i_m = 0; i_m < 4; i_m++){
        for (int i_r = 0; i_r < inv_r[i_m].size(); i_r++){
          psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][i_m] + i_r]->get_g_IS(inv_r[i_m][i_r], g_IS_temp);
          int i_g = i_r;
          if (i_m > 1){i_g = i_r / 2;}
          g_IS[i_m][i_g] *= g_IS_temp;
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
    }
  }

  else {
    if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  8] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  9] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 11] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 14] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 16] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  8] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  9] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 14] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 17] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 12] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
  }

/*
  if (psi_MC_alpha[   0] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   1] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[   2] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[   3] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   4] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[   5] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[   6] != 0.){ag_channel_5y2vv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[   7] != 0.){ag_channel_5y2vv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0, psi);}
  if (psi_MC_alpha[   8] != 0.){ag_channel_52vyv(g, 1, 2, 8, 16, 64, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0, psi);}
  if (psi_MC_alpha[   9] != 0.){ag_channel_14yyv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  10] != 0.){ag_channel_14yyv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  11] != 0.){ag_channel_14yyv(g, 1, 2, 64, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  12] != 0.){ag_channel_14yyv(g, 1, 2, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  13] != 0.){ag_channel_14yyv(g, 1, 2, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  14] != 0.){ag_channel_14yyv(g, 1, 2, 64, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0, psi);}
  if (psi_MC_alpha[  15] != 0.){ag_channel_142vv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  16] != 0.){ag_channel_142vv(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0, psi);}
  if (psi_MC_alpha[  17] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  18] != 0.){ag_channel_12v2v(g, 1, 2, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  // channel    0: 5yyyv(1, 2, 64, 4, 32, 8, 16;  24,   0,   0,   0)
  // channel    1: 5yyyv(1, 2, 64, 4, 32, 8, 16;  24,   0,  23,   0)
  // channel    2: 5yyyv(1, 2, 64, 32, 4, 8, 16;  24,   0,  23,   0)
  // channel    3: 5yyyv(1, 2, 64, 8, 16, 4, 32;  24,   0,   0,   0)
  // channel    4: 5yyyv(1, 2, 64, 8, 16, 4, 32;  24,   0,  23,   0)
  // channel    5: 5yyyv(1, 2, 64, 16, 8, 4, 32;  24,   0,  23,   0)
  // channel    6: 5y2vv(1, 2, 64, 4, 32, 8, 16;  24,  24,   0,   0)
  // channel    7: 5y2vv(1, 2, 64, 4, 32, 8, 16;  24,  24,  23,   0)
  // channel    8: 52vyv(1, 2, 8, 16, 64, 4, 32;  24,   0,  24,   0)
  // channel    9: 14yyv(1, 2, 64, 4, 32, 8, 16;  24,   0,   0,   0)
  // channel   10: 14yyv(1, 2, 64, 4, 32, 8, 16;  24,   0,  23,   0)
  // channel   11: 14yyv(1, 2, 64, 32, 4, 8, 16;  24,   0,  23,   0)
  // channel   12: 14yyv(1, 2, 64, 8, 16, 4, 32;  24,   0,   0,   0)
  // channel   13: 14yyv(1, 2, 64, 8, 16, 4, 32;  24,   0,  23,   0)
  // channel   14: 14yyv(1, 2, 64, 16, 8, 4, 32;  24,   0,  23,   0)
  // channel   15: 142vv(1, 2, 64, 4, 32, 8, 16;  24,  24,   0,   0)
  // channel   16: 142vv(1, 2, 64, 4, 32, 8, 16;  24,  24,  23,   0)
  // channel   17: 3yv2v(1, 2, 64, 4, 32, 8, 16;  24,  24,   0,   0)
  // channel   18: 12v2v(1, 2, 64, 4, 32, 8, 16;  24,  24,   0,   0)
*/

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
