#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ax_psp_240_ddx_emmupvmvexddx(int no_ps, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ax_psp_240_ddx_emmupvmvexddx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(19);
  psi_needed_v_smin[no_ps].resize(19);
  int needed_v_smin_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   14,   15,   16,   17,   18,   19,   20,   21,   22,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   42,   43,   44,   45,   46,   47,   51,   52,   53,   54,   55,   56,   57,   61,   62,   63,   64,   65,   69,   70,   71,   72,   73,   74,   75}; //  52
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 52);
  int needed_v_smin_1[] = {   0,    1,    8,    9,   17,   18,   19,   20,   36,   37,   45,   46,   55,   56,   63,   64}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    8,    9,   17,   18,   19,   20,   36,   37,   45,   46,   55,   56,   63,   64}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   2,   10,   21,   22,   38,   47,   57,   65}; //   8
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 8);
  int needed_v_smin_4[] = {   2,   10,   21,   22,   38,   47,   57,   65}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   3,    4,    5,    6,    7,   11,   12,   13,   14,   15,   16,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   39,   40,   41,   42,   43,   44,   48,   49,   50,   51,   52,   53,   54,   58,   59,   60,   61,   62,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75}; //  52
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 52);
  int needed_v_smin_6[] = {   3,    4,   11,   12,   23,   24,   25,   26,   39,   40,   48,   49,   58,   59,   66,   67}; //  16
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 16);
  int needed_v_smin_7[] = {   3,    4,   11,   12,   23,   24,   25,   26,   39,   40,   48,   49,   58,   59,   66,   67}; //  16
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 16);
  int needed_v_smin_8[] = {   5,   13,   27,   28,   41,   50,   60,   68}; //   8
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 8);
  int needed_v_smin_9[] = {   5,   13,   27,   28,   41,   50,   60,   68}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   6,    7,   14,   15,   29,   30,   31,   32,   42,   43,   51,   52,   61,   62,   69,   70,   75}; //  17
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 17);
  int needed_v_smin_11[] = {   8,    9,   10,   11,   12,   13,   14,   15,   19,   20,   22,   25,   26,   28,   31,   32,    0,    1,    2,    3,    4,    5,    6,    7}; //  24
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 24);
  int needed_v_smin_12[] = {  16,   33,   35,   54,   53}; //   5
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 5);
  int needed_v_smin_13[] = {  16,   33,   53,   54}; //   4
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 4);
  int needed_v_smin_14[] = {  17,   18,   21,   23,   24,   27,   29,   30,   36,   37,   38,   39,   40,   41,   42,   43,   45,   46,   47,   48,   49,   50,   51,   52}; //  24
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 24);
  int needed_v_smin_15[] = {  34,   35,   44,   71,   72}; //   5
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 5);
  int needed_v_smin_16[] = {  34,   44,   71,   72}; //   4
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 4);
  int needed_v_smin_17[] = {  55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   73,   74,   75}; //  19
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 19);
  int needed_v_smin_18[] = {  73,   74}; //   2
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 2);

  psi_v_smax[no_ps].resize(31);
  psi_needed_v_smax[no_ps].resize(31);
  int needed_v_smax_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   14,   15,   16,   17,   18,   19,   20,   21,   22,   29,   30,   31,   32,   33,   36,   37,   38,   42,   43,   45,   46,   47,   51,   52,   53,   54,   55,   56,   57,   61,   62,   71,   72,   74,   75}; //  43
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 43);
  int needed_v_smax_1[] = {   0,    1,    8,    9,   17,   18,   19,   20,   36,   37,   45,   46,   55,   56}; //  14
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 14);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   36,   37,   38,   39,   40,   41,   42,   43,   45,   46,   47,   48,   49,   50,   51,   52,   55,   56,   57,   58,   59,   60,   61,   62}; //  56
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 56);
  int needed_v_smax_3[] = {   2,   10,   21,   22,   38,   47,   57}; //   7
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 7);
  int needed_v_smax_4[] = {   3,    4,    5,   11,   12,   13,   23,   24,   25,   26,   27,   28,   34,   35,   39,   40,   41,   44,   48,   49,   50,   58,   59,   60}; //  24
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 24);
  int needed_v_smax_5[] = {   3,    4,   11,   12,   23,   24,   25,   26,   39,   40,   48,   49,   58,   59}; //  14
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 14);
  int needed_v_smax_6[] = {   5,   13,   27,   28,   41,   50,   60}; //   7
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 7);
  int needed_v_smax_7[] = {   6,    7,   14,   15,   29,   30,   31,   32,   42,   43,   51,   52,   53,   61,   62,   71,   72,   75}; //  18
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 18);
  int needed_v_smax_8[] = {   8,    9,   10,   11,   12,   13,   14,   15,   16,   19,   20,   22,   25,   26,   28,   31,   32,   33,    0,    1,    2,    3,    4,    5,    6,    7,   53,   54}; //  28
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 28);
  int needed_v_smax_9[] = {  16,   33,   54}; //   3
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 3);
  int needed_v_smax_10[] = {  16,   33,   54}; //   3
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 3);
  int needed_v_smax_11[] = {  17,   18,   21,   23,   24,   27,   29,   30,   34,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   71,   72}; //  28
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 28);
  int needed_v_smax_12[] = {  34,   44}; //   2
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 2);
  int needed_v_smax_13[] = {  34,   44}; //   2
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 2);
  int needed_v_smax_14[] = {  35}; //   1
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 1);
  int needed_v_smax_15[] = {  35,   71,   72}; //   3
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 3);
  int needed_v_smax_16[] = {  35}; //   1
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 1);
  int needed_v_smax_17[] = {  55,   56,   57,   58,   59,   60,   61,   62}; //   8
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 8);
  int needed_v_smax_18[] = {  63,   64,   65,   66,   67,   68,   69,   70,   73}; //   9
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 9);
  int needed_v_smax_19[] = {  63,   64,   65,   69,   70,   73}; //   6
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 6);
  int needed_v_smax_20[] = {  63,   64}; //   2
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 2);
  int needed_v_smax_21[] = {  63,   64,   65,   66,   67,   68,   69,   70,   75}; //   9
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 9);
  int needed_v_smax_22[] = {  65}; //   1
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 1);
  int needed_v_smax_23[] = {  66,   67,   68}; //   3
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 3);
  int needed_v_smax_24[] = {  66,   67}; //   2
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 2);
  int needed_v_smax_25[] = {  68}; //   1
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 1);
  int needed_v_smax_26[] = {  69,   70,   73,   74}; //   4
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 4);
  int needed_v_smax_27[] = {  74}; //   1
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 1);
  int needed_v_smax_28[] = {  75}; //   1
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 1);
  int needed_v_smax_29[] = {  53}; //   1
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 1);
  int needed_v_smax_30[] = {  73,   74}; //   2
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(45);
  psi_needed_g_p[no_ps].resize(45);
  int needed_g_p_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   14,   15,   16,   17,   18,   19,   20,   21,   22,   29,   30,   31,   32,   33,   36,   37,   38,   42,   43,   45,   46,   47,   51,   52,   53,   54,   55,   56,   57,   61,   62,   71,   72,   74,   75}; //  43
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 43);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    8,    9,   17,   18,   19,   20,   36,   37,   45,   46,   55,   56}; //  14
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 14);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    8,   17,   19,   36,   45,   55}; //   7
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 7);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,    9,   18,   20,   37,   46,   56}; //   7
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 7);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_4[] = {   2,   10,   21,   22,   38,   47,   57}; //   7
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 7);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_5[] = {   2,   10,   21,   22,   38,   47,   57}; //   7
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 7);
  psi_container_IS_name.push_back("propagator_23_smin4_smax2");
  int needed_g_p_6[] = {   3,    4,    5,   11,   12,   13,   23,   24,   25,   26,   27,   28,   34,   35,   39,   40,   41,   44,   48,   49,   50,   58,   59,   60}; //  24
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 24);
  psi_container_IS_name.push_back("propagator_24_smin5_smax4");
  int needed_g_p_7[] = {   3,    4,   11,   12,   23,   24,   25,   26,   39,   40,   48,   49,   58,   59}; //  14
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 14);
  psi_container_IS_name.push_back("propagator_0_smin6_smax5");
  int needed_g_p_8[] = {   3,   11,   23,   25,   39,   48,   58}; //   7
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 7);
  psi_container_IS_name.push_back("propagator_0_smin7_smax2");
  int needed_g_p_9[] = {   4,   12,   24,   26,   40,   49,   59}; //   7
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 7);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_10[] = {   5,   13,   27,   28,   41,   50,   60}; //   7
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 7);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_11[] = {   5,   13,   27,   28,   41,   50,   60}; //   7
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 7);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_12[] = {   6,    7,   14,   15,   29,   30,   31,   32,   42,   43,   51,   52,   53,   61,   62,   71,   72,   75}; //  18
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 18);
  psi_container_IS_name.push_back("propagator_24_smin5_smax7");
  int needed_g_p_13[] = {   6,   14,   29,   31,   42,   51,   61}; //   7
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 7);
  psi_container_IS_name.push_back("propagator_0_smin10_smax2");
  int needed_g_p_14[] = {   7,   15,   30,   32,   43,   52,   62}; //   7
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 7);
  psi_container_IS_name.push_back("propagator_23_smin10_smax2");
  int needed_g_p_15[] = {   8,    9,   10,   11,   12,   13,   14,   15,   19,   20,   22,   25,   26,   28,   31,   32}; //  16
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 16);
  psi_container_IS_name.push_back("propagator_0_smin11_smax8");
  int needed_g_p_16[] = {  16,   33,   54}; //   3
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 3);
  psi_container_IS_name.push_back("propagator_0_smin12_smax9");
  int needed_g_p_17[] = {  16,   33,   54}; //   3
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 3);
  psi_container_IS_name.push_back("propagator_24_smin5_smax10");
  int needed_g_p_18[] = {  16,   33}; //   2
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 2);
  psi_container_IS_name.push_back("propagator_0_smin13_smax8");
  int needed_g_p_19[] = {  17,   18,   21,   23,   24,   27,   29,   30,   36,   37,   38,   39,   40,   41,   42,   43}; //  16
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 16);
  psi_container_IS_name.push_back("propagator_0_smin14_smax11");
  int needed_g_p_20[] = {  34,   44}; //   2
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax12");
  int needed_g_p_21[] = {  34,   44}; //   2
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 2);
  psi_container_IS_name.push_back("propagator_24_smin0_smax13");
  int needed_g_p_22[] = {  34,   44}; //   2
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax11");
  int needed_g_p_23[] = {  35}; //   1
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 1);
  psi_container_IS_name.push_back("propagator_24_smin0_smax14");
  int needed_g_p_24[] = {  35,   71}; //   2
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax15");
  int needed_g_p_25[] = {  35}; //   1
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 1);
  psi_container_IS_name.push_back("propagator_0_smin12_smax16");
  int needed_g_p_26[] = {  55,   56,   57,   58,   59,   60,   61,   62}; //   8
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 8);
  psi_container_IS_name.push_back("propagator_0_smin17_smax17");
  int needed_g_p_27[] = {  63,   64,   65,   66,   67,   68,   69,   70,   73}; //   9
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 9);
  psi_container_IS_name.push_back("propagator_0_smin17_smax18");
  int needed_g_p_28[] = {  63,   64,   65,   69,   70,   73}; //   6
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 6);
  psi_container_IS_name.push_back("propagator_24_smin0_smax19");
  int needed_g_p_29[] = {  63,   64}; //   2
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax20");
  int needed_g_p_30[] = {  63}; //   1
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax21");
  int needed_g_p_31[] = {  64}; //   1
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 1);
  psi_container_IS_name.push_back("propagator_23_smin2_smax21");
  int needed_g_p_32[] = {  65}; //   1
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax22");
  int needed_g_p_33[] = {  65}; //   1
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 1);
  psi_container_IS_name.push_back("propagator_23_smin4_smax21");
  int needed_g_p_34[] = {  66,   67,   68}; //   3
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 3);
  psi_container_IS_name.push_back("propagator_24_smin5_smax23");
  int needed_g_p_35[] = {  66,   67}; //   2
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 2);
  psi_container_IS_name.push_back("propagator_0_smin6_smax24");
  int needed_g_p_36[] = {  66}; //   1
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax21");
  int needed_g_p_37[] = {  67}; //   1
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 1);
  psi_container_IS_name.push_back("propagator_23_smin7_smax21");
  int needed_g_p_38[] = {  68}; //   1
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 1);
  psi_container_IS_name.push_back("propagator_0_smin8_smax25");
  int needed_g_p_39[] = {  68}; //   1
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 1);
  psi_container_IS_name.push_back("propagator_23_smin9_smax21");
  int needed_g_p_40[] = {  69,   70,   73,   74}; //   4
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 4);
  psi_container_IS_name.push_back("propagator_24_smin5_smax26");
  int needed_g_p_41[] = {  69}; //   1
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 1);
  psi_container_IS_name.push_back("propagator_0_smin10_smax21");
  int needed_g_p_42[] = {  70}; //   1
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 1);
  psi_container_IS_name.push_back("propagator_23_smin10_smax21");
  int needed_g_p_43[] = {  74}; //   1
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 1);
  psi_container_IS_name.push_back("propagator_0_smin17_smax27");
  int needed_g_p_44[] = {  75}; //   1
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 1);
  psi_container_IS_name.push_back("propagator_0_smin17_smax28");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(8);
  psi_needed_g_f[no_ps].resize(8);
  int needed_g_f_0[] = {   0,    1,    2,    3,    4,    5,    6,    7}; //   8
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax8");
  int needed_g_f_1[] = {  45,   46,   47,   48,   49,   50,   51,   52}; //   8
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax11");
  int needed_g_f_2[] = {  53}; //   1
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax29");
  int needed_g_f_3[] = {  53,   54}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax8");
  int needed_g_f_4[] = {  71,   72}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax11");
  int needed_g_f_5[] = {  72}; //   1
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax15");
  int needed_g_f_6[] = {  73,   74}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax30");
  int needed_g_f_7[] = {  75}; //   1
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax21");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(14);
  psi_needed_g_t[no_ps].resize(14);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   53,   54}; //  19
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 19);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    2,    3,    4,    5,    6,    7}; //   8
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__130_1__64_60");
  int needed_g_t_2[] = {  36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   71,   72}; //  19
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 19);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_3[] = {  45,   46,   47,   48,   49,   50,   51,   52}; //   8
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_4[] = {  53,   54}; //   2
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__36_88");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__36_88");
  int needed_g_t_5[] = {  53}; //   1
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_37__64_24");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_37__64_24");
  int needed_g_t_6[] = {  55,   56,   57,   58,   59,   60,   61,   62,   75}; //   9
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_7[] = {  63,   64,   65,   66,   67,   68,   69,   70}; //   8
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_8[] = {  71,   72}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__24_164");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__24_164");
  int needed_g_t_9[] = {  72}; //   1
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_26__128_36");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_26__128_36");
  int needed_g_t_10[] = {  73,   74}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__36_216");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__36_216");
  int needed_g_t_11[] = {  73}; //   1
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_37__192_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_37__192_24");
  int needed_g_t_12[] = {  74}; //   1
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_37__24_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_37__24_192");
  int needed_g_t_13[] = {  75}; //   1
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__24_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__24_36");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(21);
  psi_needed_g_d[no_ps].resize(21);
  int needed_g_d_0[] = {   0,    1,    8,    9,   17,   18,   19,   20,   36,   37,   45,   46,   55,   56,   63,   64}; //  16
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,    1,    8,    9,   17,   18,   19,   20,   36,   37,   45,   46,   55,   56,   63,   64}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_2[] = {   0,    1,    2,    6,    7,    8,    9,   10,   14,   15,   16,   17,   18,   19,   20,   21,   22,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   42,   43,   44,   45,   46,   47,   51,   52,   53,   54,   55,   56,   57,   61,   62,   63,   64,   65,   69,   70,   71,   72,   73,   74,   75}; //  52
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 52);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_3[] = {   2,   10,   21,   22,   38,   47,   57,   65}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_4[] = {   2,   10,   21,   22,   38,   47,   57,   65}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_5[] = {   3,    4,   11,   12,   23,   24,   25,   26,   39,   40,   48,   49,   58,   59,   66,   67}; //  16
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_6[] = {   3,    4,   11,   12,   23,   24,   25,   26,   39,   40,   48,   49,   58,   59,   66,   67}; //  16
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_7[] = {   3,    4,    5,    6,    7,   11,   12,   13,   14,   15,   16,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   39,   40,   41,   42,   43,   44,   48,   49,   50,   51,   52,   53,   54,   58,   59,   60,   61,   62,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75}; //  52
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 52);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_8[] = {   5,   13,   27,   28,   41,   50,   60,   68}; //   8
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_9[] = {   5,   13,   27,   28,   41,   50,   60,   68}; //   8
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_10[] = {   6,    7,   14,   15,   29,   30,   31,   32,   42,   43,   51,   52,   61,   62,   69,   70}; //  16
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_11[] = {   8,    9,   10,   11,   12,   13,   14,   15,   19,   20,   22,   25,   26,   28,   31,   32}; //  16
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 16);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_12[] = {  16,   33}; //   2
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__36_88");
  psi_container_IS_name.push_back("phi_of_decay_124__36_88");
  int needed_g_d_13[] = {  16,   33,   35,   54}; //   4
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 4);
  psi_container_IS_name.push_back("costheta_of_decay_88__64_24");
  psi_container_IS_name.push_back("phi_of_decay_88__64_24");
  int needed_g_d_14[] = {  17,   18,   21,   23,   24,   27,   29,   30,   34}; //   9
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 9);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_15[] = {  17,   18,   21,   23,   24,   27,   29,   30,   36,   37,   38,   39,   40,   41,   42,   43}; //  16
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 16);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_16[] = {  19,   20,   22,   25,   26,   28,   31,   32,   33}; //   9
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 9);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_17[] = {  34,   44}; //   2
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__24_164");
  psi_container_IS_name.push_back("phi_of_decay_188__24_164");
  int needed_g_d_18[] = {  34,   35,   44,   71}; //   4
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 4);
  psi_container_IS_name.push_back("costheta_of_decay_164__128_36");
  psi_container_IS_name.push_back("phi_of_decay_164__128_36");
  int needed_g_d_19[] = {  35}; //   1
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 1);
  psi_container_IS_name.push_back("costheta_of_decay_252__88_164");
  psi_container_IS_name.push_back("phi_of_decay_252__88_164");
  int needed_g_d_20[] = {  55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   73,   74,   75}; //  19
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 19);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");

  psi_c_p[no_ps].resize(76);
  psi_c_f[no_ps].resize(76);
  psi_c_t[no_ps].resize(76);
  psi_c_d[no_ps].resize(76);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  0}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  0,   1}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  0}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  0,   1}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  0}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  0,   1}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  0}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  0,   1}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  0,   1,   2,  15}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  0,   1,   3,  15}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  0,   4,   5,  15}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  0}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = { 11,   3,   4,   2}; //   4
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 4);

  int c_p_11[] = {  6,   7,   8,  15}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  0}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = { 11,   5,   6,   7}; //   4
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 4);

  int c_p_12[] = {  6,   7,   9,  15}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  0}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 11,   5,   6,   7}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  6,  10,  11,  15}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  0}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 11,   8,   9,   7}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  0,  12,  13,  15}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  0,  12,  14,  15}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  0}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  0,  16,  17,  18}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  0}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 12,   7,  13,   2}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  0,   1,   2,  19}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = { 14,  15,   0,   1,   2}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = {  0,   1,   3,  19}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = { 14,  15,   0,   1,   2}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = {  0,   1,   2,  15}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = { 16,  11,   0,   1,   2}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = {  0,   1,   3,  15}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 16,  11,   0,   1,   2}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,   4,   5,  19}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 14,  15,   3,   4,   2}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  0,   4,   5,  15}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 16,  11,   3,   4,   2}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  6,   7,   8,  19}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 14,  15,   5,   6,   7}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  6,   7,   9,  19}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = { 14,  15,   5,   6,   7}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  6,   7,   8,  15}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = { 16,  11,   5,   6,   7}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  6,   7,   9,  15}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = { 16,  11,   5,   6,   7}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = {  6,  10,  11,  19}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = { 14,  15,   8,   9,   7}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  6,  10,  11,  15}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = { 16,  11,   8,   9,   7}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  0,  12,  13,  19}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = { 14,  15,  10,   7,   2}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = {  0,  12,  14,  19}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = { 14,  15,  10,   7,   2}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = {  0,  12,  13,  15}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = { 16,  11,  10,   7,   2}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = {  0,  12,  14,  15}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = { 16,  11,  10,   7,   2}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = {  0,  16,  17,  18}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = { 16,  12,   7,  13,   2}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = {  6,  20,  21,  22}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {}; //   0
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 0);
  int c_d_34[] = { 14,  17,   2,  18,   7}; //   5
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 5);

  int c_p_35[] = {  6,  23,  24,  25}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {}; //   0
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 0);
  int c_d_35[] = { 19,  13,  18,   2,   7}; //   5
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 5);

  int c_p_36[] = {  0,   1,   2,  19}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {  2}; //   1
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 1);
  int c_d_36[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 4);

  int c_p_37[] = {  0,   1,   3,  19}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {  2}; //   1
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 1);
  int c_d_37[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 4);

  int c_p_38[] = {  0,   4,   5,  19}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {  2}; //   1
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 1);
  int c_d_38[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 4);

  int c_p_39[] = {  6,   7,   8,  19}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {  2}; //   1
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 1);
  int c_d_39[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 4);

  int c_p_40[] = {  6,   7,   9,  19}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  2}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  6,  10,  11,  19}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  2}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 15,   8,   9,   7}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  0,  12,  13,  19}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  2}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 15,  10,   7,   2}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  0,  12,  14,  19}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  2}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 15,  10,   7,   2}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  6,  20,  21,  22}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  2}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = { 17,   2,  18,   7}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  1}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = {  2,   3}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 3);
  int c_f_46[] = {  1}; //   1
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 1);
  int c_t_46[] = {  2,   3}; //   2
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 2);
  int c_d_46[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 3);

  int c_p_47[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 3);
  int c_f_47[] = {  1}; //   1
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 1);
  int c_t_47[] = {  2,   3}; //   2
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 2);
  int c_d_47[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 3);

  int c_p_48[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 3);
  int c_f_48[] = {  1}; //   1
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 1);
  int c_t_48[] = {  2,   3}; //   2
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 2);
  int c_d_48[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 3);

  int c_p_49[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 3);
  int c_f_49[] = {  1}; //   1
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 1);
  int c_t_49[] = {  2,   3}; //   2
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 2);
  int c_d_49[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 3);

  int c_p_50[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  1}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  2,   3}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  1}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  2,   3}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  1}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  2,   3}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,  12}; //   2
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 2);
  int c_f_53[] = {  2,   3}; //   2
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 2);
  int c_t_53[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 3);
  int c_d_53[] = {  7,   2}; //   2
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 2);

  int c_p_54[] = {  0,  16,  17}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  3}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  0,   4}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  7,  13,   2}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,   1,   2,  26}; //   4
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 4);
  int c_f_55[] = {}; //   0
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 0);
  int c_t_55[] = {  6}; //   1
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 1);
  int c_d_55[] = { 20,   0,   1,   2}; //   4
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 4);

  int c_p_56[] = {  0,   1,   3,  26}; //   4
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 4);
  int c_f_56[] = {}; //   0
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 0);
  int c_t_56[] = {  6}; //   1
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 1);
  int c_d_56[] = { 20,   0,   1,   2}; //   4
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 4);

  int c_p_57[] = {  0,   4,   5,  26}; //   4
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 4);
  int c_f_57[] = {}; //   0
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 0);
  int c_t_57[] = {  6}; //   1
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 1);
  int c_d_57[] = { 20,   3,   4,   2}; //   4
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 4);

  int c_p_58[] = {  6,   7,   8,  26}; //   4
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 4);
  int c_f_58[] = {}; //   0
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 0);
  int c_t_58[] = {  6}; //   1
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 1);
  int c_d_58[] = { 20,   5,   6,   7}; //   4
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 4);

  int c_p_59[] = {  6,   7,   9,  26}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = {  6}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = { 20,   5,   6,   7}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = {  6,  10,  11,  26}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = {  6}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = { 20,   8,   9,   7}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = {  0,  12,  13,  26}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = {  6}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = { 20,  10,   7,   2}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  0,  12,  14,  26}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  6}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 20,  10,   7,   2}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = { 27,  28,  29,  30}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  7}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = {  0,   1,   2,  20}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = { 27,  28,  29,  31}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  7}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = {  0,   1,   2,  20}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = { 27,  28,  32,  33}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  7}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = {  3,   4,   2,  20}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = { 27,  34,  35,  36}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  7}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = {  5,   6,   7,  20}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = { 27,  34,  35,  37}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  7}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = {  5,   6,   7,  20}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = { 27,  34,  38,  39}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  7}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = {  8,   9,   7,  20}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = { 27,  28,  40,  41}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  7}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = { 10,   7,   2,  20}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = { 27,  28,  40,  42}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = {  7}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = { 10,   7,   2,  20}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = {  0,  12,  24}; //   3
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 3);
  int c_f_71[] = {  4}; //   1
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 1);
  int c_t_71[] = {  2,   8}; //   2
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 2);
  int c_d_71[] = { 18,   7,   2}; //   3
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 3);

  int c_p_72[] = {  0,  12}; //   2
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 2);
  int c_f_72[] = {  5,   4}; //   2
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 2);
  int c_t_72[] = {  2,   8,   9}; //   3
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 3);
  int c_d_72[] = {  7,   2}; //   2
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 2);

  int c_p_73[] = { 27,  28,  40}; //   3
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 3);
  int c_f_73[] = {  6}; //   1
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 1);
  int c_t_73[] = { 10,  11}; //   2
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 2);
  int c_d_73[] = {  7,   2,  20}; //   3
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 3);

  int c_p_74[] = {  0,  43,  40}; //   3
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 3);
  int c_f_74[] = {  6}; //   1
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 1);
  int c_t_74[] = { 10,  12}; //   2
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 2);
  int c_d_74[] = {  7,  20,   2}; //   3
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 3);

  int c_p_75[] = {  0,  12,  44}; //   3
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 3);
  int c_f_75[] = {  7}; //   1
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 1);
  int c_t_75[] = {  6,  13}; //   2
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 2);
  int c_d_75[] = { 20,   7,   2}; //   3
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
