#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppnenexa03/header/ppnenexa03.phasespace.h"
void ppnenexa03_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppnenexa03_ag_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppnenexa03_ag_psp_230_gg_vevexaddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){ppnenexa03_ag_psp_230_gg_vevexauux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){ppnenexa03_ag_psp_230_gd_vevexagd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){ppnenexa03_ag_psp_230_gu_vevexagu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){ppnenexa03_ag_psp_230_gdx_vevexagdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){ppnenexa03_ag_psp_230_gux_vevexagux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){ppnenexa03_ag_psp_230_dd_vevexadd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){ppnenexa03_ag_psp_230_du_vevexadu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){ppnenexa03_ag_psp_230_ds_vevexads(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){ppnenexa03_ag_psp_230_dc_vevexadc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){ppnenexa03_ag_psp_230_ddx_vevexagg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){ppnenexa03_ag_psp_230_ddx_vevexaddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){ppnenexa03_ag_psp_230_ddx_vevexauux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){ppnenexa03_ag_psp_230_ddx_vevexassx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){ppnenexa03_ag_psp_230_ddx_vevexaccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){ppnenexa03_ag_psp_230_dux_vevexadux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 20){ppnenexa03_ag_psp_230_dsx_vevexadsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 22){ppnenexa03_ag_psp_230_dcx_vevexadcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 23){ppnenexa03_ag_psp_230_uu_vevexauu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 24){ppnenexa03_ag_psp_230_uc_vevexauc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 25){ppnenexa03_ag_psp_230_udx_vevexaudx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 27){ppnenexa03_ag_psp_230_uux_vevexagg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 28){ppnenexa03_ag_psp_230_uux_vevexaddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 29){ppnenexa03_ag_psp_230_uux_vevexauux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 30){ppnenexa03_ag_psp_230_uux_vevexassx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 31){ppnenexa03_ag_psp_230_uux_vevexaccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 32){ppnenexa03_ag_psp_230_usx_vevexausx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 34){ppnenexa03_ag_psp_230_ucx_vevexaucx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 35){ppnenexa03_ag_psp_230_dxdx_vevexadxdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 36){ppnenexa03_ag_psp_230_dxux_vevexadxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 37){ppnenexa03_ag_psp_230_dxsx_vevexadxsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 38){ppnenexa03_ag_psp_230_dxcx_vevexadxcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 40){ppnenexa03_ag_psp_230_uxux_vevexauxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 41){ppnenexa03_ag_psp_230_uxcx_vevexauxcx(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
