#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppw01/header/ppw01.phasespace.h"
void ppw01_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppw01_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==   1){ppw01_ac_psp_210_gg_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   2){ppw01_ac_psp_210_gg_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   3){ppw01_ac_psp_210_gg_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   4){ppw01_ac_psp_210_gg_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   5){ppw01_ac_psp_210_gg_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   6){ppw01_ac_psp_210_gg_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   7){ppw01_ac_psp_210_gd_wmgu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   8){ppw01_ac_psp_210_gd_wmgc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   9){ppw01_ac_psp_210_gs_wmgu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  10){ppw01_ac_psp_210_gs_wmgc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  11){ppw01_ac_psp_210_gb_wmgu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  12){ppw01_ac_psp_210_gb_wmgc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  13){ppw01_ac_psp_210_gux_wmgdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  14){ppw01_ac_psp_210_gux_wmgsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  15){ppw01_ac_psp_210_gux_wmgbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  16){ppw01_ac_psp_210_gcx_wmgdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  17){ppw01_ac_psp_210_gcx_wmgsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  18){ppw01_ac_psp_210_gcx_wmgbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  19){ppw01_ac_psp_210_dd_wmdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  20){ppw01_ac_psp_210_dd_wmdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  25){ppw01_ac_psp_210_du_wmuu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  26){ppw01_ac_psp_210_du_wmuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  28){ppw01_ac_psp_210_ds_wmdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  29){ppw01_ac_psp_210_ds_wmdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  30){ppw01_ac_psp_210_ds_wmus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  32){ppw01_ac_psp_210_ds_wmsc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  35){ppw01_ac_psp_210_dc_wmuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  36){ppw01_ac_psp_210_dc_wmcc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  37){ppw01_ac_psp_210_db_wmdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  38){ppw01_ac_psp_210_db_wmdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  40){ppw01_ac_psp_210_db_wmub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  42){ppw01_ac_psp_210_db_wmcb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  43){ppw01_ac_psp_210_ddx_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  44){ppw01_ac_psp_210_ddx_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  45){ppw01_ac_psp_210_ddx_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  46){ppw01_ac_psp_210_ddx_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  47){ppw01_ac_psp_210_ddx_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  48){ppw01_ac_psp_210_ddx_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  49){ppw01_ac_psp_210_dux_wmgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  50){ppw01_ac_psp_210_dux_wmddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  51){ppw01_ac_psp_210_dux_wmdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  52){ppw01_ac_psp_210_dux_wmdbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  53){ppw01_ac_psp_210_dux_wmuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  56){ppw01_ac_psp_210_dux_wmssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  58){ppw01_ac_psp_210_dux_wmcux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  59){ppw01_ac_psp_210_dux_wmccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  62){ppw01_ac_psp_210_dux_wmbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  64){ppw01_ac_psp_210_dsx_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  67){ppw01_ac_psp_210_dsx_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  69){ppw01_ac_psp_210_dcx_wmgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  70){ppw01_ac_psp_210_dcx_wmddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  71){ppw01_ac_psp_210_dcx_wmdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  72){ppw01_ac_psp_210_dcx_wmdbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  73){ppw01_ac_psp_210_dcx_wmuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  74){ppw01_ac_psp_210_dcx_wmucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  76){ppw01_ac_psp_210_dcx_wmssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  79){ppw01_ac_psp_210_dcx_wmccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  82){ppw01_ac_psp_210_dcx_wmbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  85){ppw01_ac_psp_210_dbx_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  88){ppw01_ac_psp_210_dbx_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  89){ppw01_ac_psp_210_us_wmuu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  90){ppw01_ac_psp_210_us_wmuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  92){ppw01_ac_psp_210_ub_wmuu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  93){ppw01_ac_psp_210_ub_wmuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  95){ppw01_ac_psp_210_uux_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  96){ppw01_ac_psp_210_uux_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  97){ppw01_ac_psp_210_uux_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  98){ppw01_ac_psp_210_uux_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  99){ppw01_ac_psp_210_uux_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 100){ppw01_ac_psp_210_uux_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 101){ppw01_ac_psp_210_ucx_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 102){ppw01_ac_psp_210_ucx_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 103){ppw01_ac_psp_210_ucx_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 109){ppw01_ac_psp_210_ss_wmus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 111){ppw01_ac_psp_210_ss_wmsc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 114){ppw01_ac_psp_210_sc_wmuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 115){ppw01_ac_psp_210_sc_wmcc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 118){ppw01_ac_psp_210_sb_wmus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 119){ppw01_ac_psp_210_sb_wmub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 120){ppw01_ac_psp_210_sb_wmsc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 121){ppw01_ac_psp_210_sb_wmcb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 122){ppw01_ac_psp_210_sdx_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 125){ppw01_ac_psp_210_sdx_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 128){ppw01_ac_psp_210_sux_wmgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 129){ppw01_ac_psp_210_sux_wmddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 132){ppw01_ac_psp_210_sux_wmuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 134){ppw01_ac_psp_210_sux_wmsdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 135){ppw01_ac_psp_210_sux_wmssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 136){ppw01_ac_psp_210_sux_wmsbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 137){ppw01_ac_psp_210_sux_wmcux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 138){ppw01_ac_psp_210_sux_wmccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 141){ppw01_ac_psp_210_sux_wmbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 142){ppw01_ac_psp_210_ssx_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 143){ppw01_ac_psp_210_ssx_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 144){ppw01_ac_psp_210_ssx_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 145){ppw01_ac_psp_210_ssx_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 146){ppw01_ac_psp_210_ssx_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 147){ppw01_ac_psp_210_ssx_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 148){ppw01_ac_psp_210_scx_wmgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 149){ppw01_ac_psp_210_scx_wmddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 152){ppw01_ac_psp_210_scx_wmuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 153){ppw01_ac_psp_210_scx_wmucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 154){ppw01_ac_psp_210_scx_wmsdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 155){ppw01_ac_psp_210_scx_wmssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 156){ppw01_ac_psp_210_scx_wmsbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 158){ppw01_ac_psp_210_scx_wmccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 161){ppw01_ac_psp_210_scx_wmbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 164){ppw01_ac_psp_210_sbx_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 167){ppw01_ac_psp_210_sbx_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 169){ppw01_ac_psp_210_cb_wmuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 170){ppw01_ac_psp_210_cb_wmcc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 174){ppw01_ac_psp_210_cux_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 175){ppw01_ac_psp_210_cux_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 176){ppw01_ac_psp_210_cux_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 177){ppw01_ac_psp_210_ccx_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 178){ppw01_ac_psp_210_ccx_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 179){ppw01_ac_psp_210_ccx_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 180){ppw01_ac_psp_210_ccx_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 181){ppw01_ac_psp_210_ccx_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 182){ppw01_ac_psp_210_ccx_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 186){ppw01_ac_psp_210_bb_wmub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 188){ppw01_ac_psp_210_bb_wmcb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 189){ppw01_ac_psp_210_bdx_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 192){ppw01_ac_psp_210_bdx_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 195){ppw01_ac_psp_210_bux_wmgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 196){ppw01_ac_psp_210_bux_wmddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 199){ppw01_ac_psp_210_bux_wmuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 202){ppw01_ac_psp_210_bux_wmssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 204){ppw01_ac_psp_210_bux_wmcux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 205){ppw01_ac_psp_210_bux_wmccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 206){ppw01_ac_psp_210_bux_wmbdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 207){ppw01_ac_psp_210_bux_wmbsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 208){ppw01_ac_psp_210_bux_wmbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 210){ppw01_ac_psp_210_bsx_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 213){ppw01_ac_psp_210_bsx_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 215){ppw01_ac_psp_210_bcx_wmgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 216){ppw01_ac_psp_210_bcx_wmddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 219){ppw01_ac_psp_210_bcx_wmuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 220){ppw01_ac_psp_210_bcx_wmucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 222){ppw01_ac_psp_210_bcx_wmssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 225){ppw01_ac_psp_210_bcx_wmccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 226){ppw01_ac_psp_210_bcx_wmbdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 227){ppw01_ac_psp_210_bcx_wmbsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 228){ppw01_ac_psp_210_bcx_wmbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 229){ppw01_ac_psp_210_bbx_wmudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 230){ppw01_ac_psp_210_bbx_wmusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 231){ppw01_ac_psp_210_bbx_wmubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 232){ppw01_ac_psp_210_bbx_wmcdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 233){ppw01_ac_psp_210_bbx_wmcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 234){ppw01_ac_psp_210_bbx_wmcbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 235){ppw01_ac_psp_210_dxux_wmdxdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 236){ppw01_ac_psp_210_dxux_wmdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 237){ppw01_ac_psp_210_dxux_wmdxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 241){ppw01_ac_psp_210_dxcx_wmdxdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 242){ppw01_ac_psp_210_dxcx_wmdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 243){ppw01_ac_psp_210_dxcx_wmdxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 247){ppw01_ac_psp_210_uxux_wmdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 249){ppw01_ac_psp_210_uxux_wmuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 250){ppw01_ac_psp_210_uxux_wmuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 254){ppw01_ac_psp_210_uxsx_wmdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 256){ppw01_ac_psp_210_uxsx_wmsxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 257){ppw01_ac_psp_210_uxsx_wmsxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 259){ppw01_ac_psp_210_uxcx_wmdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 260){ppw01_ac_psp_210_uxcx_wmdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 261){ppw01_ac_psp_210_uxcx_wmuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 262){ppw01_ac_psp_210_uxcx_wmuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 263){ppw01_ac_psp_210_uxcx_wmsxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 264){ppw01_ac_psp_210_uxcx_wmcxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 267){ppw01_ac_psp_210_uxbx_wmdxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 269){ppw01_ac_psp_210_uxbx_wmsxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 270){ppw01_ac_psp_210_uxbx_wmbxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 272){ppw01_ac_psp_210_sxcx_wmdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 274){ppw01_ac_psp_210_sxcx_wmsxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 275){ppw01_ac_psp_210_sxcx_wmsxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 278){ppw01_ac_psp_210_cxcx_wmdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 281){ppw01_ac_psp_210_cxcx_wmsxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 282){ppw01_ac_psp_210_cxcx_wmcxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 285){ppw01_ac_psp_210_cxbx_wmdxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 287){ppw01_ac_psp_210_cxbx_wmsxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 288){ppw01_ac_psp_210_cxbx_wmbxbx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
